=========
CHANGELOG
=========

2.33.20
=======

* api-change:``ec2``: R8i instances powered by custom Intel Xeon 6 processors available only on AWS with sustained all-core 3.9 GHz turbo frequency
* api-change:``s3tables``: S3 Tables now supports setting partition specifications and sort orders on tables. Partition specs allow users to define how data is organized using transform functions. Sort order configurations enable users to specify sort directions and null ordering preferences for optimized data layout.
* api-change:``batch``: Add support for listing jobs by share identifier and getting snapshots of active capacity utilization by job queue and share.
* api-change:``kafkaconnect``: Support configurable upper limits on task count during autoscaling operations via maxAutoscalingTaskCount parameter.
* enhancement:cloudtrail: Added support for validating backfill digest files in ``validate-logs`` command
* api-change:``eks``: This release adds support for Windows Server 2025 in Amazon EKS Managed Node Groups.


2.33.19
=======

* api-change:``bedrock-agentcore``: Added AgentCore browser proxy configuration support, allowing routing of browser traffic through HTTP and HTTPS proxy servers with authentication and bypass rules.
* api-change:``eks``: Introducing an optional policy field, an IAM policy applied to pod identity associations in addition to IAM role policies. When specified, pod permissions are the intersection of IAM role policies and the policy field, ensuring the principle of least privilege.
* api-change:``rds``: This release adds backup configuration for RDS and Aurora restores, letting customers set backup retention period and preferred backup window during restore. It also enables viewing backup settings when describing snapshots or automated backups for instances and clusters.
* api-change:``kafka``: Amazon MSK adds three new APIs, CreateTopic, UpdateTopic, and DeleteTopic for managing Kafka topics in your MSK clusters.
* api-change:``connect``: Amazon Connect now supports per-channel auto-accept and After Contact Work (ACW) timeouts. Configure agents with auto-accept and ACW timeout settings for chat, tasks, emails, and callbacks. Use the new UpdateUserConfig API to manage these settings.


2.33.18
=======

* api-change:``imagebuilder``: EC2 Image Builder now supports wildcard patterns in lifecycle policies with recipes and enhances the experience of tag-scoped policies.
* api-change:``pcs``: Introduces RESUMING state for clusters, compute node groups, and queues.
* api-change:``neptunedata``: Added edgeOnlyLoad boolean parameter to Neptune bulk load request. When TRUE, files are loaded in order without scanning. When FALSE (default), the loader scans files first, then loads vertex files before edge files automatically.
* api-change:``ec2``: Amazon Secondary Networks is a networking feature that provides high-performance, low-latency connectivity for specialized workloads.
* api-change:``transfer``: This release adds a documentation update for MdnResponse of type "ASYNC"
* api-change:``lakeformation``: Allow cross account v5 in put data lake settings
* api-change:``connectcampaignsv2``: Add the missing event type for WhatsApp
* api-change:``eks``: Amazon EKS adds a new DescribeUpdate update type, VendedLogsUpdate, to support an integration between EKS Auto Mode and Amazon CloudWatch Vended Logs.


2.33.17
=======

* api-change:``deadline``: Adds support for tagging jobs during job creation
* api-change:``partnercentral-selling``: Releasing AWS Opportunity Snapshots for SDK release.
* api-change:``bedrock-data-automation-runtime``: Add OutputConfiguration to InvokeDataAutomation input and output to support S3 output
* api-change:``iot-managed-integrations``: Adding support for Custom(General) Authorization in managed integrations for AWS IoT Device Management cloud connectors.
* api-change:``sagemaker``: Adding g7e instance support in Sagemaker Training
* enhancement:``openssl``: Update bundled OpenSSL version to 1.1.1ze for Linux installers


2.33.16
=======

* api-change:``ram``: Added ListSourceAssociations API. Allows RAM resource share owners to list source associations that determine which sources can access resources through service principal associations. Supports filtering by resource share ARN, source ID, source type, or status, with pagination.
* api-change:``workspaces``: Added support for 12 new graphics-optimized compute types - Graphics.g6 (xlarge, 2xlarge, 4xlarge, 8xlarge, 16xlarge), Graphics.gr6 (4xlarge, 8xlarge), Graphics.g6f (large, xlarge, 2xlarge, 4xlarge), and Graphics.gr6f (4xlarge).
* api-change:``medialive``: Outputs using the AV1 codec in CMAF Ingest output groups in MediaLive now have the ability to specify a target bit depth of 8 or 10.
* api-change:``transfer``: Adds support for the customer to send custom HTTP headers and configure an AS2 Connector to receive Asynchronous MDNs from their trading partner
* api-change:``neptune-graph``: Minor neptune-graph documentation changes
* api-change:``bedrock-agentcore-control``: Support Browser profile persistence (cookies and local storage) across sessions for AgentCore Browser.
* api-change:``athena``: Reduces the minimum TargetDpus to create or update capacity reservations from 24 to 4.
* api-change:``arc-region-switch``: Updates documentation for ARC Region switch and provides stronger validation for Amazon Aurora Global Database execution block parameters.
* api-change:``glue``: This release adds the capability to easily create custom AWS Glue connections to data sources with REST APIs.
* api-change:``bedrock-agentcore``: Support Browser profile persistence (cookies and local storage) across sessions for AgentCore Browser.


2.33.15
=======

* api-change:``medialive``: AWS Elemental MediaLive now supports SRT listener mode for inputs and outputs, in addition to the existing SRT caller mode.
* api-change:``connectcases``: Amazon Connect Cases now supports larger, multi-line text fields with up to 4,100 characters. Administrators can use the Admin UI to select the appropriate configuration (single-line or multi-line) on a per-field basis, improving case documentation capabilities.
* api-change:``eks``: Update delete cluster description
* api-change:``workspaces-web``: Support for configuring and managing custom domain names for WorkSpaces Secure Browser portals.
* api-change:``redshift``: We have increased the maximum duration for a deferred maintenance window from 45 days to 60 days for Amazon Redshift provisioned clusters. This enhancement provides customers with greater flexibility in scheduling patching and maintenance activities while also maintaining security compliance.
* api-change:``bedrock-runtime``: Added support for structured outputs to Converse and ConverseStream APIs.
* enhancement:Autocomplete: Updated completion models for 10 services


2.33.14
=======

* api-change:``organizations``: Updated the CloseAccount description.
* api-change:``geo-maps``: Added support for optional style parameters in maps, including 3D terrain and 3D Buildings
* api-change:``dynamodb``: This change supports the creation of multi-account global tables. It adds two new arguments to CreateTable, GlobalTableSourceArn and GlobalTableSettingsReplicationMode. DescribeTable is also updated to include information about GlobalTableSettingsReplicationMode.
* api-change:``marketplace-catalog``: Adds support for Catalog API us-east-1 dualstack endpoint catalog-marketplace.us-east-1.api.aws
* bugfix:installer: Remove unnecessary .dist-info directories from executable
* api-change:``kinesis``: Adds StreamId parameter to AWS Kinesis Data Streams APIs that is reserved for future use.
* api-change:``batch``: AWS Batch Array Job Visibility feature support. Includes new statusSummaryLastUpdatedAt for array job parent DescribeJobs responses for the last time the statusSummary was updated. Includes both statusSummary and statusSummaryLastUpdatedAt in ListJobs responses for array job parents.
* api-change:``sso-admin``: Added new Region management APIs to support multi-Region replication in IAM Identity Center.


2.33.13
=======

* api-change:``bedrock-agentcore-control``: Adds tagging support for AgentCore Evaluations (evaluator and online evaluation config)
* api-change:``mpa``: Updates to multi-party approval (MPA) service to add support for multi-factor authentication (MFA) for voting operations.
* api-change:``cloudfront``: Add OriginMTLS support to CloudFront Distribution APIs


2.33.12
=======

* api-change:``quicksight``: Improve SessionTag usage guidelines in the GenerateEmbedURLForAnonymousUser API documentation. Update the GetIdentityContext document with the region support context.
* api-change:``connect``: This release adds Estimated Wait Time support to the GetContactMetrics API for Amazon Connect.
* enhancement:Autocomplete: Added completers for account, amp, apigatewayv2, s3, s3tables


2.33.11
=======

* api-change:``ec2``: G7e instances feature up to 8 NVIDIA RTX PRO 6000 Blackwell Server Edition GPUs with 768 GB of memory and 5th generation Intel Xeon Scalable processors. Supporting up to 192 vCPUs, 1600 Gbps networking bandwidth with EFA, up to 2 TiB of system memory, and up to 15.2 TB of local NVMe SSD storage.
* api-change:``gamelift``: Amazon GameLift Servers now supports automatic scaling to and from zero instances based on game session activity. Fleets scale down to zero following a defined period of no game session activity and scale up from zero when game sessions are requested, providing an option for cost optimization.


2.33.10
=======

* bugfix:Autocomplete: Removed invalid autocompletion models.
* bugfix:cli-history: Reverts the change from 2.33.9 to set the file permissions on history and cache files.


2.33.9
======

* api-change:``mediaconnect``: This release adds support for NDI flow sources in AWS Elemental MediaConnect. You can now send content to your MediaConnect transport streams directly from your NDI environment using the new NDI source type. Also adds support for LARGE 4X flow size, which can be used when creating CDI JPEG-XS flows.
* enhancement:``awscrt``: Update awscrt version to 0.31.1
* api-change:``lambda``: We are launching ESM Metrics and logging for Kafka ESM to allow customers to monitor Kafka event processing using CloudWatch Metrics and Logs.
* api-change:``connect``: Adds support for filtering search results based on tags assigned to contacts.
* api-change:``ec2``: SearchTransitGatewayRoutes API response now includes a NextToken field, enabling pagination when retrieving large sets of transit gateway routes. Pass the returned NextToken value in subsequent requests to retrieve the next page of results.
* api-change:``mediaconvert``: This release adds a follow source mode for audio output channel count, an AES audio frame wrapping option for MXF outputs, and an option to signal DolbyVision compatibility using the SUPPLEMENTAL-CODECS tag in HLS manifests.
* api-change:``s3control``: Adds support for the UpdateObjectEncryption API to change the server-side encryption type of objects in general purpose buckets.
* enhancement:cli-history: Create local history files with specific permissions
* api-change:``s3``: Adds support for the UpdateObjectEncryption API to change the server-side encryption type of objects in general purpose buckets.
* api-change:``cognito-idp``: This release adds support for a new lambda trigger to transform federated user attributes during the authentication with external identity providers on Cognito Managed Login.


2.33.8
======

* api-change:``ec2``: Releasing new EC2 instances. C8gb and M8gb with highest EBS performance, M8gn with 600 Gbps network bandwidth, X8aedz and M8azn with 5GHz AMD processors, X8i with Intel Xeon 6 processors and up to 6TB memory, and Mac-m4max with Apple M4 Max chip for 25 percent faster builds.
* enhancement:``gamelift``: Add ``--tags`` parameter to ``upload-build`` command.
* api-change:``deadline``: AWS Deadline Cloud now supports editing job names and descriptions after submission.
* api-change:``connect``: Added support for task attachments. The StartTaskContact API now accepts file attachments, enabling customers to include files (.csv, .doc, .docx, .heic, .jfif, .jpeg, .jpg, .mov, .mp4, .pdf, .png, .ppt, .pptx, .rtf, .txt, etc.) when creating Task contacts. Supports up to 5 attachments per task.
* api-change:``medialive``: AWS Elemental MediaLive released two new features that allows customers 1) to set Output Timecode for AV1 encoder, 2) to set a Custom Epoch for CMAF Ingest and MediaPackage V2 output groups when using Pipeline Locking or Disabled Locking modes.
* api-change:``sagemaker``: Idle resource sharing enables teams to borrow unused compute resources in your SageMaker HyperPod cluster. This capability maximizes resource utilization by allowing teams to borrow idle compute capacity beyond their allocated compute quotas.
* enhancement:configure: Add fish shell format for export-credentials command (fixes `#9670 <https://github.com/aws/aws-cli/issues/9670>`__)


2.33.7
======

* api-change:``connectcases``: Amazon Connect now enables you to use tag-based access controls to define who can access specific cases. You can associate tags with case templates and configure security profiles to determine which users can access cases with those tags.
* api-change:``groundstation``: Adds support for AWS Ground Station Telemetry.
* api-change:``evidently``: Deprecate all Evidently API for AWS CloudWatch Evidently deprecation
* api-change:``ec2``: DescribeInstanceTypes API response now includes an additionalFlexibleNetworkInterfaces field, the number of interfaces attachable to an instance when using flexible Elastic Network Adapter (ENA) queues in addition to the base number specified by maximumNetworkInterfaces.


2.33.6
======

* api-change:``qconnect``: Fixes incorrect types in the UpdateAssistantAIAgent API request, adds MESSAGE to TargetType enum, and other minor changes.
* api-change:``connect``: Amazon Connect now offers public APIs to programmatically configure and run automated tests for contact center experiences. Integrate testing into CICD pipelines, run multiple tests at scale, and retrieve results via API to automate validation of voice interactions and workflows.
* api-change:``datazone``: Added api for deleting data export configuration for a domain


2.33.5
======

* api-change:``budgets``: Add Budget FilterExpression and Metrics fields to DescribeBudgetPerformanceHistory to support more granular filtering options.
* api-change:``verifiedpermissions``: Adding documentation to user guide and API documentation for how customers can create new encrypted policy stores by passing in their customer managed key during policy store creation.
* api-change:``autoscaling``: This release adds support for Amazon EC2 Auto Scaling group deletion protection
* api-change:``dynamodb``: Adds additional waiters to Amazon DynamoDB.
* api-change:``health``: Updates the lower range for the maxResults request property for DescribeAffectedEntities, DescribeAffectedEntitiesForOrganization, DescribeEvents, and DescribeEventsForOrganization API request properties.
* api-change:``meteringmarketplace``: Customer Identifier parameter deprecation date has been removed. For new implementations, we recommend using the CustomerAWSAccountID. Your current integration will continue to work. When updating your implementation, consider migrating to CustomerAWSAccountID for improved integration.
* api-change:``ec2``: Add better support for fractional GPU instances in DescribeInstanceTypes API. The new fields, logicalGpuCount, gpuPartitionSize, and workload array enable better GPU resource selection and filtering for both full and fractional GPU instance types.
* api-change:``gamelift``: Amazon GameLift Servers Realtime now supports Node.js 24.x runtime on the Amazon Linux 2023 operating system.
* api-change:``guardduty``: Adding new enum value for ScanStatusReason


2.33.4
======

* api-change:``quicksight``: Added documentation and model for sheet layout groups - allows sheet elements to be grouped, Added documentation and the feature enables admins to have granular control over connectors under actions, Updated API documentation for PDF Export in Snapshot Export APIs
* api-change:``config``: AWS Config Conformance Packs now support tag-on-create through PutConformancePack API.
* api-change:``bedrock-agentcore``: Supports custom browser extensions for AgentCore Browser and increased message payloads up to 100KB per message in an Event for AgentCore Memory
* api-change:``ec2``: Added support of multiple EBS cards. New EbsCardIndex parameter enables attaching volumes to specific EBS cards on supported instance types for improved storage performance.


2.33.3
======

* api-change:``workspaces-instances``: Added billing configuration support for WorkSpaces Instances with monthly and hourly billing modes, including new filtering capabilities for instance type searches.
* api-change:``bedrock-runtime``: Added support for extended prompt caching with one hour TTL.
* api-change:``autoscaling``: This release adds support for three new filters when describing scaling activities, StartTimeLowerBound, StartTimeUpperBound, and Status.
* api-change:``keyspaces``: Adds support for managing table pre-warming in Amazon Keyspaces (for Apache Cassandra)
* api-change:``verifiedpermissions``: Amazon Verified Permissions now supports encryption of resources by a customer managed KMS key. Customers can now create new encrypted policy stores by passing in their customer managed key during policy store creation.
* api-change:``odb``: Adds support for associating and disassociating IAM roles with Autonomous VM cluster resources through the AssociateIamRoleToResource and DisassociateIamRoleFromResource APIs. The GetCloudAutonomousVmCluster and ListCloudAutonomousVmClusters API responses now include the iamRoles field.


2.33.2
======

* api-change:``sagemaker``: Adding security consideration comments for lcc accessing execution role under root access
* api-change:``resource-explorer-2``: Added ViewName to View-related responses and ServiceViewName to GetServiceView response.
* api-change:``datazone``: This release adds support for numeric filtering and complex free-text searches cases for the Search and SearchListings APIs.
* api-change:``connect``: Adds support to allow customers to create form with Dispute configuration
* api-change:``glacier``: Documentation updates for Amazon Glacier's maintenance mode
* enhancement:ContainerProvider: The ContainerProvider now works with arbitray HTTPS URLs for `AWS_CONTAINER_CREDENTIALS_FULL_URI`.
* api-change:``launch-wizard``: Added UpdateDeployment, ListDeploymentPatternVersions and GetDeploymentPatternVersion APIs for Launch Wizard


2.33.1
======

* api-change:``evs``: A new GetVersions API has been added to retrieve VCF, ESX versions, and EC2 instances provided by Amazon EVS. The CreateEnvironment API now allows you to select a VCF version and the CreateEnvironmentHost API introduces a optional esxVersion parameter.
* api-change:``deadline``: AWS Deadline Cloud now supports tagging Budget resources with ABAC for permissions management and selecting up to 16 filter values in the monitor and Search API.
* api-change:``lakeformation``: API Changes for GTCForLocation feature. Includes a new API, GetTemporaryDataLocationCredentials and updates to the APIs RegisterResource and UpdateResource
* api-change:``opensearchserverless``: Collection groups in Amazon OpenSearch Serverless enables to organize multiple collections and enable compute resource sharing across collections with different KMS keys. This shared compute model reduces costs by eliminating the need for separate OpenSearch Compute Units (OCUs) for each KMS key.
* api-change:``ecs``: Adds support for configuring FIPS in AWS GovCloud (US) Regions via a new ECS Capacity Provider field fipsEnabled. When enabled, instances launched by the capacity provider will use a FIPS-140 enabled AMI. Instances will use FIPS-140 compliant cryptographic modules and AWS FIPS endpoints.
* api-change:``cleanrooms``: This release adds support for parameters in PySpark analysis templates.
* api-change:``ec2``: This release includes documentation updates to support up to four Elastic Volume modifications per Amazon EBS volume within a rolling 24-hour period.
* api-change:``qconnect``: Fix inference configuration shapes for the CreateAIPrompt and UpdateAIPrompt APIs, Modify Text Length Limit for SendMessage API


2.33.0
======

* api-change:``ce``: Cost Categories added support to BillingView data filter expressions through the new costCategories parameter, enabling users to filter billing views by AWS Cost Categories for more granular cost management and allocation.
* feature:``s3``: Add the ``--no-overwrite`` parameter to high-level AWS S3 operations ``cp``, ``mv``, and ``sync``, which prevents overwriting objects that already exist at the destination. Implements `#2874 <https://github.com/aws/aws-cli/issues/2874>`__.
* api-change:``redshift-serverless``: Adds support for enabling extra compute resources for automatic optimization during create and update operations in Amazon Redshift Serverless workgroups.
* api-change:``rds``: no feature changes. model migrated to Smithy
* api-change:``redshift``: Adds support for enabling extra compute resources for automatic optimization during create and modify operations in Amazon Redshift clusters.
* api-change:``connect``: Amazon Connect makes it easier to manage contact center operating hours by enabling automated scheduling for recurring events like holidays and maintenance windows. Set up recurring patterns (weekly, monthly, etc.) or link to another hours of operation to inherit overrides.
* api-change:``eks``: Added support for BOTTLEROCKET NVIDIA FIPS AMIs to AMI types in US regions.
* api-change:``socialmessaging``: This release clarifies WhatsApp template operations as a resource-authenticated operation via the parent WhatsApp Business Account. It also introduces new parameters for parameter format, CTA URL link tracking, and template body examples, and increases the phone number ID length.


2.32.34
=======

* api-change:``datazone``: Adds support for IAM role subscriptions to Glue table listings via CreateSubscriptionRequest API. Also adds owningIamPrincipalArn filter to List APIs and subscriptionGrantCreationMode parameter to subscription target APIs for controlling grant creation behavior.
* api-change:``bedrock``: This change will increase TestCase guardContent input size from 1024 to 2028 characters and PolicyBuildDocumentDescription from 2000 to 4000 characters


2.32.33
=======

* api-change:``iot-managed-integrations``: This release introduces WiFi Simple Setup (WSS) enabling device provisioning via barcode scanning with automated network discovery, authentication, and credential provisioning. Additionally, it introduces 2P Device Capability Rediscovery for updating hub-managed device capabilities post-onboarding.
* enhancement:``s3``: Adds new parameter ``--case-conflict`` that configures how case conflicts are handled on case-insensitive filesystems
* api-change:``sagemaker``: Added ultraServerType to the UltraServerInfo structure to support server type identification for SageMaker HyperPod
* api-change:``billing``: Cost Categories filtering support to BillingView data filter expressions through the new costCategories parameter, enabling users to filter billing views by AWS Cost Categories for more granular cost management and allocation.


2.32.32
=======

* enhancement:urllib3: Update urllib3 to version 2.6.3
* enhancement:HTTP: Move 100-continue behavior to use `HTTPConnections` request interface.
* enhancement:``login``: Prevent ``aws login`` from updating a profile with a different style of existing credentials.
* api-change:``transcribe``: Adds waiters to Amazon Transcribe.
* api-change:``glue``: Adding MaterializedViews task run APIs
* api-change:``cloudfront``: Added EntityLimitExceeded exception handling to the following API operations AssociateDistributionWebACL, AssociateDistributionTenantWebACL, UpdateDistributionWithStagingConfig
* api-change:``medialive``: MediaPackage v2 output groups in MediaLive can now accept one additional destination for single pipeline channels and up to two additional destinations for standard channels. MediaPackage v2 destinations now support sending to cross region MediaPackage channels.
* api-change:``bedrock-agentcore-control``: Adds optional field "view" to GetMemory API input to give customers control over whether CMK encrypted data such as strategy decryption or override prompts is returned or not.


2.32.31
=======

* api-change:``workspaces``: Add StateMessage and ProgressPercentage fields to DescribeCustomWorkspaceImageImport API response.


2.32.30
=======

* api-change:``ce``: This release updates existing reservation recommendations API to support deployment model.
* api-change:``emr-serverless``: Added support for enabling disk encryption using customer managed AWS KMS keys to CreateApplication, UpdateApplication and StartJobRun APIs.


2.32.29
=======

* api-change:``cleanroomsml``: AWS Clean Rooms ML now supports advanced Spark configurations to optimize SQL performance when creating an MLInputChannel or an audience generation job.


2.32.28
=======

* bugfix:``s3``: Reverts addition of ``--case-conflict`` feature which caused a performance regression when copying from S3 to large local directories


2.32.27
=======

* api-change:``cleanrooms``: Added support for publishing detailed metrics to CloudWatch for operational monitoring of collaborations, including query performance and resource utilization.
* api-change:``identitystore``: This change introduces "Roles" attribute for User entities supported by AWS Identity Store SDK.


2.32.26
=======

* api-change:``kafkaconnect``: This change sets the KafkaConnect GovCloud FIPS and FIPS DualStack endpoints to use kafkaconnect instead of kafkaconnect-fips as the service name. This is done to match the Kafka endpoints.
* api-change:``connect``: Adds support for searching global contacts using the ActiveRegions filter, and pagination support for ListSecurityProfileFlowModules and ListEntitySecurityProfiles.


2.32.25
=======

* api-change:``quicksight``: This release adds support for quick users to be able to perform role upgrades on their own. Additionally it allows admins to make this feature admin or auto approval along with new self upgrade capability that can be restricted by Admins.
* api-change:``connect``: Changes for Contact for Global Search
* api-change:``elastictranscoder``: The elastictranscoder client has been removed following the deprecation of the service.


2.32.24
=======

* api-change:``medialive``: AWS Elemental MediaLive now supports Pipeline Locking using Video Alignment as well as linked single pipeline channels to enable cross-channel and cross-region Pipeline Locking workflows.


2.32.23
=======

* enhancement:``s3``: Adds new parameter ``--case-conflict`` that configures how case conflicts are handled on case-insensitive filesystems
* api-change:``geo-places``: Adds support for InferredSecondaryAddress place type, Designator in SecondaryAddressComponent and Heading in ReverseGeocode.
* api-change:``s3``: Add additional validation to Outpost bucket names.
* api-change:``pinpoint-sms-voice-v2``: This release adds support for the Registration Reviewer feature, which provides generative AI feedback on a phone number or sender ID registration to ensure completeness before sending to downstream (carrier) review.


2.32.22
=======

* enhancement:``ecs``: Introduces a text-only mode to the existing ECS Express Mode service commands. Text-only mode can be enabled via using the ``--mode TEXT-ONLY`` flag with the ``ecs monitor-express-gateway-service`` command, or via using the ``--monitor-mode TEXT-ONLY`` and ``--monitor-resources`` flags with the ``ecs create-express-gateway-service``, ``ecs update-express-gateway-service``, or ``ecs delete-express-gateway-service`` commands.
* api-change:``guardduty``: Make accountIds a required field in GetRemainingFreeTrialDays API to reflect service behavior.
* api-change:``config``: Added supported resourceTypes for Config from July to November 2025
* api-change:``pcs``: Change API Reference Documentation for default Mode in Accounting and SlurmRest
* api-change:``ec2``: Adds support for linkedGroupId on the CreatePlacementGroup and DescribePlacementGroups APIs. The linkedGroupId parameter is reserved for future use.


2.32.21
=======

* api-change:``qbusiness``: It is a internal bug fix for region expansion
* api-change:``iot``: This release adds event-based logging feature that enables granular event logging controls for AWS IoT logs.
* api-change:``connect``: Adding support for Custom Metrics and Pre-Defined Attributes to GetCurrentMetricData API.
* api-change:``workspaces-web``: Add support for WebAuthn under user settings.
* api-change:``wickr``: AWS Wickr now provides a suite of admin APIs to allow you to programmatically manage secure communication for Wickr networks at scale. These APIs enable you to automate administrative workflows including user lifecycle management, network configuration, and security group administration.
* api-change:``emr-serverless``: Added JobLevelCostAllocationConfiguration field to enable cost allocation reporting at the job level, providing more granular visibility into EMR Serverless charges
* api-change:``arc-region-switch``: Automatic Plan Execution Reports allow customers to maintain a concise record of their Region switch Plan executions.  This enables customer SREs and leadership to have a clear view of their recovery posture based on the generated reports for their Plan executions.


2.32.20
=======

* api-change:``iot``: This release adds message batching for the IoT Rules Engine HTTP action.
* api-change:``ec2``: This release adds AvailabilityZoneId support for CreateFleet, ModifyFleet, DescribeFleets, RequestSpotFleet, ModifySpotFleetRequests and DescribeSpotFleetRequests APIs.
* api-change:``ecr``: Adds support for ECR Create On Push
* api-change:``sesv2``: Amazon SES introduces Email Validation feature which checks email addresses for syntax errors, domain validity, and risky addresses to help maintain deliverability and protect sender reputation. SES also adds resource tagging and ABAC support for EmailTemplates and CustomVerificationEmailTemplates.
* api-change:``ssm-sap``: Added "Stopping" for the HANA Database Status.
* api-change:``cleanrooms``: Adding support for collaboration change requests requiring an approval workflow. Adding support for change requests that grant or revoke results receiver ability and modifying auto approved change types in an existing collaboration.
* api-change:``opensearch``: Amazon OpenSearch Service adds support for warm nodes, enabling new multi-tier architecture.
* api-change:``bedrock-agentcore-control``: Feature to support header exchanges between Bedrock AgentCore Gateway Targets and client, along with propagating query parameter to the configured targets.
* api-change:``ecs``: Adding support for Event Windows via a new ECS account setting "fargateEventWindows". When enabled, ECS Fargate will use the configured event window for patching tasks. Introducing "CapacityOptionType" for CreateCapacityProvider API, allowing support for Spot capacity for ECS Managed Instances.
* api-change:``arc-region-switch``: New API to list Route 53 health checks created by ARC region switch for a plan in a specific AWS Region using the Region switch Regional data plane.
* api-change:``artifact``: Add support for ListReportVersions API  for the calling AWS account.
* api-change:``appstream``: Added support for new operating systems (1) Ubuntu 24.04 Pro LTS on Elastic fleets, and (2) Microsoft Server 2025 on Always-On and On-Demand fleets
* api-change:``bedrock-data-automation``: Blueprint Optimization (BPO) is a new Amazon Bedrock Data Automation (BDA) capability that improves blueprint inference accuracy using example content assets and ground truth data. BPO works by generating better instructions for fields in the Blueprint using provided data.
* enhancement:cloudtrail: Fixed performance issue in cloudtrail validate-logs command by scoping S3 digest file listing to the trail's region instead of processing digest files from all regions.


2.32.19
=======

* api-change:``payment-cryptography``: Support for AS2805 standard.  Modifications to import-key and export-key to support AS2805 variants.
* api-change:``kafkaconnect``: Support dual-stack network connectivity for connectors via NetworkType field.
* api-change:``inspector-scan``: Adds an additional OutputFormat
* api-change:``mediaconvert``: Adds support for tile encoding in HEVC and audio for video overlays.
* api-change:``sagemaker``: Adding the newly launched p6-b300.48xlarge ec2  instance support in Sagemaker(Hyperpod,Training and Sceptor)
* api-change:``payment-cryptography-data``: Support for AS2805 standard.  New API GenerateAs2805KekValidation and changes to translate pin, GenerateMac and VerifyMac to support AS2805 key variants.
* api-change:``mediapackagev2``: This release adds support for SPEKE V2 content key encryption in MediaPackage v2 Origin Endpoints.
* api-change:``gameliftstreams``: Added new stream group operation parameters for scale-on-demand capacity with automatic prewarming. Added new Gen6 stream classes based on the EC2 G6 instance family. Added new StartStreamSession parameter for exposure of real-time performance stats to clients.
* api-change:``guardduty``: Add support for dbiResourceId in finding.


2.32.18
=======

* api-change:``iot``: Add support for dynamic payloads in IoT Device Management Commands
* api-change:``timestream-influxdb``: This release adds support for rebooting InfluxDB DbInstances and DbClusters


2.32.17
=======

* api-change:``bedrock-agentcore-control``: This release updates broken links for AgentCore Policy APIs in the AWS CLI and SDK resources.
* api-change:``ec2``: EC2 Capacity Manager now supports SpotTotalCount, SpotTotalInterruptions and SpotInterruptionRate metrics for both vCPU and instance units.
* api-change:``logs``: This release allows you to import your historical CloudTrail Lake data into CloudWatch with a few steps, enabling you to easily consolidate operational, security, and compliance data in one place.
* api-change:``health``: Updating Health API endpoint generation for dualstack only regions
* api-change:``route53resolver``: Adds support for enabling detailed metrics on Route 53 Resolver endpoints using RniEnhancedMetricsEnabled and TargetNameServerMetricsEnabled in the CreateResolverEndpoint and UpdateResolverEndpoint APIs, providing enhanced visibility into Resolver endpoint and target name server performance.
* api-change:``connect``: Amazon Connect now supports outbound WhatsApp contacts via the Send message block or StartOutboundChatContact API. Send proactive messages for surveys, reminders, and updates. Offer customers the option to switch to WhatsApp while in queue, eliminating hold time.
* api-change:``service-quotas``: Add support for SQ Dashboard Api
* api-change:``mediatailor``: Added support for Ad Decision Server Configuration enabling HTTP POST requests with custom bodies, headers, GZIP compression, and dynamic variables. No changes required for existing GET request configurations.
* api-change:``glacier``: Documentation updates for Amazon Glacier's maintenance mode
* api-change:``entityresolution``: Support Customer Profiles Integration for AWS Entity Resolution
* api-change:``s3``: This release adds support for the new optional field 'LifecycleExpirationDate' in S3 Inventory configurations.


2.32.16
=======

* api-change:``connect``: Amazon Connect now offers automated post-chat surveys triggered when customers end conversations. This captures timely feedback while experience is fresh, using either a no-code form builder or Amazon Lex-powered interactive surveys.
* api-change:``bcm-recommended-actions``: Added new freetier action types to RecommendedAction.type.
* api-change:``datasync``: Adds Enhanced mode support for NFS and SMB locations. SMB credentials are now managed via Secrets Manager, and may be encrypted with service or customer managed keys. Increases AgentArns maximum count to 8 (max 4 per TaskMode). Adds folder counters to DescribeTaskExecution for Enhanced mode tasks.
* api-change:``workspaces-web``: Adds support for portal branding customization, enabling administrators to personalize end-user portals with custom assets.


2.32.15
=======

* api-change:``lambda``: Add Dotnet 10 (dotnet10) support to AWS Lambda.
* api-change:``secretsmanager``: Add SortBy parameter to ListSecrets
* api-change:``sesv2``: Update GetEmailIdentity and CreateEmailIdentity response to include SigningHostedZone in DkimAttributes. Updated PutEmailIdentityDkimSigningAttributes Response to include SigningHostedZone.
* api-change:``quicksight``: This release adds new GetIdentityContext API, Dashboard customization options for tables and pivot tables, Visual styling options- borders and decals, map GeocodingPreferences, KeyPairCredentials for DataSourceCredentials. Snapshot APIs now support registered users. Parameters limit increased to 400
* enhancement:python: Upgrade bundled Python interpreter to version 3.13.11.
* api-change:``organizations``: Add support for policy operations on the NETWORK SECURITY DIRECTOR POLICY policy type.


2.32.14
=======

* bugfix:Serializers: Adds support for host prefix to BaseRpcV2Serializer class
* api-change:``billingconductor``: Launch itemized custom line item and service line item filter
* api-change:``bedrock``: Automated Reasoning checks in Amazon Bedrock Guardrails is capable of generating policy scenarios to validate policies. The GetAutomatedReasoningPolicyBuildWorkflowResultAssets API now adds POLICY SCENARIO asset type, allowing customers to retrieve scenarios generated by the build workflow.
* api-change:``signer``: Adds support for Signer GetRevocationStatus with updated endpoints
* api-change:``cloudwatch``: This release introduces two additional protocols AWS JSON 1.1 and Smithy RPC v2 CBOR, replacing the currently utilized one, AWSQuery. AWS SDKs will prioritize the protocol that is the most performant for each language.
* api-change:``partnercentral-selling``: Adds support for the new Project.AwsPartition field on Opportunity and AWS Opportunity Summary. Use this field to specify the AWS partition where the opportunity will be deployed.
* api-change:``opensearch``: The CreateApplication API now supports an optional kms key arn parameter to allow customers to specify a CMK for application encryption.
* api-change:``odb``: The following APIs now return CloudExadataInfrastructureArn and OdbNetworkArn fields for improved resource identification and AWS service integration - GetCloudVmCluster, ListCloudVmClusters, GetCloudAutonomousVmCluster, and ListCloudAutonomousVmClusters.


2.32.13
=======

* api-change:``account``: This release adds a new API (GetGovCloudAccountInformation) used to retrieve information about a linked GovCloud account from the standard AWS partition.
* api-change:``appsync``: Update Event API to require EventConfig parameter in creation and update requests.
* api-change:``route53``: Amazon Route 53 now supports the EU (Germany) Region (eusc-de-east-1) for latency records, geoproximity records, and private DNS for Amazon VPCs in that region
* api-change:``guardduty``: Adding support for Ec2LaunchTemplate Version field
* api-change:``ivs-realtime``: Token Exchange introduces seamless token exchange capabilities for IVS RTX, enabling customers to upgrade or downgrade token capabilities and update token attributes within the IVS client SDK without forcing clients to disconnect and reconnect.
* api-change:``mgn``: Added parameters encryption, IPv4/IPv6 protocol configuration, and enhanced tagging support for replication operations.


2.32.12
=======

* api-change:``ce``: Add support for Cost Category resource associations including filtering by resource type on ListCostCategoryDefinitions and new ListCostCategoryResourceAssociations API.
* api-change:``sesv2``: Update Mail Manager Archive ARN validation
* api-change:``rolesanywhere``: Increases certificate string length for trust anchor source data to support ML-DSA certificates.
* api-change:``ec2``: Amazon EC2 P6-B300 instances provide 8x NVIDIA Blackwell Ultra GPUs with 2.1 TB high bandwidth GPU memory, 6.4 Tbps EFA networking, 300 Gbps dedicated ENA throughput, and 4 TB of system memory. Amazon EC2 C8a instances are powered by 5th Gen AMD EPYC processors with a maximum frequency of 4.5 GHz.
* api-change:``partnercentral-selling``: Deal Sizing Service for AI-based deal size estimation with AWS service-level breakdown, supporting Expansion and Migration deals across Technology, and Reseller partner cohorts, including Pricing Calculator AddOn for MAP deals and funding incentives.
* api-change:``identitystore``: Updating AWS Identity Store APIs to support Attribute Extensions capability, with the first release adding Enterprise Attributes. This launch aligns Identity Store APIs with SCIM for enterprise attributes, reducing cases when customers are forced to use SCIM due to lack of SigV4 API support.
* api-change:``rds``: Adding support for tagging RDS Instance/Cluster Automated Backups
* api-change:``redshift-serverless``: Added GetIdentityCenterAuthToken API to retrieve encrypted authentication tokens for Identity Center integrated serverless workgroups. This API enables programmatic access to secure Identity Center tokens with proper error handling and parameter validation across supported SDK languages.


2.32.11
=======

* api-change:``inspector2``: This release adds a new ScanStatus called "Unsupported Code Artifacts". This ScanStatus will be returned when a Lambda function was not code scanned because it has unsupported code artifacts.
* api-change:``iam``: Adding the ExpirationTime attribute to the delegation request resource.
* api-change:``partnercentral-account``: Adding Verification API's to Partner Central Account SDK.
* api-change:``ecs``: Updating stop-task API to encapsulate containers with custom stop signal
* api-change:``sesv2``: Updating the desired url for `PutEmailIdentityDkimSigningAttributes` from v1 to v2


2.32.10
=======

* api-change:``lambda``: Add DisallowedByVpcEncryptionControl to the LastUpdateStatusReasonCode and StateReasonCode enums to represent failures caused by VPC Encryption Controls.


2.32.9
======

* api-change:``sagemaker``: Introduces Serverless training: A fully managed compute infrastructure that abstracts away all infrastructure complexity, allowing you to focus purely on model development.

Added AI model customization assets used to train, refine, and evaluate custom models during the model customization process.
* api-change:``bedrock``: Adding support in Amazon Bedrock to customize models with reinforcement fine-tuning (RFT) and support for updating the existing Custom Model Deployments.


2.32.8
======

* api-change:``bedrock-agentcore``: Support for AgentCore Evaluations and Episodic memory strategy for AgentCore Memory.
* api-change:``datazone``: Amazon DataZone now supports exporting Catalog datasets as Amazon S3 tables, and provides automatic business glossary term suggestions for data assets.
* api-change:``securityhub``: ITSM enhancements: DRYRUN mode for testing ticket creation, ServiceNow now uses AWS Secrets Manager for credentials, ConnectorRegistrationsV2 renamed to RegisterConnectorV2, added ServiceQuotaExceededException error, and ConnectorStatus visibility in CreateConnectorV2.
* api-change:``s3``: New S3 Storage Class FSX_ONTAP
* api-change:``lambda``: Launching Lambda durable functions - a new feature to build reliable multi-step applications and AI workflows natively within the Lambda developer experience.
* api-change:``s3control``: Add support for S3 Storage Lens Advanced Performance Metrics, Expanded Prefixes metrics report, and export to S3 Tables.
* api-change:``nova-act``: Initial release of Nova Act SDK. The Nova Act service enables customers to build and manage fleets of agents for automating production UI workflows with high reliability, fastest time-to-value, and ease of implementation at scale.
* api-change:``bedrock-agentcore-control``: Supports AgentCore Evaluations, Policy, Episodic Memory Strategy, Resource Based Policy for Runtime and Gateway APIs, API Gateway Rest API Targets and enhances JWT authorizer.
* api-change:``bedrock``: Adds the audioDataDeliveryEnabled boolean field to the Model Invocation Logging Configuration.
* api-change:``opensearchserverless``: GPU-acceleration helps you build large-scale vector databases faster and more efficiently. You can enable this feature on new OpenSearch domains and OpenSearch Serverless collections. This feature uses GPU-acceleration to reduce the time needed to index data into vector indexes.
* api-change:``savingsplans``: Added support for Amazon Database Savings Plans
* api-change:``logs``: CloudWatch Logs adds managed S3 Tables integration to access logs using other analytical tools, as well as facets and field indexing to simplify log analytics in CloudWatch Logs Insights.
* api-change:``opensearch``: GPU-acceleration helps you build large-scale vector databases faster and more efficiently. You can enable this feature on new OpenSearch domains and OpenSearch Serverless collections. This feature uses GPU-acceleration to reduce the time needed to index data into vector indexes.
* api-change:``observabilityadmin``: CloudWatch Observability Admin adds pipelines configuration for third party log ingestion and transformation of all logs ingested, integration of CloudWatch logs with S3 Tables, and AWS account or organization level enablement for 7 AWS services.
* api-change:``s3vectors``: Amazon S3 Vectors provides cost-effective, elastic, and durable vector storage for queries based on semantic meaning and similarity.
* api-change:``bedrock-runtime``: Adds support for Audio Blocks and Streaming Image Output plus new Stop Reasons of malformed_model_output and malformed_tool_use.
* api-change:``sagemaker``: Added support for serverless MLflow Apps.

Added support for new HubContentTypes (DataSet and JsonDoc) in Private Hub for AI model customization assets, enabling tracking and management of training datasets and evaluators (reward functions/prompts) throughout the ML lifecycle.
* api-change:``rds``: RDS Oracle and SQL Server: Add support for adding, modifying, and removing additional storage volumes, offering up to 256TiB storage; RDS SQL Server: Support Developer Edition via custom engine versions for development and testing purposes; M7i/R7i instances with Optimize CPU for cost savings.
* api-change:``s3tables``: Add storage class, replication, and table record expiration features to S3 Tables.
* api-change:``ce``: This release updates existing Savings Plans Purchase Analyzer and Recommendations APIs to support Database Savings Plans.
* api-change:``guardduty``: Adding support for extended threat detection for Amazon EC2 and Amazon ECS. Adding support for wild card suppression rules.
* api-change:``fsx``: S3 Access Points support for FSx for NetApp ONTAP


2.32.7
======

* enhancement:``awscrt``: Update awscrt to version 0.29.0
* api-change:``cleanrooms``: AWS Clean Rooms now supports privacy-enhancing synthetic dataset generation for custom ML training.
* api-change:``qconnect``: New AIAgent types: Orchestration for ModelContextProtocol tool integration, CaseSummary for Amazon Connect Case summaries, NoteTaker for Agent Assistance notes. Added ListSpans and Retrieve APIs. Enhanced Q in Connect AssistantAssociationType to support Bring Your Own Bedrock Knowledge Bases.
* enhancement:awscrt: Update awscrt to version 0.29.1
* api-change:``connectcampaignsv2``: This release added support for new WhatsApp channel and Journey type outbound campaign
* api-change:``connectparticipant``: Amazon Connect now supports message processing that intercepts and processes chat messages before they reach any participant.
* api-change:``lambda``: Launching Lambda Managed Instances - a new feature to run Lambda on EC2.
* api-change:``route53globalresolver``: Add SDK for Amazon Route 53 Global Resolver, a fully managed DNS resolver service that offers broad DNS-filtering security controls.
* api-change:``appintegrations``: This release adds support for MCP servers via the ApplicationType field, allowing customers to register their Bedrock AgentCore gateways as third party applications.
* api-change:``bedrock-agent-runtime``: Support audio and video content retrieval on Bedrock Knowledge Bases.
* api-change:``connect``: This is a combined re:Invent release for Amazon Connect.
* api-change:``marketplace-agreement``: This release supports 1/multi-product transactions via offer sets. DescribeAgreement and SearchAgreements APIs now return offer set IDs. SearchAgreements also supports filtering by offer set ID and 2/variable payment pricing terms will be returned through GetAgreementTerms.
* api-change:``customer-profiles``: This release introduces, CRUD APIs for the DomainObjectType and Recommender resources, APIs to offer statistical insights on Object Type Attributes, Changes to SegmentDefinition APIs to support SQL queries to create Segments, and Changes to Domain APIs to support Data Store.
* api-change:``partnercentral-selling``: New Features:
Lead Management APIs for capturing and nurturing leads
Lead invitation support for partner collaboration
Lead-to-opportunity conversion operations
AWS Marketplace OfferSets support for opportunities
* api-change:``partnercentral-benefits``: Initial GA launch of Partner Central Benefits
* api-change:``glue``: feature: Glue: Add support for Iceberg materialized view in Glue Data Catalog, including updated CreateTable API to support materialized views and new APIs for managing data refresh for materialized views.
feature: Glue: Add support for Iceberg table encryption keys and struct field defaults.
* api-change:``personalize``: This release adds support for includedDatasetColumns and performIncrementalUpdate in solution APIs, and rankingInfluence in campaign and batch inference APIs.
* enhancement:crt: Dynamically determine part size if resolved transfer client is CRT and ``multipart_chunksize`` isn't explicitly configured
* api-change:``partnercentral-account``: Initial GA launch of Partner Central Account
* api-change:``eks``: This release adds support for EKS Capabilities
* api-change:``lexv2-models``: Adds support for speech-to-speech models for human-like, adaptive, and expressive voice interactions. Also adds support for speech model preference, allowing customers to select which speech model they want to use for speech-to-text requests.
* api-change:``bedrock-agent``: Support audio and video ingestion on Bedrock Knowledge Bases.
* api-change:``cleanroomsml``: AWS Clean Rooms ML now supports privacy-enhancing synthetic dataset generation for custom ML training.
* api-change:``marketplace-catalog``: This release introduces offer set entity in AWS Marketplace Catalog API to enable multi-product transaction. Offer set enables sellers to group multiple private offers into a single-click purchase experience, simplifying procurement for customers purchasing multi-product solutions.


2.32.6
======

* api-change:``cost-optimization-hub``: This release enables AWS Cost Optimization Hub to show cost optimization recommendations for NAT Gateway.
* api-change:``bedrock-runtime``: Bedrock Runtime Reserved Service Support
* api-change:``compute-optimizer``: Compute Optimizer now identifies idle NAT Gateway resources for cost optimization based on traffic patterns and backup configuration analysis. Access recommendations via the GetIdleRecommendations API.


2.32.5
======

* api-change:``ec2``: This release adds support to view Network firewall proxy appliances attached to an existing NAT Gateway via DescribeNatGateways API NatGatewayAttachedAppliance structure.
* api-change:``organizations``: Add support for policy operations on the S3_POLICY and BEDROCK_POLICY policy type.
* api-change:``route53``: Adds support for new route53 feature: accelerated recovery.
* api-change:``network-firewall``: Network Firewall release of the Proxy feature.


2.32.4
======

* api-change:``logs``: New CloudWatch Logs feature - LogGroup Deletion Protection, a capability that allows customers to safeguard their critical CloudWatch log groups from accidental or unintended deletion.
* api-change:``cloudfront``: Add TrustStore, ConnectionFunction APIs to CloudFront SDK


2.32.3
======

* api-change:``bedrock-runtime``: Add support to automatically enforce safeguards across accounts within an AWS Organization.
* api-change:``ec2``: This release adds a new capability to create and manage interruptible EC2 Capacity Reservations.
* api-change:``athena``: Introduces Spark workgroup features including log persistence, S3/CloudWatch delivery, UI and History Server APIs, and SparkConnect 3.5.6 support. Adds DPU usage limits at workgroup and query levels as well as DPU usage tracking for Capacity Reservation queries to optimize performance and costs.
* api-change:``apigateway``: API Gateway supports VPC link V2 for REST APIs.
* api-change:``bedrock``: Add support to automatically enforce safeguards across accounts within an AWS Organization.
* api-change:``redshift``: Added support for Amazon Redshift Federated Permissions and AWS IAM Identity Center trusted identity propagation.
* api-change:``marketplace-entitlement``: Endpoint update for new region
* enhancement:``ecs``: Update ``ecs create-express-gateway-service``, ``ecs update-express-gateway-service``, and ``ecs delete-express-gateway-service`` commands to not output API response when run with the ``--monitor-resources`` flag. Also fixes scrolling bounds calculations when line wrapping is present.
* api-change:``ecr``: Add support for ECR managed signing
* api-change:``invoicing``: Added the CreateProcurementPortalPreference, GetProcurementPortalPreference, PutProcurementPortalPreference, UpdateProcurementPortalPreferenceStatus, ListProcurementPortalPreferences and DeleteProcurementPortalPreference APIs for procurement portal preference management.
* api-change:``lambda``: Launching Enhanced Error Handling and ESM Grouping capabilities for Kafka ESMs
* api-change:``mediapackagev2``: Adds support for excluding session key tags from HLS multivariant playlists
* api-change:``mailmanager``: Add support for resources in the aws-eusc partition.
* api-change:``transfer``: Adds support for creating Webapps accessible from a VPC.
* api-change:``quicksight``: Amazon Quick Suite now supports QuickChat as an embedding type when calling the GenerateEmbedUrlForRegisteredUser API, enabling developers to embed conversational AI agents directly into their applications.
* api-change:``eks``: Adds support for controlPlaneScalingConfig on EKS Clusters.
* api-change:``compute-optimizer-automation``: Initial release of AWS Compute Optimizer Automation. Create automation rules to implement recommended actions on a recurring schedule based on your specified criteria. Supported actions include: snapshot and delete unattached EBS volumes and upgrade volume types to the latest generation.
* api-change:``sesv2``: Added support for new SES regions - Asia Pacific (Malaysia) and Canada (Calgary)
* api-change:``bedrock-agentcore-control``: Support for agentcore gateway interceptor configurations and NONE authorizer type
* api-change:``rds``: Add support for Upgrade Rollout Order
* api-change:``security-ir``: Add ListInvestigations and SendFeedback APIs to support SecurityIR AI agents
* api-change:``qconnect``: This release introduces two new messaging channel subtypes: Push, WhatsApp, under MessageTemplate which is a resource in Amazon Q in Connect.
* api-change:``kms``: Support for on-demand rotation of AWS KMS Multi-Region keys with imported key material
* api-change:``sagemaker``: Enhanced SageMaker HyperPod instance groups with support for MinInstanceCount, CapacityRequirements (Spot/On-Demand), and KubernetesConfig (labels and taints). Also Added speculative decoding and MaxInstanceCount for model optimization jobs.
* api-change:``elbv2``: This release adds the health check log feature in ALB, allowing customers to send detailed target health check log data directly to their designated Amazon S3 bucket.
* api-change:``kinesisvideo``: This release adds support for Tiered Storage
* api-change:``odb``: Adds AssociateIamRoleToResource and DisassociateIamRoleFromResource APIs for managing IAM roles. Enhances CreateOdbNetwork and UpdateOdbNetwork APIs with KMS, STS, and cross-region S3 parameters. Adds OCI identity domain support to InitializeService API.
* api-change:``cloudformation``: Adds the DependsOn field to the AutoDeployment configuration parameter for CreateStackSet, UpdateStackSet, and DescribeStackSet APIs, allowing users to set and read auto-deployment dependencies between StackSets
* api-change:``connect``: New APIs to support aliases and versions for ContactFlowModule. Updated ContactFlowModule APIs to support custom blocks.
* api-change:``controltower``: The manifest field is now optional for the AWS Control Tower CreateLandingZone and UpdateLandingZone APIs for Landing Zone version 4.0
* api-change:``lexv2-models``: Adds support for Intent Disambiguation, allowing resolution of ambiguous user inputs when multiple intents match by presenting clarifying questions to users. Also adds Speech Detection Sensitivity configuration for optimizing voice activity detection sensitivity levels in various noise environments.
* api-change:``meteringmarketplace``: Endpoint update for new region
* api-change:``organizations``: Add support for policy operations on the UPGRADE_ROLLOUT_POLICY policy type.
* api-change:``bedrock-data-automation-runtime``: Adding new fields to GetDataAutomationStatus: jobSubmissionTime, jobCompletionTime, and jobDurationInSeconds
* api-change:``redshift-serverless``: Added UpdateLakehouseConfiguration API to manage Amazon Redshift Federated Permissions and AWS IAM Identity Center trusted identity propagation for namespaces.


2.32.2
======

* api-change:``emr``: Add support for configuring S3 destination for step logs on a per-step basis.
* api-change:``application-signals``: Amazon CloudWatch Application Signals now supports un-instrumented services discovery, cross-account views, and change history, helping SRE and DevOps teams monitor and troubleshoot their large-scale distributed applications.
* api-change:``ec2``: This release adds support for multiple features including: VPC Encryption Control for the status of traffic flow; S2S VPN BGP Logging; TGW Flexible Costs; IPAM allocation of static IPs from IPAM pools to CF Anycast IP lists used on CloudFront distribution; and EBS Volume Integration with Recycle Bin
* api-change:``securityhub``: Release Findings and Resources Trends APIs- GetFindingsTrendsV2 and GetResourcesTrendsV2. This supports time-series aggregated counts with composite filtering for 1-year of historical data analysis of Findings and Resources.
* api-change:``devicefarm``: Add support for environment variables and an IAM execution role.
* api-change:``redshift-data``: Increasing the length limit of Statement Name from 500 to 2048.
* api-change:``sagemaker``: Added training plan support for inference endpoints. Added HyperPod task governance with accelerator partition-based quota allocation. Added BatchRebootClusterNodes and BatchReplaceClusterNodes APIs. Updated ListClusterNodes to include privateDnsHostName.
* enhancement:``ecs``: Add ``ecs monitor-express-gateway-service`` command and add ``--monitor-resources`` flag to the ``ecs create-express-gateway-service``, ``ecs update-express-gateway-service``, and ``ecs delete-express-gateway-service commands``.
* api-change:``dms``: Added support for customer-managed KMS key (CMK) for encryption for import private key certificate. Additionally added Amazon SageMaker Lakehouse endpoint used for zero-ETL integrations with data warehouses.
* api-change:``bedrock-data-automation``: Added support for Synchronous project type and PII Detection and Redaction
* api-change:``dsql``: Added clusterVpcEndpoint field to GetVpcEndpointServiceName API response, returning the VPC connection endpoint for the cluster
* api-change:``cloudtrail``: AWS launches CloudTrail aggregated events to simplify monitoring of data events at scale. This feature delivers both granular and summarized data events for resources like S3/Lambda, helping security teams identify patterns without custom aggregation logic.
* api-change:``rbin``: Add support for EBS volume in Recycle Bin
* api-change:``cloudfront``: This release adds support for bring your own IP (BYOIP) to CloudFront's CreateAnycastIpList API through an optional IpamCidrConfigs field.
* bugfix:s3transfer: Validate ETag of stored object during multipart copies
* api-change:``autoscaling``: This release adds support for three new features: 1) Image ID overrides in mixed instances policy, 2) Replace Root Volume - a new strategy for Instance Refresh, and 3) Instance Lifecycle Policy for enhanced instance lifecycle management.
* api-change:``ecs``: Launching Amazon ECS Express Mode - a new feature that enables developers to quickly launch highly available, scalable containerized applications with a single command.
* api-change:``connect``: Add optional ability to exclude users from send notification actions for Contact Lens Rules.
* api-change:``budgets``: Add BillingViewHealthStatusException to DescribeBudgetPerformanceHistory and ServiceQuotaExceededException to UpdateBudget for improved error handling with Billing Views.
* api-change:``networkmanager``: This release adds support for Cloud WAN Routing Policy providing customers sophisticated routing controls to better manage their global networks
* api-change:``organizations``: Added new APIs for Billing Transfer, new policy type INSPECTOR_POLICY, and allow an account to transfer between organizations
* api-change:``elbv2``: This release adds the target optimizer feature in ALB, enabling strict concurrency enforcement on targets.
* api-change:``s3``: Enable / Disable ABAC on a general purpose bucket.
* api-change:``datasync``: The partition value "aws-eusc" is now permitted for ARN (Amazon Resource Name) fields.
* api-change:``braket``: Add support for Braket spending limits.
* api-change:``license-manager``: Added cross-account resource aggregation via license asset groups and expiry tracking for Self-Managed Licenses. Extended Org-Wide View to Self-Managed Licenses, added reporting for license asset groups, and removed Athena/Glue dependencies for cross-account resource discovery in commercial regions.
* api-change:``lakeformation``: Added ServiceIntegrations as a request parameter for CreateLakeFormationIdentityCenterConfigurationRequest and UpdateLakeFormationIdentityCenterConfigurationRequest and response parameter for DescribeLakeFormationIdentityCenterConfigurationResponse
* api-change:``bedrock-agentcore``: Bedrock AgentCore Memory release for redriving memory extraction jobs (StartMemoryExtractionJob and ListMemoryExtractionJob)
* api-change:``glue``: Added FunctionType parameter to Glue GetuserDefinedFunctions.
* api-change:``kinesis``: Kinesis Data Streams now supports up to 50 Enhance Fan-out consumers for On-demand Advantage Streams. On-demand Standard and Provisioned streams will continue with the existing limit of 20 consumers for Enhanced Fan-out.
* api-change:``bedrock-data-automation-runtime``: Bedrock Data Automation Runtime Sync API
* api-change:``quicksight``: Introducing comprehensive theme styling controls. New features include border customization (radius, width, color), flexible padding controls, background styling for cards and sheets, centralized typography management, and visual-level override support across layouts.
* api-change:``rds``: Add support for VPC Encryption Controls.
* api-change:``imagebuilder``: EC2 Image Builder now enables the distribution of existing AMIs, retry distribution, and define distribution workflows. It also supports automatic versioning for recipes and components, allowing automatic version increments and dynamic referencing in pipelines.


2.32.1
======

* bugfix:Source Distribution: Fix Python 3.9 - 3.11 incompatibility that was introduced in 2.32.0


2.32.0
======

* api-change:``route53``: Add dual-stack endpoint support for Route53
* api-change:``mediaconnect``: This release adds support for global routing in AWS Elemental MediaConnect. You can now use router inputs and router outputs to manage global video and audio routing workflows both within the AWS-Cloud and over the public internet.
* api-change:``iam``: Added the EnableOutboundWebIdentityFederation, DisableOutboundWebIdentityFederation and GetOutboundWebIdentityFederationInfo APIs for the IAM outbound federation feature.
* api-change:``fsx``: Adding File Server Resource Manager configuration to FSx Windows
* api-change:``ec2``: This launch adds support for two new features: Regional NAT Gateway and IPAM Policies. IPAM policies offers customers central control for public IPv4 assignments across AWS services. Regional NAT is a single NAT Gateway that automatically expands across AZs in a VPC to maintain high availability.
* api-change:``apigateway``: API Gateway now supports response streaming and new security policies for REST APIs and custom domain names.
* api-change:``network-firewall``: Partner Managed Rulegroup feature support
* api-change:``s3``: Adds support for blocking SSE-C writes to general purpose buckets.
* api-change:``billingconductor``: This release adds support for Billing Transfers, enabling management of billing transfers with billing groups on AWS Billing Conductor.
* api-change:``bcm-pricing-calculator``: Add GroupSharingPreference, CostCategoryGroupSharingPreferenceArn, and CostCategoryGroupSharingPreferenceEffectiveDate to Bill Estimate. Add GroupSharingPreference and CostCategoryGroupSharingPreferenceArn to Bill Scenario.
* api-change:``medialive``: MediaLive is adding support for MediaConnect Router by supporting a new input type called MEDIACONNECT_ROUTER. This new input type will provide seamless encrypted transport between MediaConnect Router and your MediaLive channel.
* api-change:``apigatewayv2``: Support for API Gateway portals and portal products.
* api-change:``stepfunctions``: Adds support to TestState for mocked results and exceptions, along with additional inspection data.
* api-change:``sagemaker``: Added support for enhanced metrics for SageMaker AI Endpoints. This features provides Utilization Metrics at instance and container granularity and also provides easy configuration of metric publish frequency from 10 sec -> 5 mins
* api-change:``connectcampaignsv2``: This release added support for ring timer configuration for campaign calls.
* api-change:``dynamodb``: Extended Global Secondary Index (GSI) composite keys to support up to 8 attributes.
* api-change:``datazone``: Amazon DataZone now supports business metadata (readme and metadata forms) at the individual attribute (column) level, a new rule type for glossary terms, and the ability to update the owner of the root domain unit.
* api-change:``secretsmanager``: Adds support to create, update, retrieve, rotate, and delete managed external secrets.
* api-change:``health``: Adds actionability and personas properties to Health events exposed through DescribeEvents, DescribeEventsForOrganization, DescribeEventDetails, and DescribeEventTypes APIs. Adds filtering by actionabilities and personas in EventFilter, OrganizationEventFilter, EventTypeFilter.
* api-change:``sts``: IAM now supports outbound identity federation via the STS GetWebIdentityToken API, enabling AWS workloads to securely authenticate with external services using short-lived JSON Web Tokens.
* api-change:``inspector2``: This release introduces BLOCKED_BY_ORGANIZATION_POLICY error code and IMAGE_ARCHIVED scanStatusReason. BLOCKED_BY_ORGANIZATION_POLICY error code is returned when an operation is blocked by an AWS Organizations policy. IMAGE_ARCHIVED scanStatusReason is returned when an Image is archived in ECR.
* api-change:``bedrock-runtime``: This release includes support for Search Results.
* api-change:``ecs``: Added support for Amazon ECS Managed Instances infrastructure optimization configuration.
* api-change:``rum``: CloudWatch RUM now supports mobile application monitoring for Android and iOS platforms
* api-change:``ecr``: Add support for ECR archival storage class and Inspector org policy for scanning
* api-change:``partnercentral-channel``: Initial GA launch of Partner Central Channel
* api-change:``cost-optimization-hub``: Release ListEfficiencyMetrics API
* api-change:``signin``: AWS Sign-In manages authentication for AWS services. This service provides secure authentication flows for accessing AWS resources from the console and developer tools. This release adds the CreateOAuth2Token API, which can be used to fetch OAuth2 access tokens and refresh tokens from Sign-In.
* api-change:``cloudtrail``: AWS CloudTrail now supports Insights for data events, expanding beyond management events to automatically detect unusual activity on data plane operations.
* api-change:``billing``: Added name filtering support to ListBillingViews API through the new names parameter to efficiently filter billing views by name.
* api-change:``logs``: Adding support for ocsf version 1.5, add optional parameter MappingVersion
* feature:credentials: Adds the ``aws login`` command, which allows you to use your AWS Management Console credentials for CLI and SDK authentication.
* api-change:``ce``: Add support for COST_CATEGORY, TAG, and LINKED_ACCOUNT AWS managed cost anomaly detection monitors
* api-change:``lambda``: Added support for creating and invoking Tenant Isolated functions in AWS Lambda APIs.
* api-change:``guardduty``: Add support for scanning and viewing scan results for backup resource types
* api-change:``backup``: Amazon GuardDuty Malware Protection now supports AWS Backup, extending malware detection capabilities to EC2, EBS, and S3 backups.
* api-change:``networkflowmonitor``: Added new enum value (AWS::EKS::Cluster) for type field under MonitorLocalResource
* api-change:``invoicing``: Add support for adding Billing transfers in Invoice configuration
* api-change:``emr``: Add CloudWatch Logs integration for Spark driver, executor and step logs


2.31.39
=======

* api-change:``iam``: Added the AssociateDelegationRequest, GetDelegationRequest, AcceptDelegationRequest, RejectDelegatonRequest, ListDelegationRequests, UpdateDelegationRequest, SendDelegationToken and GetHumanReadableSummary APIs for the IAM temporary delegation feature.
* api-change:``wafv2``: AssociateWebACL, UpdateWebACL and PutLoggingConfiguration will now throw WAFFeatureNotIncludedInPricingPlanException when the request contains a feature that is not included in the CloudFront pricing plan of the WebACL.
* api-change:``storagegateway``: Adds support for European Sovereign Cloud ARNs in Storage Gateway API parameters.
* api-change:``logs``: CloudWatch Logs updates: Added capability to setup a recurring schedule for log insights queries. Logs introduced Scheduled Queries (managed through Create/Update/Get/Delete/List/History Scheduled Query APIs). For more information, see CloudWatch Logs API documentation.
* api-change:``ec2``: AWS Site-to-Site VPN now supports VPN Concentrator, a new feature that enables customers to connect multiple low-bandwidth sites connections through a single attachment, simplifying multi-site connectivity for distributed enterprises.
* api-change:``connect``: This release added support for ring timer configuration for campaign calls.
* api-change:``autoscaling``: This release adds the new LaunchInstances API, which can launch instances synchronously in an AutoScaling group. The API also returns instances info and launch error back immediately.
* api-change:``kafka``: Amazon MSK adds three new APIs, ListTopics, DescribeTopic, and DescribeTopicPartitions for viewing Kafka topics in your MSK clusters.
* api-change:``bedrock-runtime``: Amazon Bedrock Runtime Service Tier Support Launch
* api-change:``cloudformation``: New CloudFormation DescribeEvents API with operation ID tracking and failure filtering capabilities to quickly identify root causes of deployment failures. Also, a DeploymentMode parameter for the CreateChangeSet API that enables creation of drift-aware change sets for safe drift management.
* api-change:``backup``: AWS Backup now supports a low-cost warm storage tier for Amazon S3 backup data.
* api-change:``resourcegroupstaggingapi``: Add support for new ListRequiredTags API used to retrieve the required tags specified in a customer's effective tag policy.


2.31.38
=======

* api-change:``mediapackagev2``: Add support for SCTE messages in Segment file output
* api-change:``dms``: This release introduces the SAP ASE(Sybase) Data Provider for AWS Data Migration Service (DMS). In addition, DMS Schema Conversion now supports this provider, enabling customers to migrate SAP ASE(Sybase) databases to Amazon RDS for PostgreSQL or Aurora PostgreSQL seamlessly.
* api-change:``route53resolver``: Adding DICTIONARY_DGA to dns-threat-protection as a new enum type. Customers can now set rules for dictionary dga protection
* api-change:``mwaa-serverless``: Amazon MWAA now offers serverless deployment, eliminating operational overhead while optimizing costs. The service supports YAML and Python-based workflows, with 80+ AWS Operators. It provides isolated execution, IAM permissions, and automatic scaling with pay-per-use pricing.
* api-change:``lexv2-models``: Adds support for LLM as Primary, allowing usage of LLMs as the default NLU system.
* api-change:``opensearch``: This release adds index operation APIs to support Automatic Semantic Enrichment feature
* api-change:``bedrock``: Automated Reasoning checks in Amazon Bedrock Guardrails now automatically generate Q&A tests for new Automated Reasoning policies. The GetAutomatedReasoningPolicyBuildWorkflowResultAssets API adds GENERATED_TEST_CASES asset type, allowing customers to retrieve tests generated by the build workflow.
* api-change:``appstream``: Adding support for additional instances and extended storage
* api-change:``pcs``: Added support for the managed Slurm REST API endpoint
* api-change:``ec2``: This release introduces new APIs: DescribeInstanceSqlHaStates, DescribeInstanceSqlHaHistoryStates, EnableInstanceSqlHaStandbyDetections and DisableInstanceSqlHaStandbyDetections on Amazon EC2, allowing customers to enroll and monitor SQL Server licensing fee savings for their SQL HA EC2 instances.
* api-change:``backup``: AWS Backup now supports specifying a logically air-gapped backup vault as a primary backup target in backup plans and on-demand backup jobs.
* api-change:``guardduty``: Add S3 On-Demand Object Scanning
* api-change:``glue``: Amazon Glue Releasing 2 the new API ListIntegrationResourceProperties and DeleteIntegrationResourceProperty along with minor improvement on existing API(s).
* api-change:``devicefarm``: This release adds support for interacting with devices during a remote access session using the remoteDriverEndpoint interface
* api-change:``medialive``: Adds configurations for spatial/temporal adaptive quantization in AV1 codec, and conversion to HLG output color space in H265 codec.


2.31.37
=======

* api-change:``imagebuilder``: EC2 Image Builder now supports invoking Lambda functions and executing Step Functions state machine through image workflows.
* api-change:``ec2``: This release adds AvailabilityZoneId support for CreateInstanceConnectEndpoint, DescribeInstanceConnectEndpoints, and DeleteInstanceConnectEndpoint APIs.
* api-change:``datazone``: Adds support for granting read and write access to Amazon S3 general purpose buckets using CreateSubscriptionRequest and AcceptSubscriptionRequest APIs. Also adds search filters for SSOUser and SSOGroup to ListSubscriptions APIs and deprecates "sortBy" parameter for ListSubscriptions APIs.
* api-change:``medialive``: Removed all the value constraint (min/max) for the shape definitions (e.g. integerMin0Max3600) on the C2j models to get rid of the need to request an exemption from the SDK team whenever a shape definition (e.g. integerMin0Max3600) is changed.


2.31.36
=======

* api-change:``iotwireless``: Integration of Device Location with Amazon Sidewalk network for Amazon Sidewalk enabled devices
* api-change:``sagemaker``: Added support for minor version upgrades and AWS Identity Center integration for SageMaker Hadron Partner Apps, enabling automated version management and IdC group-based access control.
* api-change:``ec2``: Added support for new accelerator types ("media") and accelerator names ("L4", "L40s", "GAUDI_HL_205", "INFERENTIA2", "TRAINIUM", "TRAINIUM2", "U30") in Attributes Based Instance Type Selection for launched instance types.
* api-change:``controlcatalog``: Added support for related control mappings with new RELATED_CONTROL mapping type in ListControlMappings API.
* api-change:``ecr``: Add Amazon ECR FIPS PrivateLink endpoint support
* api-change:``cloudformation``: CloudFormation now supports GetHookResult API with annotations to retrieve structured compliance check results and remediation guidance for each evaluated resource, replacing the previous single-message limitation with detailed validation outcomes.
* api-change:``elbv2``: QUIC and TCP_QUIC protocol support for Network Load Balancer (NLB). This capability enables customers to forward QUIC traffic to their targets with ultra-low latency while maintaining session stickiness using QUIC Connection IDs.
* api-change:``workspaces-web``: Support for managing web content filtering for defining, tracking and regulating type of content accessed with WorkSpaces Secure Browser as part of browser settings.
* api-change:``mediaconvert``: Lowers minimum duration for black video generator. Adds support for embedding and signing C2PA content credentials in DASH and CMAF HLS outputs.
* api-change:``rds``: Updated endpoint and service metadata


2.31.35
=======

* api-change:``sagemaker``: Add support for trn2.3xlarge instance type for SageMaker Hyperpod
* api-change:``connect``: Updated Authentication Profile APIs to add support for automatic logout on user inactivity
* api-change:``amp``: Add VPC source configuration support enabling Amazon Managed Service for Prometheus Collector to collect metrics from MSK clusters.
* api-change:``ec2``: Adds complete AMI ancestry tracing from immediate parent through each preceding generation back to the root AMI
* api-change:``dms``: Added support of SQL statements creation, metadata model discovery and selection rules transformation.
* api-change:``s3tables``: Adds support for request metrics metrics APIs for S3 Tables
* api-change:``redshift``: Added GetIdentityCenterAuthToken API to retrieve encrypted authentication tokens for Identity Center integrated applications. This API enables programmatic access to secure Identity Center tokens with proper error handling and parameter validation across supported SDK languages.
* api-change:``elbv2``: This release expands ALB Authentication to support JWT verification and adds support for a new JWT validation action in listener rule.


2.31.34
=======

* api-change:``medical-imaging``: Added new fields in existing APIs.
* api-change:``rtbfabric``: Added LogSettings and LinkAttribute fields to external links
* api-change:``ec2``: AWS Site-to-Site VPN now supports VPN connections with up to 5 Gbps bandwidth per tunnel, a 4x improvement from existing limit of 1.25 Gbps.
* api-change:``security-ir``: Added support for configuring communication preferences as well as clearly displaying case comment author identities.
* api-change:``batch``: Documentation-only update: update API and doc descriptions per EKS ImageType default value switch from AL2 to AL2023.
* api-change:``bedrock-data-automation``: Added support for Language Expansion feature for BDA Audio modality.


2.31.33
=======

* api-change:``guardduty``: Include tags filed in CreatePublishingDestinationRequest and DescribePublishingDestinationResponse.
* api-change:``ec2``: Amazon EC2 Fleet customers can now filter instance types based on encryption-in-transit support using Attribute-Based Instance Type Selection (ABIS), eliminating the manual effort of identifying and selecting compatible instance types for security-sensitive workloads.
* api-change:``acm-pca``: Private Certificate Authority service now supports ML-DSA key algorithms.
* api-change:``verifiedpermissions``: Amazon Verified Permissions / Features : Adds support for entity Cedar tags.
* enhancement:awscrt: Exposes new CRT options for S3 file IO
* api-change:``appstream``: AWS Appstream support for IPv6
* api-change:``wafv2``: AWS WAF now supports CLOUDWATCH_TELEMETRY_RULE_MANAGED as a LogScope option, enabling automated logging configuration through Amazon CloudWatch Logs for telemetry data collection and analysis.
* api-change:``sts``: Added GetDelegatedAccessToken API, which is not available for general use at this time.
* api-change:``iam``: Added CreateDelegationRequest API, which is not available for general use at this time.
* api-change:``datazone``: Remove trackingServerName from DataZone Connection MLflowProperties
* api-change:``dsql``: Cluster endpoint added to CreateCluster and GetCluster API responses
* api-change:``invoicing``: Added new invoicing get-invoice-pdf API Operation
* api-change:``backup``: AWS Backup supports backups of Amazon EKS clusters, including Kubernetes cluster state and persistent storage attached to the EKS cluster via a persistent volume claim (EBS volumes, EFS file systems, and S3 buckets).
* api-change:``kafka``: Amazon MSK now supports intelligent rebalancing for MSK Express brokers.
* api-change:``braket``: Adds ExperimentalCapabilities field to CreateQuantumTask request and GetQuantumTask response objects. Enables use of experimental software capabilities when creating quantum tasks.


2.31.32
=======

* api-change:``ec2``: Adds PrivateDnsPreference and PrivateDnsSpecifiedDomains to control private DNS resolution for resource and service network VPC endpoints and IpamScopeExternalAuthorityConfiguration to integrate Amazon VPC IPAM with a third-party IPAM service
* api-change:``kms``: Added support for new ECC_NIST_EDWARDS25519 AWS KMS key spec
* api-change:``controltower``: Added Parent Identifier support to ListEnabledControls and GetEnabledControl API. Implemented RemediationType support for Landing Zone operations: CreateLandingZone, UpdateLandingZone and GetLandingZone APIs
* api-change:``vpc-lattice``: Amazon VPC Lattice now supports custom domain name for resource configurations
* api-change:``opensearch``: This release introduces the Default Application feature, allowing users to set, change, or unset a preferred OpenSearch UI application on a per-region basis for a streamlined and consistent user experience.


2.31.31
=======

* api-change:``sagemaker``: Added NodeProvisioningMode parameter to UpdateCluster API to determine how instance provisioning is handled during cluster operations; in Continuous mode. Added VpcId field in UpdateDomain request for SageMaker Unified Studio domains with no VPC to add a customer VPC.
* api-change:``accessanalyzer``: New field totalActiveErrors added to getFindingsStatistics response.
* api-change:``connect``: Added support for Conditional Questions in Evaluation Forms. Introduced Auto Evaluation capability for Evaluation Forms and Contact Evaluations. Added new API operations: SearchEvaluationForms and SearchContactEvaluations.
* api-change:``ssm``: Provides NoLongerSupportedException error message
* api-change:``s3tables``: Adds support for tagging APIs for S3 Tables
* api-change:``identitystore``: IdentityStore API: added new KMSExceptionReason fields to the Exception object; added multiple new fields to the User APIs - UserStatus, Birthdate, Website and Photos; added multiple new metadata fields for User, Groups and Membership APIs - CreatedAt, CreatedBy, UpdatedAt and UpdatedBy.
* api-change:``ec2``: Add Amazon EC2 R8a instance types
* api-change:``quicksight``: Support for New Data Prep Experience
* api-change:``s3vectors``: Amazon S3 Vectors provides cost-effective, elastic, and durable vector storage for queries based on semantic meaning and similarity.
* api-change:``backup``: AWS Backup now supports customer-managed keys (CMK) for logically air-gapped vaults, enabling customers to maintain full control over their encryption key lifecycle. This feature helps organizations meet specific internal governance requirements or external regulatory compliance standards.
* api-change:``gamelift``: Amazon GameLift Servers now supports game builds that use the Windows 2022 operating system.
* enhancement:``awscrt``: Update awscrt version to 0.28.4


2.31.30
=======

* api-change:``ec2``: This release adds AvailabilityZoneId support for DescribeFastSnapshotRestores, DisableFastSnapshotRestores, and EnableFastSnapshotRestores APIs.
* api-change:``fsx``: Amazon FSx now enables secure management of Active Directory credentials through AWS Secrets Manager integration. Customers can use Secret ARNs instead of direct credentials when joining resources to Active Directory domains.
* api-change:``cloudfront``: This release adds new and updated API operations. You can now use the IpAddressType field to specify either ipv4 or dualstack for your Anycast static IP list. You can also enable cross-account resource sharing to share your VPC origins with other AWS accounts
* api-change:``s3``: Launch IPv6 dual-stack support for S3 Express
* api-change:``groundstation``: Introduce CreateDataflowEndpointGroupV2 action
* api-change:``sagemaker``: Add new fields in SageMaker Hyperpod DescribeCluster API response: TargetStateCount, SoftwareUpdateStatus and ActiveSoftwareDeploymentConfig to provide AMI update progress visibility .
* api-change:``datazone``: Added support for Project Resource Tags


2.31.29
=======

* api-change:``pinpoint-sms-voice-v2``: This release adds support for the CarrierLookup API, which returns information about a destination phone number including if the number is valid, the carrier, and more.


2.31.28
=======

* api-change:``budgets``: Fix the AWS Budgets endpoint for the aws-eusc partition.
* api-change:``ecs``: Documentation-only update for LINEAR and CANARY deployment strategies.
* api-change:``ec2``: Add Amazon EC2 trn2.3xlarge instance type.
* api-change:``bedrock-agentcore-control``: Adds support for direct code deploy with CreateAgentRuntime and UpdateAgentRuntime
* api-change:``kinesis``: Adds support for MinimumThroughputBillingCommitment with new UpdateAccountSettings API. Adds support to configure warm throughput for on-demand streams in new UpdateStreamWarmThroughput API and existing CreateStream API and UpdateStreamMode API.


2.31.27
=======

* api-change:``marketplace-catalog``: Update endpoint ruleset parameters casing
* api-change:``savingsplans``: Add dual-stack endpoint support for Savings Plans
* api-change:``ssm-quicksetup``: Update endpoint ruleset parameters casing
* api-change:``redshift``: Update endpoint ruleset parameters casing
* api-change:``textract``: Update endpoint ruleset parameters casing
* api-change:``emr``: Update endpoint ruleset parameters casing
* api-change:``snowball``: Update endpoint ruleset parameters casing
* api-change:``logs``: Update endpoint ruleset parameters casing
* api-change:``ec2``: Amazon VPC IP Address Manager (IPAM) now supports automated prefix list management, allowing you to create rules that automatically populate customer-managed prefix lists with CIDRs from your IPAM pools or AWS resources based on tags, Regions, or other criteria.
* api-change:``resourcegroupstaggingapi``: Update endpoint ruleset parameters casing
* api-change:``mediaconvert``: Adds SlowPalPitchCorrection to audio pitch correction settings. Enables opacity for VideoOverlays. Adds REMUX_ALL option to enable multi-rendition passthrough to VideoSelector for allow listed accounts.
* api-change:``health``: Update endpoint ruleset parameters casing
* api-change:``fsx``: Update endpoint ruleset parameters casing
* api-change:``lambda``: Add Python3.14 (python3.14) and Java 25 (java25) support to AWS Lambda
* api-change:``waf``: Update endpoint ruleset parameters casing
* api-change:``omics``: Added WDL_LENIENT engine type that enables implicit typecasting of variable values to its compatible declared types
* api-change:``kinesis``: Update endpoint ruleset parameters casing
* api-change:``fms``: Update endpoint ruleset parameters casing
* api-change:``payment-cryptography``: Allow additional characters in the CertificateSubject for GetCertificateSigningRequest API.
* api-change:``sagemaker``: Allow update of platform identifier via UpdateNotebookInstance operation.
* api-change:``connectcases``: Added two new case rule types: Parent Child Field Options (restricts child field options based on parent field value) and Hidden (controls child field visibility based on parent field value). Both enable dynamic field behavior within templates.


2.31.26
=======

* api-change:``elasticache``: Update endpoint ruleset parameters casing
* api-change:``codecatalyst``: Update endpoint ruleset parameters casing
* api-change:``cloudwatch``: Update endpoint ruleset parameters casing
* api-change:``auditmanager``: Update endpoint ruleset parameters casing
* api-change:``ecs``: Amazon ECS Service Connect now supports Envoy access logs, providing deeper observability into request-level traffic patterns and service interactions.
* api-change:``deadline``: Update endpoint ruleset parameters casing
* api-change:``appmesh``: Update endpoint ruleset parameters casing
* api-change:``marketplace-reporting``: Update endpoint ruleset parameters casing
* api-change:``apigateway``: Update endpoint ruleset parameters casing
* api-change:``cloudsearch``: Update endpoint ruleset parameters casing
* api-change:``cleanrooms``: Added support for advanced Spark configurations to optimize SQL performance
* api-change:``docdb``: Adding FailoverState and TagList to GlobalCluster and SynchronizationStatus to GlobalClusterMember.
* api-change:``devops-guru``: Update endpoint ruleset parameters casing
* api-change:``iot-managed-integrations``: Add a new GetManagedThingCertificate API to expose Iot ManagedIntegrations (MI) device certificate, and add  "-"  support for name, properties, actions and events in the CapabilityReportCapability object.
* api-change:``amp``: Add Anomaly Detection APIs for Amazon Managed Prometheus
* api-change:``neptune``: Update endpoint ruleset parameters casing
* api-change:``eks-auth``: Update endpoint ruleset parameters casing
* api-change:``frauddetector``: Update endpoint ruleset parameters casing
* api-change:``s3outposts``: Update endpoint ruleset parameters casing
* api-change:``connectcases``: Update endpoint ruleset parameters casing
* api-change:``firehose``: Update endpoint ruleset parameters casing
* api-change:``greengrassv2``: Update endpoint ruleset parameters casing
* api-change:``appflow``: Update endpoint ruleset parameters casing
* api-change:``sagemaker-runtime``: Update endpoint ruleset parameters casing
* api-change:``servicecatalog``: Update endpoint ruleset parameters casing
* api-change:``serverlessrepo``: Update endpoint ruleset parameters casing
* api-change:``sso``: Update endpoint ruleset parameters casing
* api-change:``glue``: This release adds the capability to enable User Background Sessions for customers running Trusted Identity Propagation enabled Interactive Sessions on AWS Glue.
* api-change:``sts``: Update endpoint ruleset parameters casing
* api-change:``chime``: Update endpoint ruleset parameters casing
* api-change:``kms``: Add cross account VPC endpoint service connectivity support to CustomKeyStore.
* api-change:``clouddirectory``: Update endpoint ruleset parameters casing
* api-change:``license-manager-linux-subscriptions``: Update endpoint ruleset parameters casing
* api-change:``cognito-sync``: Update endpoint ruleset parameters casing
* api-change:``codecommit``: Update endpoint ruleset parameters casing
* api-change:``keyspacesstreams``: Update endpoint ruleset parameters casing
* api-change:``iotevents-data``: Update endpoint ruleset parameters casing
* api-change:``emr-serverless``: This release adds the capability to enable User Background Sessions for customers running Trusted Identity Propagation enabled Interactive Sessions on EMR Serverless Applications.
* api-change:``bedrock-agentcore-control``: Web-Bot-Auth support for AgentCore Browser tool to help reduce captcha challenges.
* api-change:``appconfig``: Update endpoint ruleset parameters casing
* api-change:``artifact``: Update endpoint ruleset parameters casing
* api-change:``geo-places``: Update endpoint ruleset parameters casing
* api-change:``schemas``: Update endpoint ruleset parameters casing
* api-change:``bedrock-agent``: Update endpoint ruleset parameters casing
* api-change:``applicationcostprofiler``: Update endpoint ruleset parameters casing
* api-change:``cloudcontrol``: Update endpoint ruleset parameters casing
* api-change:``codedeploy``: Update endpoint ruleset parameters casing
* api-change:``compute-optimizer``: Update endpoint ruleset parameters casing
* api-change:``appsync``: Update endpoint ruleset parameters casing
* api-change:``rtbfabric``: RTB Fabric documentation update.


2.31.25
=======

* api-change:``bedrock-runtime``: Add support for system tool and web citation response.
* enhancement:Python: Upgrade bundled Python interpreter to 3.13.9


2.31.24
=======

* api-change:``inspector-scan``: Update endpoint ruleset parameters casing
* api-change:``pipes``: Update endpoint ruleset parameters casing
* api-change:``migrationhuborchestrator``: Update endpoint ruleset parameters casing
* api-change:``sqs``: Update endpoint ruleset parameters casing
* api-change:``elastictranscoder``: Update endpoint ruleset parameters casing
* api-change:``bcm-pricing-calculator``: Update endpoint ruleset parameters casing
* api-change:``kendra``: Update endpoint ruleset parameters casing
* api-change:``bedrock-runtime``: Update endpoint ruleset parameters casing
* api-change:``marketplace-deployment``: Update endpoint ruleset parameters casing
* api-change:``workspaces``: Added IPv6 address support for WorkSpaces using Dual-Stack subnets
* api-change:``efs``: Update endpoint ruleset parameters casing
* api-change:``apigatewayv2``: Update endpoint ruleset parameters casing
* api-change:``organizations``: Added Account State field to the ListDelegatedAdministrators API response.
* api-change:``opensearch``: Update endpoint ruleset parameters casing
* api-change:``cloudsearchdomain``: Update endpoint ruleset parameters casing
* api-change:``support-app``: Update endpoint ruleset parameters casing
* api-change:``s3``: Amazon Simple Storage Service / Features: Add conditional writes in CopyObject on destination key to prevent unintended object modifications.
* api-change:``ec2``: This released the DescribeCapacityReservationTopology API.
* api-change:``kinesisvideo``: Update endpoint ruleset parameters casing
* api-change:``ecs``: Amazon ECS supports native linear and canary service deployments, allowing you to shift traffic in increments for more control.
* api-change:``trustedadvisor``: Update endpoint ruleset parameters casing
* api-change:``codeguru-security``: Update endpoint ruleset parameters casing
* api-change:``sagemaker``: Amazon SageMaker now supports deleting training and processing jobs in a terminal status.
* api-change:``detective``: Update endpoint ruleset parameters casing
* api-change:``s3control``: Update endpoint ruleset parameters casing
* api-change:``cloud9``: Update endpoint ruleset parameters casing
* api-change:``workspaces-instances``: Update endpoint ruleset parameters casing
* api-change:``codeconnections``: Update endpoint ruleset parameters casing
* api-change:``glacier``: Update endpoint ruleset parameters casing
* api-change:``application-signals``: Added support for CloudWatch Synthetics Canary resources in ListAuditFindings API. This enhancement allows customers to retrieve audit findings specifically for CloudWatch Synthetics canaries and enables service-canary correlation analysis.
* api-change:``servicecatalog-appregistry``: Update endpoint ruleset parameters casing
* api-change:``ram``: Update endpoint ruleset parameters casing
* api-change:``resource-groups``: Update endpoint ruleset parameters casing
* api-change:``taxsettings``: Update endpoint ruleset parameters casing
* api-change:``partnercentral-selling``: Update endpoint ruleset parameters casing
* api-change:``kafkaconnect``: Update endpoint ruleset parameters casing
* api-change:``bedrock-agent-runtime``: Update endpoint ruleset parameters casing
* api-change:``emr-containers``: Update endpoint ruleset parameters casing
* api-change:``security-ir``: Update endpoint ruleset parameters casing
* api-change:``notifications``: Update endpoint ruleset parameters casing
* api-change:``gameliftstreams``: Add stream group expiration date and expired status
* api-change:``backupsearch``: Update endpoint ruleset parameters casing
* api-change:``groundstation``: Enable use of AzEl ephemerides
* api-change:``cleanroomsml``: Update endpoint ruleset parameters casing
* api-change:``mediapackage-vod``: Update endpoint ruleset parameters casing
* api-change:clients: The following clients have been removed per deprecation of the services - qldb, qldbsession, robomaker, lookoutmetrics, lookoutvision, iotfleethub, apptest
* api-change:``lambda``: Added SerializedRequestEntityTooLargeException to Lambda Invoke API
* api-change:``xray``: Update endpoint ruleset parameters casing
* api-change:``sagemaker-featurestore-runtime``: Update endpoint ruleset parameters casing


2.31.23
=======

* api-change:``accessanalyzer``: Update endpoint ruleset parameters casing
* api-change:``stepfunctions``: Update endpoint ruleset parameters casing
* api-change:``lex-runtime``: Update endpoint ruleset parameters casing
* api-change:``chime-sdk-media-pipelines``: Update endpoint ruleset parameters casing
* api-change:``socialmessaging``: Update endpoint ruleset parameters casing
* api-change:``codeartifact``: Update endpoint ruleset parameters casing
* api-change:``backup-gateway``: Update endpoint ruleset parameters casing
* api-change:``aiops``: Update endpoint ruleset parameters casing
* api-change:``cost-optimization-hub``: Update endpoint ruleset parameters casing
* api-change:``connectcampaigns``: Update endpoint ruleset parameters casing
* api-change:``rbin``: Update endpoint ruleset parameters casing
* api-change:``dax``: Update endpoint ruleset parameters casing
* api-change:``s3vectors``: Update endpoint ruleset parameters casing
* api-change:``comprehend``: Update endpoint ruleset parameters casing
* api-change:``repostspace``: Update endpoint ruleset parameters casing
* api-change:``waf-regional``: Update endpoint ruleset parameters casing
* api-change:``cognito-idp``: Update endpoint ruleset parameters casing
* api-change:``controltower``: Update endpoint ruleset parameters casing
* api-change:``braket``: Update endpoint ruleset parameters casing
* api-change:``redshift-serverless``: Update endpoint ruleset parameters casing
* api-change:``simspaceweaver``: Update endpoint ruleset parameters casing
* api-change:``rds-data``: Update endpoint ruleset parameters casing
* api-change:``route53resolver``: Update endpoint ruleset parameters casing
* api-change:``scheduler``: Update endpoint ruleset parameters casing
* api-change:``sso-admin``: Update endpoint ruleset parameters casing
* api-change:``neptune-graph``: Update endpoint ruleset parameters casing
* api-change:``codeguruprofiler``: Update endpoint ruleset parameters casing
* api-change:``pinpoint``: Update endpoint ruleset parameters casing
* api-change:``bedrock-data-automation``: Update endpoint ruleset parameters casing
* api-change:``athena``: Update endpoint ruleset parameters casing
* api-change:``outposts``: Update endpoint ruleset parameters casing
* api-change:``secretsmanager``: Update endpoint ruleset parameters casing
* api-change:``iam``: Fixed missing SummaryMap keys in GetAccountSummary response that were being filtered out during deserialization in AWS Java SDK v2
* api-change:``managedblockchain``: Update endpoint ruleset parameters casing
* api-change:``launch-wizard``: Update endpoint ruleset parameters casing
* api-change:``workmailmessageflow``: Update endpoint ruleset parameters casing
* api-change:``greengrass``: Update endpoint ruleset parameters casing
* api-change:``elasticbeanstalk``: Update endpoint ruleset parameters casing
* api-change:``ses``: Update endpoint ruleset parameters casing
* api-change:``forecast``: Update endpoint ruleset parameters casing
* api-change:``chime-sdk-identity``: Update endpoint ruleset parameters casing
* api-change:``route53profiles``: Update endpoint ruleset parameters casing
* api-change:``kinesis``: Adds support for record sizes up to 10MiB and introduces new UpdateMaxRecordSize API to modify stream record size limits. Adds record size parameters to existing CreateStream and DescribeStreamSummary APIs for request and response payloads respectively.
* api-change:``mturk``: Update endpoint ruleset parameters casing
* api-change:``rekognition``: Update endpoint ruleset parameters casing
* api-change:``ssm-sap``: Update endpoint ruleset parameters casing
* api-change:``invoicing``: Update endpoint ruleset parameters casing
* api-change:``ce``: Updated endpoint for eusc-de-east-1 region.
* api-change:``entityresolution``: Update endpoint ruleset parameters casing
* api-change:``shield``: Update endpoint ruleset parameters casing


2.31.22
=======

* api-change:``datapipeline``: Update endpoint ruleset parameters casing
* api-change:``vpc-lattice``: Update endpoint ruleset parameters casing
* api-change:``chime-sdk-messaging``: Update endpoint ruleset parameters casing
* api-change:``docdb``: Update endpoint ruleset parameters casing
* api-change:``budgets``: Update endpoint ruleset parameters casing
* api-change:``acm``: Update endpoint ruleset parameters casing
* api-change:``snow-device-management``: Update endpoint ruleset parameters casing
* api-change:``elb``: Update endpoint ruleset parameters casing
* api-change:``payment-cryptography``: Update endpoint ruleset parameters casing
* api-change:``location``: Added support for mobile app restrictions in Amazon Location API keys.
* api-change:``amplifyuibuilder``: Update endpoint ruleset parameters casing
* api-change:``kinesis-video-signaling``: Update endpoint ruleset parameters casing
* api-change:``qbusiness``: Update endpoint ruleset parameters casing
* api-change:``robomaker``: Update endpoint ruleset parameters casing
* api-change:``workspaces-thin-client``: Update endpoint ruleset parameters casing
* api-change:``evs``: Update endpoint ruleset parameters casing
* api-change:``eks``: Update endpoint ruleset parameters casing
* api-change:``sso-oidc``: Update endpoint ruleset parameters casing
* api-change:``inspector``: Update endpoint ruleset parameters casing
* api-change:``mediastore``: Update endpoint ruleset parameters casing
* api-change:``route53domains``: Update endpoint ruleset parameters casing
* api-change:``wisdom``: Update endpoint ruleset parameters casing
* api-change:``verifiedpermissions``: Update endpoint ruleset parameters casing
* api-change:``securityhub``: Release 3 layer filter support in GetFindingsV2, GetFindingStatisticsV2, GetResourcesV2,GetResourcesStatisticsV2, AutomationRule V2 APIs. Update filter casing in GetResourcesV2, GetResourcesStatisticsV2 APIs. Add new filters in GetFindingsV2, GetFindingStatisticsV2, AutomationRule V2 APIs.
* api-change:``mediapackage``: Update endpoint ruleset parameters casing
* api-change:``fis``: Update endpoint ruleset parameters casing
* api-change:``rtbfabric``: Add support for custom rate limits.
* api-change:``sagemaker-metrics``: Update endpoint ruleset parameters casing
* api-change:``supplychain``: Update endpoint ruleset parameters casing
* api-change:``iotwireless``: Update endpoint ruleset parameters casing
* api-change:``datazone``: This release adds support for MLflow connections Creation in DataZone
* api-change:``kinesisanalytics``: Update endpoint ruleset parameters casing
* api-change:``servicediscovery``: Update endpoint ruleset parameters casing
* api-change:``dynamodbstreams``: Update endpoint ruleset parameters casing
* api-change:``lookoutvision``: Update endpoint ruleset parameters casing
* api-change:``application-signals``: Update endpoint ruleset parameters casing
* api-change:``sagemaker``: Added inference components model data caching feature
* api-change:``mediastore-data``: Update endpoint ruleset parameters casing
* api-change:``mq``: Update endpoint ruleset parameters casing
* api-change:``billing``: Update endpoint ruleset parameters casing
* api-change:``iot-managed-integrations``: Update endpoint ruleset parameters casing
* api-change:``translate``: Update endpoint ruleset parameters casing
* api-change:``panorama``: Update endpoint ruleset parameters casing
* api-change:``s3tables``: Update endpoint ruleset parameters casing
* api-change:``migrationhubstrategy``: Update endpoint ruleset parameters casing
* api-change:``geo-maps``: Added support for optional AdditionalFeatures parameter in the V2 GetTile API.
* api-change:``cloudtrail``: Update endpoint ruleset parameters casing
* api-change:``codepipeline``: Update endpoint ruleset parameters casing
* api-change:``pca-connector-ad``: Update endpoint ruleset parameters casing
* api-change:``gameliftstreams``: Add status reasons for TERMINATED stream sessions
* api-change:``payment-cryptography-data``: Update endpoint ruleset parameters casing


2.31.21
=======

* api-change:``rum``: Update endpoint ruleset parameters casing
* api-change:``bedrock-agentcore``: Fixing the service documentation name
* api-change:``synthetics``: Update endpoint ruleset parameters casing
* api-change:``codebuild``: Update endpoint ruleset parameters casing
* api-change:``pinpoint-email``: Update endpoint ruleset parameters casing
* api-change:``lambda``: Add NodeJs 24 (nodejs24.x) support to AWS Lambda.
* api-change:``sagemaker``: Update endpoint ruleset parameters casing
* api-change:``chime-sdk-voice``: Update endpoint ruleset parameters casing
* api-change:``networkmonitor``: Update endpoint ruleset parameters casing
* api-change:``macie2``: Update endpoint ruleset parameters casing
* api-change:``drs``: Update endpoint ruleset parameters casing
* api-change:``mgh``: Update endpoint ruleset parameters casing
* api-change:``sesv2``: Update endpoint ruleset parameters casing
* api-change:``internetmonitor``: Update endpoint ruleset parameters casing
* api-change:``securitylake``: Update endpoint ruleset parameters casing
* api-change:``mgn``: Update endpoint ruleset parameters casing
* api-change:``marketplacecommerceanalytics``: Update endpoint ruleset parameters casing
* api-change:``ecr-public``: Update endpoint ruleset parameters casing
* api-change:``savingsplans``: Update endpoint ruleset parameters casing
* api-change:``managedblockchain-query``: Update endpoint ruleset parameters casing
* api-change:``pca-connector-scep``: Update endpoint ruleset parameters casing
* api-change:``application-autoscaling``: Update endpoint ruleset parameters casing
* api-change:``kinesis-video-archived-media``: Update endpoint ruleset parameters casing
* api-change:``resiliencehub``: Update endpoint ruleset parameters casing
* api-change:``healthlake``: Update endpoint ruleset parameters casing
* api-change:``dms``: Update endpoint ruleset parameters casing
* api-change:``mediatailor``: Update endpoint ruleset parameters casing
* api-change:``personalize-events``: Update endpoint ruleset parameters casing
* api-change:``docdb-elastic``: Update endpoint ruleset parameters casing
* api-change:``cloudtrail-data``: Update endpoint ruleset parameters casing
* api-change:``mpa``: Update endpoint ruleset parameters casing
* api-change:``neptunedata``: Update endpoint ruleset parameters casing
* api-change:``kinesis-video-webrtc-storage``: Update endpoint ruleset parameters casing
* api-change:``account``: Update endpoint ruleset parameters casing
* api-change:``discovery``: Update endpoint ruleset parameters casing
* api-change:``opensearchserverless``: Update endpoint ruleset parameters casing
* api-change:``sagemaker-edge``: Update endpoint ruleset parameters casing
* api-change:``codestar-connections``: Update endpoint ruleset parameters casing
* api-change:``iot-jobs-data``: Update endpoint ruleset parameters casing
* api-change:``bedrock-agentcore-control``: Fixing the service documentation name
* api-change:``config``: Update endpoint ruleset parameters casing
* api-change:``odb``: Doc-only update that removes duplicate values from descriptions of ODB peering APIs.
* api-change:``iotevents``: Update endpoint ruleset parameters casing
* api-change:``ecr``: Update endpoint ruleset parameters casing
* api-change:``omics``: Update endpoint ruleset parameters casing
* api-change:``ebs``: Update endpoint ruleset parameters casing
* api-change:``cur``: Update endpoint ruleset parameters casing
* api-change:``storagegateway``: Update endpoint ruleset parameters casing
* api-change:``connect-contact-lens``: Update endpoint ruleset parameters casing
* api-change:``dsql``: Add support for resource-based policies for Aurora DSQL clusters. This will enable you to implement Block Public Access (BPA) which will help restrict access to your Aurora DSQL public or VPC endpoints.


2.31.20
=======

* api-change:``workmail``: Update endpoint ruleset parameters casing
* api-change:``iotanalytics``: Update endpoint ruleset parameters casing
* api-change:``connectparticipant``: Update endpoint ruleset parameters casing
* api-change:``medialive``: Add 3 API operations for fetching alerts: ListAlerts (Channels), ListClusterAlerts (MediaLive Anywhere), and ListMultiplexAlerts
* api-change:``lexv2-models``: Update endpoint ruleset parameters casing
* api-change:``ds-data``: Update endpoint ruleset parameters casing
* api-change:``oam``: Update endpoint ruleset parameters casing
* api-change:``cloudformation``: Update endpoint ruleset parameters casing
* api-change:``directconnect``: Update endpoint ruleset parameters casing
* api-change:``workspaces``: Update endpoint ruleset parameters casing
* api-change:``autoscaling``: Update endpoint ruleset parameters casing
* api-change:``connect``: This release added support for email address alias configuration and outbound campaign preview mode.
* api-change:``pcs``: Update endpoint ruleset parameters casing
* api-change:``sagemaker-a2i-runtime``: Update endpoint ruleset parameters casing
* api-change:``marketplace-agreement``: Update endpoint ruleset parameters casing
* api-change:``notificationscontacts``: Update endpoint ruleset parameters casing
* api-change:``forecastquery``: Update endpoint ruleset parameters casing
* api-change:``connectcampaignsv2``: Updated Amazon Connect Outbound Campaigns V2 SDK to support Preview Outbound Mode
* api-change:``ssm-incidents``: Update endpoint ruleset parameters casing
* api-change:``redshift-data``: Update endpoint ruleset parameters casing
* api-change:``chatbot``: Update endpoint ruleset parameters casing
* api-change:``cloudhsm``: Update endpoint ruleset parameters casing
* api-change:``codeguru-reviewer``: Update endpoint ruleset parameters casing
* api-change:``iotsecuretunneling``: Update endpoint ruleset parameters casing
* api-change:``ivschat``: Update endpoint ruleset parameters casing
* api-change:``workdocs``: Update endpoint ruleset parameters casing
* api-change:``route53-recovery-cluster``: Update endpoint ruleset parameters casing
* api-change:``ec2-instance-connect``: Update endpoint ruleset parameters casing
* api-change:``mailmanager``: Update endpoint ruleset parameters casing
* api-change:``iot``: Update endpoint ruleset parameters casing
* api-change:``bcm-dashboards``: Update endpoint ruleset parameters casing
* api-change:``sns``: Update endpoint ruleset parameters casing
* api-change:``pinpoint-sms-voice-v2``: Update endpoint ruleset parameters casing
* api-change:``inspector2``: Update endpoint ruleset parameters casing
* api-change:``rtbfabric``: Update for general availability of AWS RTB Fabric service.
* api-change:``kinesisanalyticsv2``: Update endpoint ruleset parameters casing
* api-change:``ce``: Update endpoint ruleset parameters casing
* api-change:``cognito-identity``: Update endpoint ruleset parameters casing
* api-change:``cloudhsmv2``: Update endpoint ruleset parameters casing
* api-change:``mwaa``: Update endpoint ruleset parameters casing
* api-change:``iotsitewise``: Update endpoint ruleset parameters casing
* api-change:``ec2``: This release adds AvailabilityZoneId support for CreateNetworkInterface and DescribeNetworkInterfaces APIs.
* api-change:``b2bi``: Update endpoint ruleset parameters casing
* api-change:``devicefarm``: This release adds support for optionally including an app as part of a CreateRemoteAccessSession request
* api-change:``appfabric``: Update endpoint ruleset parameters casing
* api-change:``iotfleetwise``: Update endpoint ruleset parameters casing
* api-change:``comprehendmedical``: Update endpoint ruleset parameters casing
* api-change:``iam``: Updated OIDC and SAML apis to reject multiple simultaneous requests to change a unique object.
* api-change:``route53``: Amazon Route 53 now supports the ISOB West Region for private DNS for Amazon VPCs and cloudwatch healthchecks.


2.31.19
=======

* api-change:``dynamodb``: Add AccountID based endpoint metric to endpoint rules.
* api-change:``mediaconvert``: This release adds the ability to set resolution for the black video generator and also adds the StartJobsQuery and GetJobsQueryResults APIs which allow asynchronous search of job history using new filters.
* api-change:``emr``: Added RECONFIGURING to the InstanceFleetState convenience enum.
* api-change:``meteringmarketplace``: Added ClientToken parameter to MeterUsage API for specifying idempotent requests.


2.31.18
=======

* api-change:``arc-zonal-shift``: Update endpoint ruleset parameters casing
* api-change:``finspace-data``: Update endpoint ruleset parameters casing
* api-change:``wellarchitected``: Update endpoint ruleset parameters casing
* api-change:``ds``: Update endpoint ruleset parameters casing
* api-change:``amp``: Update endpoint ruleset parameters casing
* api-change:``bedrock-data-automation-runtime``: Update endpoint ruleset parameters casing
* api-change:``tnb``: Update endpoint ruleset parameters casing
* api-change:``license-manager-user-subscriptions``: Update endpoint ruleset parameters casing
* api-change:``kinesis-video-media``: Update endpoint ruleset parameters casing
* api-change:``bcm-recommended-actions``: Update endpoint ruleset parameters casing
* api-change:``marketplace-catalog``: The ListEntities API now supports two new CAPI filters: DeliveryOptionTypes for SaaS products and CompatibleAWSServices for Container products.
* api-change:``license-manager``: Update endpoint ruleset parameters casing
* api-change:``lakeformation``: Update endpoint ruleset parameters casing
* api-change:``codestar-notifications``: Update endpoint ruleset parameters casing
* api-change:``network-firewall``: Update endpoint ruleset parameters casing
* api-change:``mediaconnect``: Update endpoint ruleset parameters casing
* api-change:``pi``: Update endpoint ruleset parameters casing
* api-change:``networkmanager``: Update endpoint ruleset parameters casing
* api-change:``iotthingsgraph``: Update endpoint ruleset parameters casing
* api-change:``controlcatalog``: Update endpoint ruleset parameters casing
* api-change:``sagemaker-geospatial``: Update endpoint ruleset parameters casing
* api-change:``chime-sdk-meetings``: Update endpoint ruleset parameters casing
* api-change:``iottwinmaker``: Update endpoint ruleset parameters casing
* api-change:``appconfigdata``: Update endpoint ruleset parameters casing
* api-change:``kendra-ranking``: Update endpoint ruleset parameters casing
* api-change:``es``: Update endpoint ruleset parameters casing
* api-change:``gameliftstreams``: Updates documentation to clarify valid application binaries for an Amazon GameLift Streams application and provide descriptions of stream session error status reasons
* api-change:``rolesanywhere``: Update endpoint ruleset parameters casing
* api-change:``datasync``: Update endpoint ruleset parameters casing
* api-change:``route53-recovery-readiness``: Update endpoint ruleset parameters casing
* api-change:``finspace``: Update endpoint ruleset parameters casing
* api-change:``timestream-write``: Update endpoint ruleset parameters casing
* api-change:``qapps``: Update endpoint ruleset parameters casing
* api-change:``evidently``: Update endpoint ruleset parameters casing
* api-change:``swf``: Releasing minor endpoint updates.
* api-change:``migration-hub-refactor-spaces``: Update endpoint ruleset parameters casing
* api-change:``organizations``: Update endpoint ruleset parameters casing
* api-change:``imagebuilder``: Update endpoint ruleset parameters casing
* api-change:``events``: Update endpoint ruleset parameters casing
* api-change:``dsql``: Update endpoint ruleset parameters casing
* api-change:``cloudfront``: Update endpoint ruleset parameters casing
* api-change:``signer``: Update endpoint ruleset parameters casing
* api-change:``geo-maps``: Added support for optional style parameters in maps, including Terrain, ContourDensity, Traffic, and TravelModes.
* api-change:``application-insights``: Update endpoint ruleset parameters casing
* api-change:``amplifybackend``: Update endpoint ruleset parameters casing
* api-change:``appintegrations``: Update endpoint ruleset parameters casing
* api-change:``iot-data``: Update endpoint ruleset parameters casing
* api-change:``iotdeviceadvisor``: Update endpoint ruleset parameters casing
* api-change:``cloudfront-keyvaluestore``: Update endpoint ruleset parameters casing
* api-change:``ec2``: Documentation updates for Amazon EC2.


2.31.17
=======

* api-change:``route53-recovery-control-config``: Update endpoint ruleset parameters casing
* api-change:``amplify``: Update endpoint ruleset parameters casing
* api-change:``timestream-query``: Update endpoint ruleset parameters casing
* api-change:``migrationhub-config``: Update endpoint ruleset parameters casing
* api-change:``qldb-session``: Update endpoint ruleset parameters casing
* api-change:``personalize-runtime``: Update endpoint ruleset parameters casing
* api-change:``ssm``: Update endpoint ruleset parameters casing
* api-change:``identitystore``: Update endpoint ruleset parameters casing
* api-change:``mediapackagev2``: Update endpoint ruleset parameters casing
* api-change:``lex-models``: Update endpoint ruleset parameters casing
* api-change:``geo-routes``: Update endpoint ruleset parameters casing
* api-change:``ssm-guiconnect``: Update endpoint ruleset parameters casing
* api-change:``memorydb``: Update endpoint ruleset parameters casing
* api-change:``apigatewaymanagementapi``: Update endpoint ruleset parameters casing
* api-change:``osis``: Update endpoint ruleset parameters casing
* api-change:``lexv2-runtime``: Update endpoint ruleset parameters casing
* api-change:``billingconductor``: New feature: service flat CLI and first AWS managed pricing plan (BasicPricingPlan)
* api-change:``kafka``: Update endpoint ruleset parameters casing
* api-change:``workspaces-web``: Update endpoint ruleset parameters casing
* api-change:``machinelearning``: Update endpoint ruleset parameters casing
* api-change:``lookoutequipment``: Update endpoint ruleset parameters casing
* api-change:``globalaccelerator``: Update endpoint ruleset parameters casing
* api-change:``m2``: Update endpoint ruleset parameters casing
* api-change:``pricing``: Update endpoint ruleset parameters casing
* api-change:``freetier``: Update endpoint ruleset parameters casing
* api-change:``grafana``: Update endpoint ruleset parameters casing
* api-change:``dataexchange``: Update endpoint ruleset parameters casing
* api-change:``dlm``: Update endpoint ruleset parameters casing
* api-change:``ivs-realtime``: Update endpoint ruleset parameters casing
* api-change:``apptest``: Update endpoint ruleset parameters casing
* api-change:``polly``: Update endpoint ruleset parameters casing
* api-change:``apprunner``: Update endpoint ruleset parameters casing
* api-change:``databrew``: Update endpoint ruleset parameters casing
* api-change:``kms``: Update endpoint ruleset parameters casing
* api-change:``acm-pca``: Update endpoint ruleset parameters casing
* api-change:``keyspaces``: Update endpoint ruleset parameters casing
* api-change:``voice-id``: Update endpoint ruleset parameters casing
* api-change:``medical-imaging``: Update endpoint ruleset parameters casing
* api-change:``bcm-data-exports``: Update endpoint ruleset parameters casing
* api-change:``batch``: Update endpoint ruleset parameters casing
* api-change:``marketplace-entitlement``: Update endpoint ruleset parameters casing
* api-change:``ivs``: Update endpoint ruleset parameters casing
* api-change:``personalize``: Update endpoint ruleset parameters casing
* api-change:``networkflowmonitor``: Update endpoint ruleset parameters casing
* api-change:``customer-profiles``: Update endpoint ruleset parameters casing
* api-change:``gamelift``: Update endpoint ruleset parameters casing
* api-change:``autoscaling-plans``: Updated FIPS endpoints for US GovCloud regions
* api-change:``qldb``: Update endpoint ruleset parameters casing
* api-change:``ssm-contacts``: Update endpoint ruleset parameters casing


2.31.16
=======

* api-change:``timestream-influxdb``: This release adds support for creating and managing InfluxDB 3 Core and Enterprise DbClusters.
* api-change:``ec2``: Introducing EC2 Capacity Manager for monitoring and analyzing capacity usage across On-Demand Instances, Spot Instances, and Capacity Reservations.
* api-change:``docdb``: Add support for NetworkType field in CreateDbCluster, ModifyDbCluster, RestoreDbClusterFromSnapshot and RestoreDbClusterToPointInTime for DocumentDB.
* api-change:``lightsail``: Add support for manage Lightsail Bucket CORS configuration
* api-change:``guardduty``: Added default pagination value for ListMalwareProtectionPlans API and updated UpdateFindingsFeedback API
* api-change:``elbv2``: This release expands Listener Rule Conditions to support RegexValues and adds support for a new Transforms field in Listener Rules.
* api-change:``bedrock``: Amazon Bedrock Automated Reasoning Policy now offers enhanced AWS KMS integration. The CreateAutomatedReasoningPolicy API includes a new kmsKeyId field, allowing customers to specify their preferred KMS key for encryption, improving control and compliance with AWS encryption mandates.


2.31.15
=======

* api-change:``connect``: SDK release for TaskTemplateInfo in Contact for DescribeContact response.
* api-change:``ec2``: This release adds support for creating instant, point-in-time copies of EBS volumes within the same Availability Zone
* api-change:``transfer``: SFTP connectors now support routing connections via customers' VPC. This enables connections to remote servers that are only accessible in a customer's VPC environment, and to servers that are accessible over the internet but need connections coming from an IP address in a customer VPC's CIDR range.
* api-change:``backup``: The AWS Backup job attribute extension enhancement helps customers better understand the plan that initiated each job, and the properties of the resource each job creates.
* api-change:``transcribe``: Move UntagResource API body member to query parameter
* api-change:``datazone``: Support creating scoped and trustedIdentityPropagation enabled connections.
* enhancement:setuptools: Upgrade pinned setuptools to version 78.1.1
* api-change:``appstream``: This release introduces support for Microsoft license included applications streaming.


2.31.14
=======

* api-change:``observabilityadmin``: CloudWatch Observability Admin adds the ability to enable Resource tags for telemetry in a customer account. The release introduces new APIs to enable, disable and describe the status of Resource tags for telemetry feature. This new capability simplifies monitoring AWS resources using tags.
* api-change:``bedrock-agentcore-control``: Updated http status code in control plane apis of agentcore runtime, tools and identity. Additional included provider types for AgentCore Identity
* api-change:``ec2``: Release Amazon EC2 c8i, c8i-flex, m8a, and r8gb
* api-change:``bedrock-agentcore``: Updated InvokeAgentRuntime API to accept account id optionally and added CompleteResourceTokenAuth API.


2.31.13
=======

* api-change:``bedrock-agentcore``: Bedrock AgentCore release for Runtime, and Memory.
* api-change:``cloudfront``: Added new viewer security policy, TLSv1.2_2025, for CloudFront.
* api-change:``glue``: Addition of AuditContext in GetTable/GetTables Request
* api-change:``rds``: Updated the text in the Important section of the ModifyDBClusterParameterGroup page.
* api-change:``bedrock-agentcore-control``: Bedrock AgentCore release for Gateway, and Memory including Self-Managed Strategies support for Memory.
* api-change:``lambda``: Add InvokedViaFunctionUrl context key to limit invocations to only FURL invokes.
* api-change:``odb``: This release adds APIs that allow you to specify CIDR ranges in your ODB peering connection.
* enhancement:openssl: Update bundled OpenSSL version to 1.1.1zd for Linux installers


2.31.12
=======

* api-change:``wafv2``: This release adds the ability to throw WafLimitsExceededException when the maximum number of Application Load Balancer (ALB) associations per AWS WAF v2 WebACL is exceeded.
* api-change:``quicksight``: This release adds support for ActionConnector and Flow, which are new resources associated with Amazon Quick Suite. Additional updates include expanded Data Source options, further branding customization, and new capabilities that can be restricted by Admins.


2.31.11
=======

* api-change:``outposts``: This release adds the new StartOutpostDecommission API, which starts the decommission process to return Outposts racks or servers.
* api-change:``service-quotas``: introduces Service Quotas Automatic Management. Users can opt-in to monitoring and managing service quotas, receive notifications when quota usage reaches thresholds, configure notification channels, subscribe to EventBridge events for automation, and view notifications in the AWS Health dashboard.
* api-change:``license-manager-user-subscriptions``: Released support for IPv6 and dual-stack active directories
* api-change:``bedrock-agentcore-control``: Adding support for authorizer type AWS_IAM to AgentCore Control Gateway.


2.31.10
=======

* api-change:``proton``: Deprecating APIs in AWS Proton namespace.


2.31.9
======

* api-change:``rds``: Documentation updates to the CreateDBClusterMessage$PubliclyAccessible and CreateDBInstanceMessage$PubliclyAccessible properties.
* api-change:``bedrock-agentcore-control``: Add support for VM lifecycle configuration parameters and A2A protocol
* api-change:``mediaconnect``: Enabling Tag-on-Create for AWS Elemental MediaConnect flow-based resource types
* api-change:``backup``: Adds optional MaxScheduledRunsPreview input to GetBackupPlan API to provide a preview of up to 10 next scheduled backup plan runs in the GetBackupPlan response.
* api-change:``quicksight``: Documentation improvements for QuickSight API documentation to clarify that delete operation APIs are global.
* api-change:``glue``: Adds labeling for DataQualityRuleResult for GetDataQualityResult and PublishDataQualityResult APIs
* api-change:``resource-explorer-2``: Add new AWS Resource Explorer APIs
* api-change:``memorydb``: Support for DescribeMultiRegionParameterGroups and DescribeMultiRegionParameters API.
* api-change:``bedrock-agentcore``: Add support for batch memory management, agent card retrieval and session termination


2.31.8
======

* api-change:``qconnect``: Updated Amazon Q in Connect APIs to support Email Contact Recommendations.
* api-change:``payment-cryptography-data``: Added a new API - translateKeyMaterial; allows keys wrapped by ECDH derived keys to be rewrapped under a static AES keyblock without first importing the key into the service.
* api-change:``medialive``: AWS Elemental MediaLive enables Mediapackage V2 users to configure ID3, KLV, Nielsen ID3, and Segment Length related parameters through the Mediapackage output group.
* api-change:``cleanrooms``: Added support for reading data sources across regions, and results delivery to allowedlisted regions.


2.31.7
======

* api-change:``dynamodb``: Add support for dual-stack account endpoint generation
* api-change:``cloudformation``: Add new warning type 'EXCLUDED_RESOURCES'
* api-change:``guardduty``: Updated descriptions for the Location parameter in CreateTrustedEntitySet and CreateThreatEntitySet.
* api-change:``synthetics``: Adds support to configure canaries with pre-configured blueprint code on supported runtime versions.  This behavior can be controlled via the new BlueprintTypes property exposed in the CreateCanary and UpdateCanary APIs.
* api-change:``connectcases``: New Search All Related Items API enables searching related items across cases
* enhancement:``eks``: Add ``proxy-url`` to ``aws eks update-kubeconfig``


2.31.6
======

* api-change:``dms``: This is a doc-only update, revising text for kms-key-arns.
* bugfix:``botocore``: Fix HTTP 100 Continue parsing to accept optional reason phrase
* api-change:``ecs``: This is a documentation only Amazon ECS release that adds additional information for health checks.
* api-change:``cleanrooms``: This release introduces data access budgets to control how many times a table can be used for queries and jobs in a collaboration.
* bugfix:``s3``: Fix CancelledError retry loops to enable immediate S3 upload cancellation
* api-change:``chime-sdk-meetings``: Add support to receive dual stack MediaPlacement URLs in Chime Meetings SDK
* api-change:``cleanroomsml``: This release introduces data access budgets to view how many times an input channel can be used for ML jobs in a collaboration.
* api-change:``pcs``: Added the UpdateCluster API action to modify cluster configurations, and Slurm custom settings for queues.


2.31.5
======

* api-change:``fsx``: Add Dual-Stack support for Amazon FSx for NetApp ONTAP and Windows File Server
* api-change:``datasync``: Added support for FIPS VPC endpoints in FIPS-enabled AWS Regions.
* api-change:``bedrock-agentcore-control``: Tagging support for AgentCore Gateway
* api-change:``connectcases``: This release adds support for two new related item types: ConnectCase for linking Amazon Connect cases and Custom for user-defined related items with configurable fields.
* api-change:``rds``: Enhanced RDS error handling: Added DBProxyEndpointNotFoundFault, DBShardGroupNotFoundFault, KMSKeyNotAccessibleFault for snapshots/restores/backups, NetworkTypeNotSupported, StorageTypeNotSupportedFault for restores, and granular state validation faults. Changed DBInstanceNotReadyFault to HTTP 400.
* api-change:``transfer``: Add support for updating server identity provider type
* api-change:``datazone``: This release adds support for creation of EMR on EKS Connections in Amazon DataZone.
* api-change:``ds``: AWS Directory service now supports IPv6-native and dual-stack configurations for AWS Managed Microsoft AD, AD Connector, and Simple AD (dual-stack only). Additionally, AWS Managed Microsoft AD Standard Edition directories can be upgraded to Enterprise Edition directories through a single API call.
* api-change:``ecs``: This release adds support for Managed Instances on Amazon ECS.
* api-change:``customer-profiles``: This release introduces ListProfileHistoryRecords and GetProfileHistoryRecord APIs for comprehensive profile history tracking with complete audit trails of creation, updates, merges, deletions, and data ingestion events.
* api-change:``quicksight``: added warnings to a few CLI pages
* api-change:``chime-sdk-voice``: Added support for IPv4-only and dual-stack network configurations for VoiceConnector and CreateVoiceConnector API.
* api-change:``application-signals``: Amazon CloudWatch Application Signals is introducing the Application Map to give users a more comprehensive view of their service health. Users will now be able to group services, track their latest deployments, and view automated audit findings concerning service performance.
* api-change:``mediatailor``: Adding TPS Traffic Shaping to Prefetch Schedules


2.31.4
======

* api-change:``vpc-lattice``: Adds support for specifying the number of IPv4 addresses in each ENI for the resource gateway for VPC Lattice.
* api-change:``bedrock``: Release for fixing GetFoundationModel API behavior. Imported and custom models have their own exclusive API and GetFM should not accept those ARNS as input
* api-change:``bedrock-runtime``: New stop reason for Converse and ConverseStream
* api-change:``imagebuilder``: This release introduces several new features and improvements to enhance pipeline management, logging, and resource configuration.


2.31.3
======

* api-change:``billing``: Add ability to combine custom billing views to create new consolidated views.
* api-change:``bedrock-data-automation``: Added support for configurable Speaker Labeling and Channel Labeling features for Audio modality.
* api-change:``bedrock-agent-runtime``: This release enhances the information provided through Flow Traces. New information includes source/next node tracking, execution chains for complex nodes, dependency action (operation) details, and dependency traces.
* api-change:``ec2``: This release includes documentation updates for Amazon EBS General Purpose SSD (gp3) volumes with larger size and higher IOPS and throughput.
* api-change:``connect``: Adds supports for manual contact picking (WorkList) operations on Routing Profiles, Agent Management and SearchContacts APIs.
* api-change:``dynamodbstreams``: Added support for IPv6 compatible endpoints for DynamoDB Streams.
* api-change:``ce``: Support for payer account dimension and billing view health status.
* api-change:``redshift``: Support tagging and tag propagation to IAM Identity Center for Redshift Idc Applications


2.31.2
======

* api-change:``lightsail``: Attribute HTTP binding update for Get/Delete operations
* api-change:``glue``: Update GetConnection(s) API to return KmsKeyArn & Add 63 missing connection types
* api-change:``network-firewall``: Network Firewall now introduces Reject and Alert action support for stateful domain list rule groups, providing customers with more granular control over their network traffic.


2.31.1
======

* api-change:``appstream``: G6f instance support for AppStream 2.0
* api-change:``neptune``: Doc-only update to address customer use.
* api-change:``dax``: This release adds support for IPv6-only, DUAL_STACK DAX instances
* api-change:``cloudwatch``: Fix default dualstack FIPS endpoints in AWS GovCloud(US) regions
* api-change:``kms``: Documentation only updates for KMS.


2.31.0
======

* enhancement:help: Update message formatting when entering an invalid command to improve identification of an error (aws/aws-cli`#9737 <https://github.com/aws/aws-cli/issues/9737>`__)
* api-change:``cleanrooms``: Added support for running incremental ID mapping for rule-based workflows.
* api-change:``ec2``: Add Amazon EC2 R8gn instance types
* enhancement:documentation: Display required constraints to top level and nested parameters (aws/aws-cli`#9463 <https://github.com/aws/aws-cli/issues/9463>`__, aws/aws-cli`#9491 <https://github.com/aws/aws-cli/issues/9491>`__)
* enhancement:help: Reduce output from help when entering an invalid command (aws/aws-cli`#9457 <https://github.com/aws/aws-cli/issues/9457>`__)
* enhancement:documentation: Add documentation for API parameter constraints (aws/aws-cli`#9444 <https://github.com/aws/aws-cli/issues/9444>`__)
* enhancement:``s3``: Add controls over progress status message frequency and multiline printing (aws/aws-cli`#9545 <https://github.com/aws/aws-cli/issues/9545>`__)
* enhancement:configuration: Improve accessibility of table output for ``configure list`` command (aws/aws-cli`#9547 <https://github.com/aws/aws-cli/issues/9547>`__)
* api-change:``sso-oidc``: This release includes exception definition and documentation updates.
* api-change:``sso-admin``: Add support for encryption at rest with Customer Managed KMS Key in AWS IAM Identity Center
* api-change:``ssm``: Added Dualstack support to GetDeployablePatchSnapshotForInstance
* api-change:``entityresolution``: Support incremental id mapping workflow for AWS Entity Resolution
* feature:help: Add ability to view help in a web browser or print the URL to the remote documentation website (aws/aws-cli`#9496 <https://github.com/aws/aws-cli/issues/9496>`__)


2.30.7
======

* api-change:``imagebuilder``: Version ARNs are no longer required for the EC2 Image Builder list-image-build-version, list-component-build-version, and list-workflow-build-version APIs. Calling these APIs without the ARN returns all build versions for the given resource type in the requesting account.
* api-change:``pinpoint-sms-voice``: Update pinpoint-sms-voice client and endpoint tests to latest version.
* api-change:``eks``: Adds support for RepairConfig overrides and configurations in EKS Managed Node Groups.
* api-change:``batch``: Starting in JAN 2026, AWS Batch will change the default AMI for new Amazon ECS compute environments from Amazon Linux 2 to Amazon Linux 2023. We recommend migrating AWS Batch Amazon ECS compute environments to Amazon Linux 2023 to maintain optimal performance and security.


2.30.6
======

* api-change:``config``: Add UNKNOWN state to RemediationExecutionState and add IN_PROGRESS/EXITED/UNKNOWN states to RemediationExecutionStepState.
* api-change:``license-manager-user-subscriptions``: Added support for cross-account Active Directories.
* enhancement:ec2-instance-connect: Allow ec2-instance-connect ssh and open-tunnel commands to connect to update-complete, update-in-progress, and update-failed EC2 Instance Connect Endpoints. Fixes `#9715 <https://github.com/aws/aws-cli/issues/9715>`__
* api-change:``kendra-ranking``: Model whitespace change - no client difference
* api-change:``bedrock-agentcore-control``: Add tagging and VPC support to AgentCore Runtime, Code Interpreter, and Browser resources. Add support for configuring request headers in Runtime. Fix AgentCore Runtime shape names.
* api-change:``medialive``: Add MinBitrate for QVBR mode under H264/H265/AV1 output codec. Add GopBReference, GopNumBFrames, SubGopLength fields under H265 output codec.
* api-change:``connect``: This release adds a persistent connection field to UserPhoneConfig that maintains agent's softphone media connection for faster call connections.
* api-change:``sqs``: Update invalid character handling documentation for SQS SendMessage API


2.30.5
======

* api-change:``budgets``: Added BillingViewHealthStatus Exception which is thrown when a Budget is created or updated with a Billing View that is not in the HEALTHY status
* api-change:``bedrock``: Release includes an increase to the maximum policy build document size, an update to DeleteAutomatedReasoningPolicyBuildWorkflow to add ResourceInUseException, and corrections to UpdateAutomatedReasoningPolicyTestCaseRequest.
* api-change:``chime-sdk-messaging``: Amazon Chime SDK Messaging GetMessagingSessionEndpoint API now returns dual-stack WebSocket endpoints supporting IPv4/IPv6.
* api-change:``ec2``: Allowed AMIs adds support for four new parameters - marketplaceProductCodes, deprecationTimeCondition, creationDateCondition and imageNames


2.30.4
======

* api-change:``ec2``: Add mac-m4.metal and mac-m4pro.metal instance types.
* api-change:``pcs``: Add support for Amazon EC2 Capacity Blocks for ML
* api-change:``network-firewall``: Network Firewall now prevents TLS handshakes with the target server until after the Server Name Indication (SNI) has been seen and verified. The monitoring dashboard now provides deeper insights into PrivateLink endpoint candidates and offers filters based on IP addresses and protocol.


2.30.3
======

* api-change:``logs``: Cloudwatch Logs added support for 2 new API parameters in metric and subscription filter APIs to filter log events based on system field values and emit system field values as dimensions and send them to customer destination as additional metadata.
* enhancement:``configure``: Added the new ``aws configure mfa-login`` command, which creates a profile with temporary credentials corresponding to an IAM user with an MFA code.
* api-change:``ivs-realtime``: IVS now offers customers the ability to control the positioning of participants in both grid and PiP layouts based on custom attribute values in participant tokens.
* api-change:``osis``: Adds support for cross-account ingestion for push-based sources. This includes resource policies for sharing pipelines across accounts and features for managing pipeline endpoints which enable accessing pipelines across different VPCs, including VPCs in other accounts.
* enhancement:macOS: Added explicit architecture support in PKG installer for universal builds on Macs to prevent Rosetta requirement prompt.
* api-change:``budgets``: Add support for custom time periods in budget configuration
* enhancement:``configure``: Added support for temporary credentials with ``aws configure``. The CLI will prompt for an ``aws_session_token`` if the provided access key ID is temporary.


2.30.2
======

* api-change:``medical-imaging``: Added support for OpenID Connect (OIDC) custom authorizer
* api-change:``s3control``: Introduce three new encryption filters: EncryptionType (SSE-S3, SSE-KMS, DSSE-KMS, SSE-C, NOT-SSE), KmsKeyArn (for SSE-KMS and DSSE-KMS), and BucketKeyEnabled (for SSE-KMS).
* api-change:``sms``: The sms client has been removed following the deprecation of the service.
* api-change:``ce``: Added endpoint support for eusc-de-east-1 region.
* api-change:``observabilityadmin``: CloudWatch Observability Admin adds the ability to enable telemetry centralization in customers' Organizations. The release introduces new APIs to manage centralization rules, which define settings to replicate telemetry data to a central destination in the customers' Organization.


2.30.1
======

* enhancement:``s3``: Expose S3 transfer config's ``io_chunksize`` in shared config file
* api-change:``payment-cryptography``: Add support for certificates to be signed by 3rd party certificate authorities.  New API GetCertificateSigningRequest API and support for providing certificates at run-time for tr-34 import/export


2.30.0
======

* feature:installer: Added universal binary support for AWS CLI v2 on macOS
* api-change:``evs``: CreateEnvironment API now supports parameters (isHcxPublic & hcxNetworkAclId) for HCX migration via public internet, adding flexibility for migration scenarios. New APIs have been added for associating (AssociateEipToVlan) & disassociating (DisassociateEipFromVlan) Elastic IP (EIP) addresses.
* api-change:``amp``: Add Vended Logs APIs for Amazon Prometheus Managed Collector
* api-change:``quicksight``: This release adds support for Account level custom permissions, additional Dashboard Options, and Null support for Q&A.
* api-change:``guardduty``: Updated Java SDK implementation of entity set status in GuardDuty API.
* api-change:``datazone``: adding IAM principal id to IAM user profile details
* api-change:``emr-containers``: Added nodeLabel support in container provider to aid hardware isolation support for virtual cluster and security configuration.
* api-change:``medialive``: AWS Elemental MediaLive adds a new feature in MediaPackage output group that enables MediaPackage V2 users to control HLS-related parameters directly in MediaLive. These parameter settings are then reflected in MediaPackage outputs, providing more streamlined control over HLS configurations.
* api-change:``ecs``: This release supports hook details for Amazon ECS lifecycle hooks.
* api-change:``rds``: Adds support for end-to-end IAM authentication in RDS Proxy for MySQL, MariaDB, and PostgreSQL engines.


2.29.1
======

* api-change:``networkflowmonitor``: Added new enum value (AWS::Region) for type field under MonitorLocalResource and MonitorRemoteResource. Workload Insights and Monitor top contributors queries now support a new DestinationCategory (INTER_REGION).
* api-change:``payment-cryptography``: AWS Payment Cryptography Service now supports Multi-Region key replication. Customers can choose to automatically distribute keys across AWS Regions.


2.29.0
======

* api-change:``autoscaling``: Added WaitForTransitioningInstances parameter to the CancelInstanceRefresh API, allowing the caller to cancel an instance refresh without waiting for on-going launches and terminations.
* api-change:``mediapackagev2``: Added CUE tag SCTE output to MediaPackageV2 HLS and LL-HLS manifests.
* api-change:``sagemaker``: Released IPv6 support with dual-stack domain options on SageMaker Studio and introduced support for p6-b200.48xlarge instance type on SageMaker Studio for JupyterLab and CodeEditor applications.
* api-change:``datazone``: Adds support for custom blueprints
* api-change:``cloudwatch``: Added a new API - DescribeAlarmContributors API, to retrieve alarm contributors in ALARM state. Added support in DescribeAlarmHistory API to query alarm contributor history
* feature:s3 download: Validate requested range matches content range in response for multipart downloads
* api-change:``connect``: SDK release for user defined predefined attributes.
* api-change:``organizations``: Documentation updates for AWS Organizations APIs.


2.28.26
=======

* api-change:``s3``: This release includes backward compatibility work on the "Expires" parameter.
* api-change:``iotsitewise``: Add ComputationModelVersion support in IoT SiteWise APIs
* api-change:``securityhub``: This release adds the RESOURCE_NOT_FOUND error code as a possible value in responses to the following operations: BatchGetStandardsControlAssociations, BatchUpdateStandardsControlAssociations, and BatchGetSecurityControls.


2.28.25
=======

* api-change:``sagemaker``: Release IPv6 support with dualstack in SageMaker Notebooks, Tiered Storage Checkpointing Support in SageMaker HyperPod and P5.4xlarge instance type for SageMaker Hosting.
* api-change:``ecs``: This is a documentation only release that adds additional information for Amazon ECS Availability Zone rebalancing.
* api-change:``pcs``: Documentation-only update to add AccountingStorageEnforce to SlurmCustomSetting.


2.28.24
=======

* api-change:``ec2``: Add m8i, m8i-flex and i8ge instance types.
* api-change:``cloudformation``: ListHookResults API now supports retrieving invocation results for all CloudFormation Hooks (previously limited to create change set and Cloud Control operations) with new optional parameters for filtering by Hook status and ARN.
* api-change:``cleanrooms``: Add support for configurable compute sizes for PySpark jobs.
* api-change:``rds``: Added new EndpointNetworkType and TargetConnectionNetworkType fields in Proxy APIs to support IPv6
* api-change:``verifiedpermissions``: Amazon Verified Permissions / Features : Adds support for datetime and duration attribute values.
* api-change:``opensearchserverless``: Add support for Federal Information Processing Standards (FIPS) and Federal Risk and Authorization Management Program (FedRAMP) compliance


2.28.23
=======

* enhancement:``awscrt``: Update awscrt version to 0.27.6
* api-change:``cleanrooms``: Added support for adding new data provider members to an existing collaboration.
* api-change:``cleanroomsml``: AWS Clean Rooms ML adds log sanitization for privacy-enhanced error summaries, supports new instance types for custom models providing better performance and lower costs, and deprecates P3-series instances.
* api-change:``route53``: Amazon Route 53 now supports the Asia Pacific (New Zealand) Region (ap-southeast-6) for latency records, geoproximity records, and private DNS for Amazon VPCs in that region.
* api-change:``route53domains``: Added new ExtraParams AU_ELIGIBILITY_TYPE, AU_POLICY_REASON, and AU_REGISTRANT_NAME
* api-change:``mq``: Add CONFIG_MANAGED as a supported AuthenticationStrategy for Amazon MQ for RabbitMQ brokers. Make username and password optional on broker creation for CONFIG_MANAGED brokers.
* api-change:``cloudfront``: Adding an optional field IpAddressType in CustomOriginConfig
* api-change:``rds``: This release adds support for MasterUserAuthenticationType parameter on CreateDBInstance, ModifyDBInstance, CreateDBCluster, and ModifyDBCluster operations.


2.28.22
=======

* api-change:``notifications``: Added Org support for notifications:  - `ListMemberAccounts` gets member accounts list, `AssociateOrganizationalUnit` links OU to notification configuration, `DisassociateOrganizationalUnit` removes OU from notification configuration, `ListOrganizationalUnits` shows OUs configured for notifications.
* api-change:``neptune``: Removed the deprecated marker from publiclyAccessible parameter from DbInstance, CreateDbInstance and ModifyDbInstance and added relevant usage information for the parameter.
* api-change:``workmail``: Make RoleArn an optional parameter for the PutEmailMonitoringConfiguration API, and add UnsupportedOperationException to RegisterToWorkMail.
* api-change:``ec2``: MaximumEbsAttachments and AttachmentLimitType fields added to DescribeInstanceTypesResponse. G6f, Gr6f, R8i, R8i-flex and p5.4xlarge instance types added to InstanceTypes enum.


2.28.21
=======

* api-change:``ec2``: Release shows new route types such as filtered and advertisement.
* api-change:``bedrock-runtime``: Fixed stop sequence limit for converse API.
* api-change:``xray``: AWS X-Ray Features: Support Sampling Rate Boost On Anomaly


2.28.20
=======

* api-change:``mturk``: Remove incorrect endpoint tests
* api-change:``sso``: Remove incorrect endpoint tests
* api-change:``rds``: Added RDS HTTP Endpoint feature support flag to DescribeOrderableDBInstanceOptions API
* api-change:``codeguru-reviewer``: Remove incorrect endpoint tests
* api-change:``healthlake``: Add ValidationLevel parameter to StartFHIRImportJob API, allowing users to specify a FHIR validation level for their asynchronous import jobs.
* api-change:``workmailmessageflow``: Remove incorrect endpoint tests
* api-change:``ec2``: This release adds support for copying Amazon EBS snapshot and AMIs to and from Local Zones.
* api-change:``scheduler``: Remove incorrect endpoint tests
* api-change:``ec2-instance-connect``: Remove incorrect endpoint tests
* api-change:``glue``: Adding support to fetch TargetDatabase field during GetDatabases with AttributesToGet
* api-change:``omics``: Adds Amazon ECR pull through cache support to AWS HealthOmics, so you can more easily use container images from external sources.
* api-change:``cloud9``: Remove incorrect endpoint tests
* api-change:``applicationcostprofiler``: Remove incorrect endpoint tests
* api-change:``xray``: Remove incorrect endpoint tests
* api-change:``dynamodb``: Remove incorrect endpoint tests
* api-change:``fis``: Remove incorrect endpoint tests
* api-change:``geo-maps``: Remove incorrect endpoint tests
* api-change:``savingsplans``: Remove incorrect endpoint tests
* api-change:``fms``: Remove incorrect endpoint tests
* api-change:``cloudsearchdomain``: Remove incorrect endpoint tests
* api-change:``cloudhsmv2``: Remove incorrect endpoint tests
* api-change:``ssm-sap``: Added support for Configuration Checks on SAP HANA Applications.
* api-change:``timestream-query``: Remove incorrect endpoint tests
* api-change:``route53domains``: Remove incorrect endpoint tests
* api-change:``osis``: Remove incorrect endpoint tests
* api-change:``ses``: Remove incorrect endpoint tests
* api-change:``apprunner``: Doc only updates for APIs and and datatypes related to IPAddressType and Subnets for IPv6 dualstack support.
* api-change:``databrew``: Remove incorrect endpoint tests
* api-change:``connect``: AgentStatusDrillDown feature in GetCurrentMetricData API. Adding AGENT_STATUS as filter and grouping in GetCurrentMetricData API
* api-change:``mediastore-data``: Remove incorrect endpoint tests
* api-change:``codedeploy``: Remove incorrect endpoint tests
* api-change:``machinelearning``: Remove incorrect endpoint tests
* api-change:``waf``: Remove incorrect endpoint tests
* api-change:``autoscaling-plans``: Remove incorrect endpoint tests


2.28.19
=======

* api-change:``migrationhub-config``: Remove incorrect endpoint tests
* api-change:``kinesis-video-media``: Remove incorrect endpoint tests
* api-change:``application-insights``: Remove incorrect endpoint tests
* api-change:``pi``: Remove incorrect endpoint tests
* api-change:``eks``: Add support for on-demand refresh of EKS cluster insights
* api-change:``chime``: Remove incorrect endpoint tests
* api-change:``chime-sdk-voice``: Remove incorrect endpoint tests
* api-change:``batch``: Added ECS_AL2023_NVIDIA as an option for Ec2Configuration.imageType.
* api-change:``evidently``: Remove incorrect endpoint tests
* api-change:``chime-sdk-meetings``: Remove incorrect endpoint tests
* api-change:``neptune-graph``: Add StartGraph and StopGraph operations to Neptune Analytics
* api-change:``sagemaker``: This release adds support for AutoScaling on SageMaker HyperPod.
* api-change:``codeguruprofiler``: Remove incorrect endpoint tests
* api-change:``chime-sdk-identity``: Remove incorrect endpoint tests
* api-change:``lakeformation``: Remove incorrect endpoint tests
* api-change:``workdocs``: Remove incorrect endpoint tests
* api-change:``timestream-write``: Remove incorrect endpoint tests
* api-change:``frauddetector``: Remove incorrect endpoint tests
* api-change:``workmail``: Remove incorrect endpoint tests
* api-change:``ds``: Add APIs for CA AutoEnrollment support: DescribeCAEnrollmentPolicy, EnableCAEnrollmentPolicy and DisableCAEnrollmentPolicy.
* api-change:``opsworks-cm``: The opsworks-cm client has been removed following the deprecation of the service.
* api-change:``elasticache``: Remove incorrect endpoint tests
* api-change:``datapipeline``: Remove incorrect endpoint tests
* api-change:``amplifybackend``: Remove incorrect endpoint tests
* api-change:``discovery``: Remove incorrect endpoint tests
* api-change:``redshift``: Remove incorrect endpoint tests
* api-change:``schemas``: Remove incorrect endpoint tests
* api-change:``kinesisvideo``: Remove incorrect endpoint tests
* api-change:``inspector``: Remove incorrect endpoint tests
* api-change:``snow-device-management``: Remove incorrect endpoint tests
* api-change:``robomaker``: Remove incorrect endpoint tests
* api-change:``personalize``: Remove incorrect endpoint tests
* api-change:``qldb-session``: Remove incorrect endpoint tests
* api-change:``lex-models``: Remove incorrect endpoint tests
* api-change:``opsworks``: The opsworks client has been removed following the deprecation of the service.
* api-change:``voice-id``: Remove incorrect endpoint tests


2.28.18
=======

* api-change:``mq``: Remove incorrect endpoint tests
* api-change:``dlm``: Remove incorrect endpoint tests
* api-change:``connectparticipant``: Amazon Connect Participant Service: Remove unused fields from WebRTCConnection
* api-change:``waf-regional``: Remove incorrect endpoint tests
* api-change:``rbin``: Remove incorrect endpoint tests
* api-change:``arc-zonal-shift``: This release adds new API options to enable allowed windows and multiple alarms for practice runs.
* api-change:``ram``: Remove incorrect endpoint tests
* api-change:``elastictranscoder``: Remove incorrect endpoint tests
* api-change:``route53-recovery-cluster``: Remove incorrect endpoint tests
* api-change:``apprunner``: Remove incorrect endpoint tests
* api-change:``lookoutvision``: Remove incorrect endpoint tests
* api-change:``personalize-events``: Remove incorrect endpoint tests
* api-change:``codestar-connections``: Remove incorrect endpoint tests
* api-change:``ec2``: Add new APIs for viewing how your shared AMIs are used by other accounts, and identify resources in your account that are dependent on particular AMIs
* api-change:``geo-routes``: Added RouteFerryNotice PotentialViolatedVehicleRestrictionUsage value for CalculateRoutes. This value indicates when the Route is potentially forbidden for the given vehicle profile.
* api-change:``greengrass``: Remove incorrect endpoint tests
* api-change:``sagemaker-geospatial``: Remove incorrect endpoint tests
* api-change:``globalaccelerator``: Remove incorrect endpoint tests
* api-change:``identitystore``: Remove incorrect endpoint tests
* api-change:``signer``: Remove incorrect endpoint tests
* api-change:``kafka``: Remove incorrect endpoint tests
* api-change:``codecommit``: Remove incorrect endpoint tests
* api-change:``pinpoint``: Remove incorrect endpoint tests
* api-change:``iotsecuretunneling``: Remove incorrect endpoint tests
* api-change:``finspace``: Remove incorrect endpoint tests
* api-change:``mgh``: Remove incorrect endpoint tests
* api-change:``comprehendmedical``: Remove incorrect endpoint tests
* api-change:``migration-hub-refactor-spaces``: Remove incorrect endpoint tests
* api-change:``glacier``: Remove incorrect endpoint tests
* api-change:``servicecatalog-appregistry``: Remove incorrect endpoint tests


2.28.17
=======

* api-change:``ec2``: Added IPv6 support for AWS Client VPN.
* api-change:``lookoutequipment``: Remove incorrect endpoint tests
* api-change:``kinesis-video-archived-media``: Remove incorrect endpoint tests
* api-change:``dax``: Remove incorrect endpoint tests
* api-change:``kendra``: Remove incorrect endpoint tests
* api-change:``devops-guru``: Remove incorrect endpoint tests
* api-change:``sagemaker-edge``: Remove incorrect endpoint tests
* api-change:``personalize-runtime``: Remove incorrect endpoint tests
* api-change:``forecast``: Remove incorrect endpoint tests
* api-change:``codeartifact``: Remove incorrect endpoint tests
* api-change:``snowball``: Remove incorrect endpoint tests
* api-change:``kinesisanalytics``: Remove incorrect endpoint tests
* api-change:``emr-containers``: Remove incorrect endpoint tests
* api-change:``translate``: Remove incorrect endpoint tests
* api-change:``finspace-data``: Remove incorrect endpoint tests
* api-change:``cloudsearch``: Remove incorrect endpoint tests
* api-change:``iotfleethub``: Remove incorrect endpoint tests
* api-change:``chime-sdk-media-pipelines``: Remove incorrect endpoint tests
* api-change:``appflow``: Remove incorrect endpoint tests
* api-change:``chime-sdk-messaging``: Remove incorrect endpoint tests
* api-change:``mediastore``: Remove incorrect endpoint tests
* api-change:``resourcegroupstaggingapi``: Remove incorrect endpoint tests
* api-change:``mediapackage-vod``: Remove incorrect endpoint tests
* api-change:``sqs``: Documentation update for Amazon SQS Supports Large Payload Message feature
* api-change:``cloudtrail-data``: Remove incorrect endpoint tests
* api-change:``support-app``: Remove incorrect endpoint tests
* api-change:``wellarchitected``: Remove incorrect endpoint tests
* api-change:``sagemaker-featurestore-runtime``: Remove incorrect endpoint tests
* api-change:``shield``: Remove incorrect endpoint tests
* api-change:``codestar-notifications``: Remove incorrect endpoint tests
* api-change:``serverlessrepo``: Remove incorrect endpoint tests
* api-change:``lex-runtime``: Remove incorrect endpoint tests
* api-change:``b2bi``: Updated APIs to support custom validation rules.
* api-change:``mediaconvert``: This release adds support for input rendition selection for HLS input, adds new Share API to enable sharing jobs with AWS Support for support investigations, and adds INCLUDE_AS_TS to iFrameOnlyManifest setting for HLS outputs.
* api-change:``timestream-influxdb``: Add MAINTENANCE status for DbInstance and DbCluster
* api-change:``cur``: Remove incorrect endpoint tests
* api-change:``support``: Remove incorrect endpoint tests
* api-change:``datazone``: Releasing the following features - Asset classification that lets users use restricted terms for classifying assets if they have the right permissions. Also adding a new enum value "Moving" to project status.
* api-change:``qbusiness``: The Amazon Q Business GetDocumentContent operation now supports retrieval of the extracted text content in JSON format.
* api-change:``sagemaker-runtime``: Remove incorrect endpoint tests
* api-change:``codeguru-security``: Documentation update to notify users of the discontinuation of Amazon CodeGuru Security.


2.28.16
=======

* api-change:``qldb``: Remove incorrect endpoint tests
* bugfix:``dynamodb``: Correct Scan and Scanned Count values when resuming a scan or query with a ``--starting-token``
* api-change:``elb``: Remove incorrect endpoint tests
* api-change:``route53-recovery-readiness``: Remove incorrect endpoint tests
* api-change:``medialive``: AWS Elemental MediaLive now has a field called "SubtitleRows" for controlling subtitle row count for DVB-Sub and Burn-In captions outputs
* api-change:``marketplacecommerceanalytics``: Remove incorrect endpoint tests
* enhancement:Python: Update bundled Python interpreter to 3.13.7
* api-change:``sagemaker-a2i-runtime``: Remove incorrect endpoint tests
* api-change:``proton``: Remove incorrect endpoint tests
* api-change:``clouddirectory``: Remove incorrect endpoint tests
* api-change:``qconnect``: Releasing model ID support for UpdateAIPrompt
* api-change:``healthlake``: Remove incorrect endpoint tests
* api-change:``cognito-sync``: Remove incorrect endpoint tests
* api-change:``wafv2``: test and verified, safe to release
* api-change:``sagemaker``: Launch SageMaker Notebook Instances support for AL2023 along with P6-B200 instance type and Rootless Docker support for SageMaker Studio.
* api-change:``memorydb``: Remove incorrect endpoint tests
* api-change:``iotanalytics``: Remove incorrect endpoint tests
* api-change:``synthetics``: Added multi browser support for synthetics canaries, Increased ephemeral storage limit from 5GB to 10GB
* api-change:``docdb``: Remove incorrect endpoint tests
* api-change:``macie2``: Remove incorrect endpoint tests
* api-change:``rds``: Updates Amazon RDS documentation for Db2 read-only replicas.
* api-change:``simspaceweaver``: Remove incorrect endpoint tests


2.28.15
=======

* api-change:``greengrassv2``: Remove incorrect endpoint tests
* api-change:``ecr-public``: Remove incorrect endpoint tests
* api-change:``iotthingsgraph``: Remove incorrect endpoint tests
* api-change:``cloudhsm``: Remove incorrect endpoint tests
* api-change:``lookoutmetrics``: Remove incorrect endpoint tests
* api-change:``ebs``: Remove incorrect endpoint tests
* api-change:``backup-gateway``: Remove incorrect endpoint tests
* api-change:``iotevents``: Remove incorrect endpoint tests
* api-change:``lexv2-runtime``: Remove incorrect endpoint tests
* api-change:``glue``: Added support for preprocessing queries in Data Quality operations through new DataQualityGlueTable structure.
* api-change:``panorama``: Remove incorrect endpoint tests
* api-change:``ssm-contacts``: Doc-only updates for Incident Manager Contacts August 2025
* api-change:``es``: Remove incorrect endpoint tests
* api-change:``mediapackage``: Remove incorrect endpoint tests
* api-change:``kinesis-video-signaling``: Remove incorrect endpoint tests
* api-change:``guardduty``: Remove Pattern trait from email field
* api-change:``managedblockchain``: Remove incorrect endpoint tests
* api-change:``pinpoint-email``: Remove incorrect endpoint tests
* api-change:``appfabric``: Remove incorrect endpoint tests
* api-change:``gameliftstreams``: The default application in a stream group can now be changed at any time using UpdateStreamGroup to update the DefaultApplicationIdentifier.
* api-change:``iotdeviceadvisor``: Remove incorrect endpoint tests
* api-change:``apigatewaymanagementapi``: Remove incorrect endpoint tests
* api-change:``comprehend``: Remove incorrect endpoint tests
* api-change:``s3outposts``: Remove incorrect endpoint tests
* api-change:``ecs``: This is a documentation only release that adds additional information for the update-service request parameters.
* api-change:``forecastquery``: Remove incorrect endpoint tests
* api-change:``iotevents-data``: Remove incorrect endpoint tests
* api-change:``cognito-identity``: Remove incorrect endpoint tests
* api-change:``resource-groups``: Remove incorrect endpoint tests
* api-change:``elasticbeanstalk``: Remove incorrect endpoint tests


2.28.14
=======

* api-change:``pinpoint-sms-voice-v2``: This change added InternationalSendingEnbaled as part of describe/Update/Request phone number API response, and as part of update/Request phone number API request
* api-change:``cognito-idp``: This release adds support for the new Terms APIs which allow displaying Terms of Use and Privacy Policy on the Managed Login user-registration page.
* api-change:``eks``: EKS Add-ons Custom Namespace Support
* api-change:``billing``: Clarify IPv4 and IPv6 endpoints
* api-change:``kinesisanalyticsv2``: Adds Key Management Service (KMS) support allowing customer-managed key (CMK) encryption for Flink application data.
* api-change:``sagemaker``: This release adds 1/ Launch ml.p5.4xlarge instance in Processing jobs, Training jobs and Training Plan 2/ Makes S3Uri to be required for S3FileSystem and S3FileSystemConfig.
* api-change:``datazone``: This release supports policy grant identifier for cloud formation integration
* api-change:``route53-recovery-control-config``: Remove incorrect endpoint tests
* api-change:``bedrock-runtime``: Launch CountTokens API to allow token counting
* api-change:``detective``: Remove incorrect endpoint tests
* api-change:``dynamodb``: Remove incorrect endpoint tests


2.28.13
=======

* api-change:``cleanrooms``: Support error message configuration for analysis templates
* api-change:``ec2``: Add support for "warning" volume status.
* api-change:``polly``: Added support for new output format - Opus.


2.28.12
=======

* api-change:``connect``: Amazon Connect Service Feature: Add support to enable multi-user in-app, web, and video calling.
* api-change:``sagemaker``: Customer managed keys now available for volume encryption of SageMaker HyperPod clusters.
* api-change:``batch``: Added default_x86_64 and default_arm64 as values to the instanceTypes field.
* api-change:``bcm-dashboards``: Billing and Cost Management Dashboards enables users to create dashboards that combine multiple visualizations of cost and usage data. Users can create, manage, and share dashboards. Tags are also available for dashboards.
* api-change:``connectparticipant``: Amazon Connect Service Feature: Add support to enable multi-user in-app, web, and video calling.
* api-change:``s3control``: Adds support for Compute checksum functionality in Amazon S3 Batch Operations. You can now calculate checksums for a list of objects using supported algorithms in Amazon S3, without requiring a restore or download


2.28.11
=======

* api-change:``amp``: Add Resource-based Policy APIs for Amazon Prometheus
* api-change:``glue``: AWS Glue Zero ETL now supports On-demand snapshot load
* api-change:``bedrock-agent``: This release adds support for saving Bedrock Flows while node configuration is still in progress, even if the Flow is not yet able to be invoked


2.28.10
=======

* api-change:``ec2``: This release adds ModifyInstanceConnectEndpoint API to update configurations on existing EC2 Instance Connect Endpoints and improves IPv6 support through dualstack DNS names for EC2 Instance Connect Endpoints.
* enhancement:configure: Improved error messaging for `aws configure import --csv` command to clarify file
* api-change:``dynamodb``: This release 1/ Adds support for throttled keys mode for CloudWatch Contributor Insights, 2/ Adds throttling reasons to exceptions across dataplane APIs. 3/ Explicitly models ThrottlingException as a class in statically typed languages. Refer to the launch day blog post for more details.
* api-change:``pcs``: Updated the regex pattern and description of iamInstanceProfileArn in the CreateComputeNodeGroup and UpdateComputeNodeGroup API actions. Name and path requirements apply to the ARN of the IAM role associated with the instance profile and not the ARN of the instance profile.
* api-change:``fsx``: Amazon FSx for NetApp ONTAP 2nd generation file systems now support decreasing SSD storage capacity.
* api-change:``glue``: AWS Glue now supports Trusted Identity Propagation.
* api-change:``medialive``: CMAF Ingest output groups in MediaLive can now accept one additional destination url for single pipeline channels and up to two additional destination urls for standard channels.
* api-change:``workspaces``: New APIs introduced to import WorkSpaces BYOL image using a new process that leveraged EC2 Image Builder. WorkSpaces tests and fixes your image's compatibility issues and supports customized VM images.
* api-change:``directconnect``: Added pagination support for DescribeHostedConnections, DescribeVirtualInterfaces, DescribeConnections, DescribeInterconnects, DescribeLags. Added asnLong support for BGP peer operations which supports a large range.
* api-change:``guardduty``: Added support for entity lists.
* api-change:``arc-region-switch``: Endpoint rule test and documentation update.
* api-change:``servicediscovery``: Added support for cross account through Id parameter overloading with ARN and allow owner account for some APIs instead of ARN
* api-change:``bcm-recommended-actions``: Initial SDK release for AWS Billing and Cost Management Recommended Actions.
* api-change:``qapps``: Documentation update for Amazon Q Apps API Reference


2.28.9
======

* api-change:``datazone``: Adds support for account pools and project profile account decoupling
* api-change:``security-ir``: Added support for Organizational Unit-level Membership configuration and the ability to resume a cancelled membership.
* api-change:``braket``: Add support for Braket program sets.
* api-change:``partnercentral-selling``: Add Tagging Support for Opportunity resources
* api-change:``fsx``: Add Dual-Stack support for Amazon FSx for OpenZFS file systems
* api-change:``sagemaker``: This release introduces compute quota for GPU, Trainium accelerators, vCPU, and vCPU memory utilization across teams in HyperPod clusters


2.28.8
======

* api-change:``organizations``: This release introduces 2 new APIs in Organizations: 1. ListAccountsWithInvalidEffectivePolicy 2. ListEffectivePolicyValidationErrors
* api-change:``sagemaker``: IAM Identity Center trusted identity propagation is now supported in SageMaker Studio.
* api-change:``transcribe``: AWS HealthScribe now supports specifying preferred patient pronouns through the MedicalScribeContext parameter for use in the generated clinical notes.
* api-change:``ec2``: Release to allow route table association with a PublicIpv4Pool.
* api-change:``codebuild``: AWS CodeBuild now supports PullRequestBuildPolicy in webhook object.
* api-change:``backupsearch``: Using recommended smithy trait to generate regional endpoints for Backup Search


2.28.7
======

* enhancement:``sso``: Clarify ``aws sso login`` to only suggest a different device when using ``--use-device-code``.
* api-change:``evs``: Update for general availability of Amazon Elastic VMware Service (EVS).
* api-change:``bedrock``: This release includes model updates and enhanced SDK documentation for union fields in automated reasoning policy components. Added docs cover policy definitions, mutations (add/update for rules/types/variables), build assets, workflow sources, test results, and tag exception handling.
* api-change:``ec2``: This release adds AvailabilityZoneId support for CreateVolume, DescribeVolume, LaunchTemplates, RunInstances, DescribeInstances, CreateDefaultSubnet, SpotInstances, and CreateDefaultSubnet APIs.
* api-change:``lambda``: Doc-only update for Lambda that updates the maximum payload size for response streaming invocations to 200 MB.
* api-change:``quicksight``: Add RowAxisDisplayOptions and ColumnAxisDisplayOptions to HeatMapConfiguration, add Actions to PluginVisual, increase limit for CalculatedFields list
* api-change:``cognito-idp``: Remove SigV4 auth requirement for GetTokensFromRefreshToken
* api-change:``sso-admin``: Added support for managing user background session for applications
* api-change:``deadline``: Adds support for Wait and Save feature in service-managed fleets
* api-change:``connect``: Updating SearchUserHierarchyGroups API


2.28.6
======

* api-change:``connect``: This release adds a new API GetContactMetrics for Amazon Connect.
* api-change:``sagemaker``: Adds support for GB200 UltraServers in Amazon SageMaker training jobs, training plans, and HyperPod clusters
* api-change:``iot-data``: Adding DeleteConnection API to IoT Data Plane
* api-change:``inspector2``: Add CVSSV4 to Vulnerability Search API and update enable/disable account id list length to 5
* api-change:``transcribe``: Update documentation to use key ARN only in OutputEncryptionKMSKeyId request parameter


2.28.5
======

* api-change:``glue``: AWS Glue Data Catalog now supports Iceberg Optimization settings at the Catalog level, and supports new options to control the optimization job run rate.
* api-change:``gameliftstreams``: Adds Proton 9.0-2 to the list of runtime environment options available when creating an Amazon GameLift Streams application
* api-change:``guardduty``: Added support for VPC owner account ID associated with DNS request in the GuardDuty finding.
* api-change:``codebuild``: AWS CodeBuild now supports comment-based pull request control.
* api-change:``cloudfront``: Added new viewer security policy, TLSv1.3_2025, for CloudFront.
* api-change:``batch``: This feature allows customers to use AWS Batch with Linux with ARM64 CPU Architecture with Fargate Spot compute support.


2.28.4
======

* api-change:``budgets``: Adds support for billing views. Billing views let you control access to cost and usage data through an AWS resource, streamlining the process of sharing cost and usage data across account boundaries. With this release, you can now create and view budgets based on billing views.
* api-change:``appstream``: Added support for G6 instances
* api-change:``ec2``: Mark Elastic Inference Accelerators and Elastic Graphics Processor parameters as deprecated on the RunInstances and LaunchTemplate APIs.
* api-change:``opensearchserverless``: Features: add Index APIs in OpenSearchServerless to support managed semantic enrichment
* enhancement:openssl: Update bundled OpenSSL version to 1.1.1zc for Linux installers
* api-change:``qbusiness``: Amazon Q Business now supports the GetDocumentContent() API that enables customers to securely access the source documents through clickable citation links at query time


2.28.3
======

* api-change:``sagemaker``: Add support for SageMaker Hyperpod continuous scaling and custom AMI; Introduce new APIs: ListClusterEvents, DescribeClusterEvent, BatchAddClusterNodes
* api-change:``rds``: Adds a new Aurora Serverless v2 attribute to the DBCluster resource to expose the platform version. Also updates the attribute to be part of both the engine version and platform version descriptions.
* api-change:``bedrock-runtime``: This release adds support for Automated Reasoning checks output models for the Amazon Bedrock Guardrails ApplyGuardrail API.
* api-change:``bedrock``: This release introduces Automated Reasoning checks for Amazon Bedrock Guardrails. The feature adds new APIs for policy building, refinement, version management, and testing. Guardrail APIs now support Automated Reasoning policy configuration and validation output.
* api-change:``eks``: Add support for deletion protection on EKS clusters


2.28.2
======

* api-change:``sagemaker``: This release adds the ability for customers to attach and detach their EBS volumes to EKS-orchestrated HyperPod cluster nodes.
* api-change:``iotsitewise``: Support Interface for IoT SiteWise Asset Modeling
* enhancement:``awscrt``: Update awscrt version to 0.27.5.
* api-change:``codeconnections``: New integration with Azure DevOps provider type.
* api-change:``bedrock-agentcore``: Remove superfluous field from API
* api-change:``evs``: TagResource API now throws ServiceQuotaExceededException when the number of tags on the Amazon EVS resource exceeds the maximum allowed. TooManyTagsException is deprecated.


2.28.1
======

* api-change:``auditmanager``: Added a note to Framework APIs (CreateAssessmentFramework, GetAssessmentFramework, UpdateAssessmentFramework) clarifying that the Controls object returns a partial response when called through Framework APIs. Added documentation that the Framework's controlSources parameter is no longer supported.
* api-change:``observabilityadmin``: CloudWatch Observability Admin adds the ability to enable telemetry on AWS resources such as Amazon VPCs (Flow Logs) in customers AWS Accounts and Organizations. The release introduces new APIs to manage telemetry rules, which define telemetry settings to be applied on AWS resources.
* api-change:``pcs``: Add support for IPv6 Networking for Clusters.
* api-change:``sns``: Amazon SNS support for Amazon SQS fair queues
* api-change:``aiops``: This release includes fix for InvestigationGroup timestamp conversion issue.
* api-change:``arc-region-switch``: This is the initial SDK release for Region switch
* api-change:``acm-pca``: Doc-only update to add more information to GetCertificate action.
* api-change:``securityhub``: Release new resource detail type CodeRepository
* api-change:``lightsail``: This release adds support for the Asia Pacific (Jakarta) (ap-southeast-3) Region.


2.28.0
======

* api-change:``workspaces-web``: Added ability to log session activity on a portal to an S3 bucket.
* api-change:``quicksight``: Added Impala connector support
* api-change:``ec2``: Added support for the force option for the EC2 instance terminate command. This feature enables customers to recover resources associated with an instance stuck in the shutting-down state as a result of rare issues caused by a frozen operating system or an underlying hardware problem.
* api-change:``glue``: Added support for Route node, S3 Iceberg sources/targets, catalog Iceberg sources, DynamoDB ELT connector, AutoDataQuality evaluation, enhanced PII detection with redaction, Kinesis fan-out support, and new R-series worker types.
* api-change:``iot``: This release allows AWS IoT Core users to use their own AWS KMS keys for data protection
* api-change:``s3control``: Add Tags field to CreateAccessPoint
* feature:``bedrock``: Add support for retrieving a Bearer token from environment variables to enable bearer authentication with Bedrock services.
* api-change:``entityresolution``: Add support for creating advanced rule-based matching workflows in AWS Entity Resolution.
* api-change:``sesv2``: This release introduces support for Multi-tenant management
* api-change:``inspector2``: Extend usage to include agentless hours and add CODE_REPOSITORY to aggregation resource type
* api-change:``elbv2``: This release enables secondary IP addresses for Network Load Balancers.
* api-change:``customer-profiles``: The release updates standard profile with 2 new fields that supports account-level engagement. Updated APIs include CreateProfile, UpdateProfile, MergeProfiles, SearchProfiles, BatchGetProfile, GetSegmentMembership, CreateSegmentDefinition, CreateSegmentEstimate.
* api-change:``opensearch``: Granular access control support for NEO-SAML with IAMFederation for AOS data source


2.27.63
=======

* api-change:``ds``: This release adds support for AWS Managed Microsoft AD Hybrid Edition, introducing new operations: StartADAssessment, DescribeADAssessment, ListADAssessments, DeleteADAssessment, CreateHybridAD, UpdateHybridAD, and DescribeHybridADUpdate; and updated existing operation: DescribeDirectories.
* api-change:``iotwireless``: Added TxPowerIndexMin, TxPowerIndexMax, NbTransMin and NbTransMax params to ServiceProfile.
* api-change:``docdb``: Add support for setting Serverless Scaling Configuration on clusters.
* enhancement:autocomplete: Add completion model for ``dsql``
* api-change:``ec2``: Release to show the next hop IP address for routes propagated by VPC Route Server into VPC route tables.
* api-change:``cloudfront``: This release adds new origin timeout options: 1) ResponseCompletionTimeout and 2) OriginReadTimeout (for S3 origins)


2.27.62
=======

* api-change:``cleanrooms``: This feature provides the ability to update the table reference and allowed columns on an existing configured table.
* api-change:``deadline``: Adds support for tag management on monitors.
* api-change:``opensearchserverless``: This is to support Granular access control support for SAML with IAMFedraton in AOSS
* api-change:``location``: This release 1) adds support for multi-polygon geofences with disconnected territories, and 2) enables polygon exclusion zones within geofences for more accurate representation of real-world boundaries.
* api-change:``batch``: AWS Batch for SageMaker Training jobs feature support.  Includes new APIs for service job submission (e.g., SubmitServiceJob) and managing service environments (e.g., CreateServiceEnvironment) that enable queueing SageMaker Training jobs.


2.27.61
=======

* api-change:``directconnect``: Enable MACSec support and features on Interconnects.
* api-change:``osis``: Add Pipeline Role Arn as an optional parameter to the create / update pipeline APIs as an alternative to passing in the pipeline configuration body
* api-change:``iotsitewise``: Add support for native anomaly detection in IoT SiteWise using new Computation Model APIs


2.27.60
=======

* api-change:``ec2``: Transit Gateway native integration with AWS Network Firewall. Adding new enum value for the new Transit Gateway Attachment type.
* api-change:``appintegrations``: Amazon AppIntegrations introduces new configuration capabilities to enable customers to manage iframe permissions, control application refresh behavior (per contact or per browser/cross-contact), and run background applications (service).
* api-change:``config``: Documentation improvements have been made to the EvaluationModel and DescribeConfigurationRecorders APIs.
* api-change:``kms``: Doc only update: fixed grammatical errors.
* api-change:``socialmessaging``: This release introduces new WhatsApp template management APIs that enable customers to programmatically create and submit templates for approval, monitor approval status, and manage the complete template lifecycle
* api-change:``sqs``: Documentation updates for Amazon SQS fair queues feature.
* api-change:``mediapackagev2``: This release adds support for specifying a preferred input for channels using CMAF ingest.
* api-change:``budgets``: Adds IPv6 and PrivateLink support for AWS Budgets in IAD.


2.27.59
=======

* api-change:``datazone``: This release adds support for 1) highlighting relevant text in returned results for Search and SearchListings APIs and 2) returning aggregated counts of values for specified attributes for SearchListings API.
* api-change:``omics``: Add Git integration and README support for HealthOmics workflows


2.27.58
=======

* api-change:``workspaces-thin-client``: Added the lastUserId parameter to the ListDevices and GetDevice API.
* api-change:``glue``: AWS Glue now supports dynamic session policies for job executions. This feature allows you to specify custom, fine-grained permissions for each job run without creating multiple IAM roles.
* api-change:``ec2``: Added support for skip-os-shutdown option for the EC2 instance stop and terminate operations. This feature enables customers to bypass the graceful OS shutdown, supporting faster state transitions when instance data preservation isn't critical.


2.27.57
=======

* enhancement:EMR: Updated create-cluster and describe-cluster commands to support --extended-support and --no-extended-support arguments
* api-change:``neptunedata``: This release updates the supported regions for Neptune API to include current AWS regions.
* enhancement:Dockerfile: Include ``findutils`` and ``jq`` in Docker image
* api-change:``lambda``: This release migrated the model to Smithy keeping all features unchanged.
* api-change:``ecr``: Add support for Image Tag Mutability Exception feature, allowing repositories to define wildcard-based patterns that override the default image tag mutability settings.
* api-change:``emr``: This release adds new parameter 'ExtendedSupport' in AWS EMR RunJobFlow, ModifyCluster and DescribeCluster API.


2.27.56
=======

* api-change:``ec2``: This release adds support for C8gn, F2 and P6e-GB200 Instance types
* api-change:``cloudfront``: Add dualstack endpoint support
* api-change:``timestream-influxdb``: Timestream for InfluxDB adds support for db.influx.24xlarge instance type. This enhancement enables higher compute capacity for demanding workloads through CreateDbInstance, CreateDbCluster, UpdateDbInstance, and UpdateDbCluster APIs.
* api-change:``deadline``: Add support for VPC resource endpoints in Service Managed Fleets
* enhancement:cloudfront: This release adds automatic pagination to the list-origin-access-controls command.  To disable this behavior, please use the --no-paginate flag.
* api-change:``sagemaker``: This release adds 1/ Support for S3FileSystem in CustomFileSystems 2/ The ability for a customer to select their preferred IpAddressType for use with private Workforces 3/ Support for p4de instance type in SageMaker Training Plans


2.27.55
=======

* api-change:``mediaconvert``: This release adds support for TAMS server integration with MediaConvert inputs.
* api-change:``logs``: CloudWatchLogs launches GetLogObject API with streaming support for efficient log data retrieval. Logs added support for new AccountPolicy type METRIC_EXTRACTION_POLICY. For more information, see CloudWatch Logs API documentation
* api-change:``ssm``: July 2025 doc-only updates for Systems Manager.
* api-change:``auditmanager``: Updated error handling for RegisterOrganizationAdminAccount API to properly translate TooManyExceptions to HTTP 429 status code. This enhancement improves error handling consistency and provides clearer feedback when request limits are exceeded.
* api-change:``sesv2``: Added IP Visibility support for managed dedicated pools. Enhanced GetDedicatedIp and GetDedicatedIps APIs to return managed IP addresses.
* api-change:``outposts``: Add AWS Outposts API to surface customer billing information


2.27.54
=======

* api-change:``synthetics``: This feature allows AWS Synthetics customers to provide code dependencies using lambda layer while creating a canary
* api-change:``mediaconvert``: This release expands the range of supported audio outputs to include xHE, 192khz FLAC and the deprecation of dual mono for AC3.
* api-change:``cloudfront``: Doc only update for CloudFront that fixes some customer-reported issues
* api-change:``keyspacesstreams``: Doc only update for the Amazon Keyspaces Streams API.
* api-change:``mailmanager``: Allow underscores in the local part of the input of the "Email recipients rewrite" action in rule sets.
* api-change:``stepfunctions``: Align input with style guidelines.
* api-change:``ec2``: AWS Free Tier Version2 Support
* api-change:``cleanroomsml``: This release introduces Parquet result format support for ML Input Channel models in AWS Clean Rooms ML.


2.27.53
=======

* api-change:``glue``: AWS Glue now supports schema, partition and sort management of Apache Iceberg tables using Glue SDK
* api-change:``bedrock``: This release adds support for on-demand custom model inference through CustomModelDeployment APIs for Amazon Bedrock.
* api-change:``mediapackagev2``: This release adds support for CDN Authentication using Static Headers in MediaPackage v2.
* api-change:``iotwireless``: FuotaTaskId is not a valid IdentifierType for EventConfiguration and is being removed from possible IdentifierType values.
* api-change:``stepfunctions``: Doc-only update to introduction, and edits to clarify input parameter and the set of control characters.
* api-change:``bedrock-agentcore``: Initial release of Amazon Bedrock AgentCore SDK including Runtime, Built-In Tools, Memory, Gateway and Identity.
* api-change:``networkflowmonitor``: Introducing 2 new scope status types - DEACTIVATING and DEACTIVATED.
* api-change:``guardduty``: Add expectedBucketOwner parameter to ThreatIntel and IPSet APIs.
* api-change:``bedrock-runtime``: document update to support on demand custom model.
* api-change:``datasync``: AWS DataSync now supports IPv6 address inputs and outputs in create, update, and describe operations for NFS, SMB, and Object Storage locations
* api-change:``payment-cryptography-data``: Expand length of message data field for Mac generation and validation to 8192 characters.
* api-change:``bedrock-agentcore-control``: Initial release of Amazon Bedrock AgentCore SDK including Runtime, Built-In Tools, Memory, Gateway and Identity.
* api-change:``logs``: CloudWatch Logs updates: Added X-Ray tracing for Amazon Bedrock Agent resources. Logs introduced Log Group level resource policies (managed through Put/Delete/Describe Resource Policy APIs). For more information, see CloudWatch Logs API documentation.


2.27.52
=======

* api-change:``ecs``: This release removes hookDetails for the Amazon ECS native blue/green deployments.


2.27.51
=======

* api-change:``s3``: Amazon S3 Metadata live inventory tables provide a queryable inventory of all the objects in your general purpose bucket so that you can determine the latest state of your data. To help minimize your storage costs, use journal table record expiration to set a retention period for your records.
* api-change:``ecs``: Amazon ECS supports native blue/green deployments, allowing you to validate new service revisions before directing production traffic to them.
* api-change:``quicksight``: Introduced custom instructions for topics.
* api-change:``pricing``: This release adds support for new filter types in GetProducts API, including EQUALS, CONTAINS, ANY_OF, and NONE_OF.
* api-change:``opensearch``: AWS Opensearch adds support for enabling s3 vector engine options. After enabling this option, customers will be able to create indices with s3 vector engine.
* api-change:``repostspace``: This release introduces Channels functionality with CreateChannel, GetChannel, ListChannels, and UpdateChannel operations. Channels provide dedicated collaboration spaces where teams can organize discussions and knowledge by projects, business units, or areas of responsibility.
* api-change:``s3vectors``: Amazon S3 Vectors provides cost-effective, elastic, and durable vector storage for queries based on semantic meaning and similarity.
* api-change:``dynamodbstreams``: Added support for optional shard filter parameter in DescribeStream api that allows customers to fetch child shards of a read_only parent shard.
* api-change:``s3tables``: Adds table bucket type to ListTableBucket and GetTableBucket API operations
* api-change:``datazone``: Removing restriction of environment profile identifier as required field, S3 feature release
* api-change:``bedrock-agent``: Add support for S3 Vectors as a vector store.
* api-change:``events``: Add customer-facing logging for the EventBridge Event Bus, enabling customers to better observe their events and extract insights about their EventBridge usage.
* enhancement:Dockerfile: Update base image for AWS CLI v2 Docker image to Amazon Linux 2023
* api-change:``ec2``: This release adds support for volume initialization status, which enables you to monitor when the initialization process for an EBS volume is completed. This release also adds IPv6 support to EC2 Instance Connect Endpoints, allowing you to connect to your EC2 Instance via a private IPv6 address.
* api-change:``sagemaker``: This release adds support for a new Restricted instance group type to enable a specialized environment for running Nova customization jobs on SageMaker HyperPod clusters. This release also adds support for SageMaker pipeline versioning.


2.27.50
=======

* api-change:``freetier``: This release introduces four new APIs: GetAccountPlanState and UpgradeAccountPlan for AWS account plan management; ListAccountActivities and GetAccountActivity that provide activity tracking capabilities.
* api-change:``ec2``: Adds support to Capacity Blocks for ML for purchasing EC2 P6e-GB200 UltraServers. Customers can now purchase u-p6e-gb200x72 and u-p6e-gb200x36 UltraServers. Adds new DescribeCapacityBlocks andDescribeCapacityBlockStatus APIs. Adds support for CapacityBlockId to DescribeInstanceTopology.
* api-change:``opsworkscm``: Removing content that refers to an S3 bucket that is no longer in use.


2.27.49
=======

* api-change:``customer-profiles``: This release introduces capability of create Segments via importing a CSV file directly. This consumes the CSV file and creates/updates corresponding profiles for the particular domain.
* api-change:``route53``: Amazon Route 53 now supports the iso-e regions for private DNS Amazon VPCs and cloudwatch healthchecks.
* api-change:``deadline``: Added fields for output manifest reporting and task chunking parameters
* api-change:``sagemaker``: Changes include new StartSession API for SageMaker Studio spaces and CreateHubContentPresignedUrls API for SageMaker JumpStart.
* api-change:``mediapackagev2``: This release adds support for Microsoft Smooth Streaming (MSS) and allows users to exclude DRM segment Metadata in MediaPackage v2 Origin Endpoints
* api-change:``ec2``: This release adds GroupOwnerId as a response member to the DescribeSecurityGroupVpcAssociations API and also adds waiters for SecurityGroupVpcAssociations (SecurityGroupVpcAssociationAssociated and SecurityGroupVpcAssociationDisassociated).


2.27.48
=======

* api-change:``s3control``: Added TagResource, UntagResource, and ListTagsForResource support for directory bucket
* api-change:``ec2``: AWS Site-to-Site VPN now supports IPv6 addresses on outer tunnel IPs, making it easier for customers to build or transition to IPv6-only networks.
* api-change:``connectcases``: This release adds DeleteCase and DeleteRelatedItem APIs, which enable deleting cases and comments, undoing contact association, and removing service level agreements (SLAs) from cases. Contact center admins can use these APIs to delete cases when requested by customers and correct agent errors.
* api-change:``s3``: Added support for directory bucket creation with tags and bucket ARN retrieval in CreateBucket, ListDirectoryBuckets, and HeadBucket operations


2.27.47
=======

* api-change:``odb``: This release adds API operations for Oracle Database@AWS. You can use the APIs to create Exadata infrastructure, ODB networks, and Exadata and Autonomous VM clusters inside AWS data centers. The infrastructure is managed by OCI. You can integrate these resources with AWS services.
* api-change:``sagemaker``: Updated field validation requirements for InstanceGroups.
* api-change:``cleanroomsml``: This release introduces support for incremental training and distributed training for custom models in AWS Clean Rooms ML.
* api-change:``rds``: Amazon RDS Custom for Oracle now supports multi-AZ database instances.
* api-change:``ec2``: Add Context to GetInstanceTypesFromInstanceRequirements API
* api-change:``datazone``: Add support for the new optional domain-unit-id parameter in the UpdateProject API.
* api-change:``qbusiness``: New ChatResponseConfiguration to Customize Q Business chat responses for specific use cases and communication needs. Updated Boosting capability allowing admins to provide preference on date attributes for recency and/or provide a preferred data source.


2.27.46
=======

* api-change:``transfer``: Added support for dual-stack (IPv4 and IPv6) endpoints for SFTP public endpoints and VPC-internal endpoints (SFTP, FTPS, FTP, and AS2), enabling customers to configure new servers with IPv4 or dual-stack mode, convert existing servers to dual-stack, and use IPv6 with service APIs.
* api-change:``bedrock``: Add support for API Keys, Re-Ranker, implicit filter for RAG / KB evaluation for Bedrock APIs.
* api-change:``ssm``: Introduces AccessType, a new filter value for the DescribeSessions API.
* api-change:``events``: Added support for EventBridge Dualstack endpoints in AWS GovCloud (US) regions (us-gov-east-1 and us-gov-west-1). The dualstack endpoints are identical for both FIPS and non-FIPS configurations, following the format: events.{region}.api.aws
* api-change:``medical-imaging``: Added new fields to support the concept of primary image sets within the storage hierarchy.
* api-change:``logs``: Increase minimum length of queryId parameter to 1 character.
* api-change:``connect``: This release introduces ChatMetrics to the model, providing comprehensive analytics insights for Amazon Connect chat conversations. Users can access these detailed metrics through the AWS Connect API by using the DescribeContact operation with their specific instance and contact IDs
* api-change:``iam``: Updated IAM ServiceSpecificCredential support to include expiration, API Key output format instead of username and password for services that will support API keys, and the ability to list credentials for all users in the account for a given service configuration.
* api-change:``bedrock-runtime``: Add API Key and document citations support for Bedrock Runtime APIs
* api-change:``arc-zonal-shift``: Added support for on-demand practice runs and balanced capacity checks in ARC autoshift practice.
* api-change:``pcs``: Fixed the validation pattern for an instance profile Amazon Resource Name (ARN) in AWS PCS.
* api-change:``quicksight``: Introduced custom permission capabilities for reporting content. Added menu option in exploration to preserve configuration data when textbox menu option is used. Added support for Athena trusted identity propagation.
* api-change:``networkflowmonitor``: Add ConflictExceptions to UpdateScope and DeleteScope operations for scopes being mutated.
* api-change:``dataexchange``: This release updates resource Id with alphanumeric constraint, including Asset id, Revision id, Data Set id, Job id, and Event Action id.
* api-change:``b2bi``: Updated APIs to support inbound EDI split capabilities and additional Partnership-level configurations of generated EDI files' contents and format.
* api-change:``glue``: releasing source processing properties to support source properties for ODB integrations
* api-change:``config``: Updated ResourceType enum with new resource types onboarded by AWS Config as of June 2025
* api-change:``outposts``: Make ContactName and ContactPhoneNumber required fields when creating and updating Outpost Site Addresses.
* api-change:``dynamodb``: This change adds support for witnesses in global tables. It also adds a new table status, REPLICATION_NOT_AUTHORIZED. This status will indicate scenarios where global replicas table can't be utilized for data plane operations.
* api-change:``cloudformation``: Added support for UNKNOWN drift status.


2.27.45
=======

* api-change:``sesv2``: Added support for new SES regions
* api-change:``qconnect``: Adding UnauthorizedException to public SDK
* api-change:``config``: Added important considerations to the PutConformancePack and PutOrganizationConformancPack APIs.
* api-change:``rds``: StartDBCluster and StopDBCluster can now throw InvalidDBShardGroupStateFault.
* api-change:``guardduty``: Update JSON target for Kubernetes workload resource type.
* api-change:``connect``: This release adds the following value to an InitiateAs enum: COMPLETED
* api-change:``glue``: AWS Glue now supports schema, partition and sort management of Apache Iceberg tables using Glue SDK
* enhancement:User Agent: Append session id to user agent string


2.27.44
=======

* api-change:``deadline``: Added fields to track cumulative task retry attempts for steps and jobs
* api-change:``iot-managed-integrations``: Adding managed integrations APIs for IoT Device Management to onboard and control devices across different manufacturers, connectivity protocols and third party vendor clouds. APIs include managed thing operations, provisioning profile management, and cloud connector operations.
* api-change:``keyspaces``: This release provides change data capture (CDC) streams support through updates to the Amazon Keyspaces API.
* api-change:``workspaces``: Updated modifyStreamingProperties to support PrivateLink VPC endpoints for directories
* api-change:``kms``: This release updates AWS CLI examples for KMS APIs.
* api-change:``ec2``: This release adds support for OdbNetworkArn as a target in VPC Route Tables
* api-change:``keyspacesstreams``: This release adds change data capture (CDC) streams support through the new Amazon Keyspaces Streams API.
* api-change:``qbusiness``: Added support for App level authentication for QBusiness DataAccessor using AWS IAM Identity center Trusted Token issuer


2.27.43
=======

* api-change:``fsx``: Add support for the ability to create Amazon S3 Access Points for Amazon FSx for OpenZFS file systems.
* api-change:``s3control``: Add support for the ability to use Amazon S3 Access Points with Amazon FSx for OpenZFS file systems.
* api-change:``textract``: Add RotationAngle field to Geometry of WORD blocks for Textract AnalyzeDocument API
* api-change:``ecs``: Updates for change to Amazon ECS default log driver mode from blocking to non-blocking
* api-change:``s3``: Adds support for additional server-side encryption mode and storage class values for accessing Amazon FSx data from Amazon S3 using S3 Access Points
* api-change:``storagegateway``: This release adds IPv6 support to the Storage Gateway APIs. APIs that previously only accept or return IPv4 address will now accept or return both IPv4 and IPv6 addresses.
* api-change:``workspaces-thin-client``: Remove Tags field from Get API responses


2.27.42
=======

* api-change:``gamelift``: Add support for UDP ping beacons to ListLocations API, including new PingBeacon and UDPEndpoint data types within its Locations return value. Use UDP ping beacon endpoints to help measure real-time network latency for multiplayer games.
* api-change:``bedrock``: We are making ListFoundationModelAgreementOffers, DeleteFoundationModelAgreement, CreateFoundationModelAgreement, GetFoundationModelAvailability, PutUseCaseForModelAccess and GetUseCaseForModelAccess APIs public, previously they were console.
* api-change:``ec2``: This release allows you to create and register AMIs while maintaining their underlying EBS snapshots within Local Zones.
* api-change:``batch``: Add userdataType to LaunchTemplateSpecification and LaunchTemplateSpecificationOverride.
* api-change:``aiops``: Adds support for cross account investigations for CloudWatch investigations AI Operations (AIOps).
* api-change:``elbv2``: Add Paginator for DescribeAccountLimits, and fix Paginators for DescribeTrustStoreAssociations, DescribeTrustStoreRevocations, and DescribeTrustStores
* api-change:``license-manager``: AWS License Manager now supports license type conversions for AWS Marketplace products. Customers can provide Marketplace codes in the source license context or destination license context in the CreateLicenseConversionTaskForResource requests.
* api-change:``transcribe``: This Feature Adds Support for the "et-EE" Locale for Batch Operations
* api-change:``rds``: Adding support for RDS on Dedicated Local Zones, including local backup target, snapshot availability zone and snapshot target
* api-change:``route53resolver``: Add support for iterative DNS queries through the new INBOUND_DELEGATION endpoint. Add delegation support through the Outbound Endpoints with DELEGATE rules.


2.27.41
=======

* api-change:``s3tables``: S3 Tables now supports sort and z-order compaction strategies for Iceberg tables in addition to binpack.
* api-change:``workspaces-instances``: Added support for Amazon WorkSpaces Instances API
* api-change:``glue``: AWS Glue now supports sort and z-order strategy for managed automated compaction for Iceberg tables in addition to binpack.


2.27.40
=======

* api-change:``geo-places``: Geocode, ReverseGeocode, and GetPlace APIs added Intersections and SecondaryAddresses. To use, add to the AdditionalFeatures list in your request. This provides info about nearby intersections and secondary addresses that are associated with a main address. Also added MainAddress and ParsedQuery.
* api-change:``ecs``: Add ECS support for Windows Server 2025
* api-change:``bedrock``: Add support for tiers in Content Filters and Denied Topics for Amazon Bedrock Guardrails.
* api-change:``mediaconvert``: This release adds a new SPECIFIED_OPTIMAL option for handling DDS when using DVB-Sub with high resolution video.
* api-change:``glue``: AWS Glue Data Quality now provides aggregated metrics in evaluation results when publishAggregatedMetrics with row-level results are enabled. These metrics include summary statistics showing total counts of processed, passed, and failed rows and rules in a single view.


2.27.39
=======

* api-change:``payment-cryptography-data``: Additional support for managing HMAC keys that adheres to changes documented in X9.143-2021 and provides better interoperability for key import/export
* api-change:``bedrock``: This release of the SDK has the API and documentation for the createcustommodel API. This feature lets you copy a trained model into Amazon Bedrock for inference.
* api-change:``lambda``: Support Schema Registry feature for Kafka Event Source Mapping. Customers can now configure a Schema Registry to enable schema validation and filtering for Avro, Protobuf, and JSON-formatted events in Lambda for Kafka Event Source.
* api-change:``emr-serverless``: This release adds the capability to enable IAM IdentityCenter Trusted Identity Propagation for users running Interactive Sessions on EMR Serverless Applications.
* api-change:``payment-cryptography``: Additional support for managing HMAC keys that adheres to changes documented in X9.143-2021 and provides better interoperability for key import/export
* api-change:``sagemaker``: This release introduces alternative support for utilizing CFN templates from S3 for SageMaker Projects.


2.27.38
=======

* api-change:``logs``: Added CloudWatch Logs Transformer support for converting CloudTrail, VPC Flow, EKS Audit, AWS WAF and Route53 Resolver logs to OCSF v1.1 format.
* api-change:``autoscaling``: Add IncludeInstances parameter to DescribeAutoScalingGroups API
* api-change:``imagebuilder``: Added paginators for ``imagebuilder``.
* api-change:``s3``: Added support for renaming objects within the same bucket using the new RenameObject API.
* api-change:``sagemaker``: Add support for p6-b200 instance type for SageMaker Hyperpod
* api-change:``aiops``: This is the initial SDK release for Amazon AI Operations (AIOps). AIOps is a generative AI-powered assistant that helps you respond to incidents in your system by scanning your system's telemetry and quickly surface suggestions that might be related to your issue.


2.27.37
=======

* api-change:``network-firewall``: Release of Active Threat Defense in Network Firewall
* api-change:``securityhub``: Adds operations, structures, and exceptions required for public preview release of Security Hub V2.
* api-change:``organizations``: Add support for policy operations on the SECURITYHUB_POLICY policy type.
* api-change:``mpa``: This release enables customers to create Multi-party approval teams and approval requests to protect supported operations.
* api-change:``wafv2``: AWS WAF can now suggest protection packs for you based on the application information you provide when you create a webACL.
* api-change:``inspector2``: Add Code Repository Scanning as part of AWS InspectorV2
* api-change:``backup``: AWS Backup is adding support for integration of its logically air-gapped vaults with the AWS Organizations Multi-party approval capability.
* api-change:``bedrock``: This release of the SDK has the API and documentation for the createcustommodel API. This feature lets you copy a trained model into Amazon Bedrock for inference.
* api-change:``acm``: Adds support for Exportable Public Certificates
* enhancement:Python: Update bundled Python interpreter to 3.13.4
* api-change:``accessanalyzer``: We are launching a new analyzer type, internal access analyzer. The new analyzer will generate internal access findings, which help customers understand who within their AWS organization or AWS Account has access to their critical AWS resources.
* api-change:``dms``: Add "Virtual" field to Data Provider as well as "S3Path" and "S3AccessRoleArn" fields to DataProvider settings
* api-change:``guardduty``: Adding support for extended threat detection for EKS Audit Logs and EKS Runtime Monitoring.
* api-change:``sts``: The AWS Security Token Service APIs AssumeRoleWithSAML and AssumeRoleWithWebIdentity can now be invoked without pre-configured AWS credentials in the SDK configuration.


2.27.36
=======

* api-change:``bedrock``: This release of the SDK has the API and documentation for the createcustommodel API. This feature lets you copy a Amazon SageMaker trained Amazon Nova model into Amazon Bedrock for inference.
* api-change:``network-firewall``: You can now create firewalls using a Transit Gateway instead of a VPC, resulting in a TGW attachment.
* api-change:``sagemaker``: This release 1) adds a new S3DataType Converse for SageMaker training 2)adds C8g R7gd M8g C6in P6 P6e instance type for SageMaker endpoint 3) adds m7i, r7i, c7i instance type for SageMaker Training and Processing.
* api-change:``ecr``: The `DescribeImageScanning` API now includes `lastInUseAt` and `InUseCount` fields that can be used to prioritize vulnerability remediation for images that are actively being used.


2.27.35
=======

* api-change:``connectcampaignsv2``: Added PutInstanceCommunicationLimits and GetInstanceCommunicationLimits APIs
* api-change:``apigatewayv2``: Documentation updates for Amazon API Gateway
* api-change:``apigateway``: Documentation updates for Amazon API Gateway
* api-change:``emr-serverless``: This release adds support for retrieval of the optional executionIamPolicy field in the GetJobRun API response.
* api-change:``ecs``: This Amazon ECS  release supports updating the capacityProviderStrategy parameter in update-service.
* api-change:``iotfleetwise``: Add new status READY_FOR_CHECKIN used for vehicle synchronisation
* api-change:``pcs``: Fixed regex patterns for ARN fields.
* api-change:``kms``: AWS KMS announces the support of ML-DSA key pairs that creates post-quantum safe digital signatures.


2.27.34
=======

* api-change:``controlcatalog``: Introduced ListControlMappings API that retrieves control mappings. Added control aliases and governed resources fields in GetControl and ListControls APIs. New filtering capability in ListControls API, with implementation identifiers and implementation types.
* api-change:``wafv2``: WAF now provides two DDoS protection options: resource-level monitoring for Application Load Balancers and the AWSManagedRulesAntiDDoSRuleSet managed rule group for CloudFront distributions.
* api-change:``lexv2-models``: Add support for the Assisted NLU feature to improve bot performance
* api-change:``eks``: Release for EKS Pod Identity Cross Account feature and disableSessionTags flag.
* api-change:``rds``: Updates Amazon RDS documentation for Amazon RDS for Db2 cross-Region replicas in standby mode.
* api-change:``networkmanager``: Add support for public DNS hostname resolution to private IP addresses across Cloud WAN-managed VPCs. Add support for security group referencing across Cloud WAN-managed VPCs.


2.27.33
=======

* api-change:``gameliftstreams``: Documentation updates for Amazon GameLift Streams to address formatting errors, correct resource ID examples, and update links to other guides


2.27.32
=======

* enhancement:``cloudformation``: High-level Cloudformation commands such as ``deploy`` and ``package`` will now fallback to SHA256 for checksumming if MD5 isn't present on the host
* api-change:``ec2``: Release to support Elastic VMware Service (Amazon EVS) Subnet and Amazon EVS Network Interface Types.
* api-change:``customer-profiles``: This release introduces capability of Profile Explorer, using correct ingestion timestamp & using historical data for computing calculated attributes, and new standard objects for T&H as part of Amazon Connect Customer Profiles service.
* api-change:``efs``: Added support for Internet Protocol Version 6 (IPv6) on EFS Service APIs and mount targets.
* api-change:``workspaces-thin-client``: Add ConflictException to UpdateEnvironment API
* api-change:``ce``: Support dual-stack endpoints for ce api
* api-change:``marketplace-catalog``: The ListEntities API now supports the EntityID, LastModifiedDate, ProductTitle, and Visibility filters for machine learning products. You can also sort using all of those filters.
* api-change:``appsync``: Deprecate `atRestEncryptionEnabled` and `transitEncryptionEnabled` attributes in `CreateApiCache` action. Encryption is always enabled for new caches.


2.27.31
=======

* api-change:``kms``: Remove unpopulated KeyMaterialId from Encrypt Response
* api-change:``rds``: Include Global Cluster Identifier in DBCluster if the DBCluster is a Global Cluster Member.
* api-change:``s3tables``: S3 Tables now supports getting details about a table via its table ARN.
* api-change:``rekognition``: Adds support for defining an ordered preference list of different Rekognition Face Liveness challenge types when calling CreateFaceLivenessSession.
* api-change:``bedrock-agent-runtime``: This release introduces the `PromptCreationConfigurations` input parameter, which includes fields to control prompt population for `InvokeAgent` or `InvokeInlineAgent` requests.
* api-change:``route53``: Amazon Route 53 now supports the Asia Pacific (Taipei) Region (ap-east-2) for latency records, geoproximity records, and private DNS for Amazon VPCs in that region.


2.27.30
=======

* api-change:``wafv2``: AWS WAF adds support for ASN-based traffic filtering and support for ASN-based rate limiting.
* api-change:``kms``: AWS KMS announces the support for on-demand rotation of symmetric-encryption KMS keys with imported key material (EXTERNAL origin).
* api-change:``cloudformation``: Add new warning type 'EXCLUDED_PROPERTIES'
* api-change:``bcm-pricing-calculator``: Updating the minimum for List APIs to be 1 (instead of 0)


2.27.29
=======

* api-change:``mediaconnect``: This release updates the DescribeFlow API to show peer IP addresses. You can now identify the peer IP addresses of devices connected to your sources and outputs. This helps you to verify and troubleshoot your flow's active connections.
* api-change:``amplify``: Update documentation for cacheConfig in CreateApp API
* enhancement:dependency: Remove cryptography as a dependency
* api-change:``sagemaker``: Added support for p6-b200 instance type in SageMaker Training Jobs and Training Plans.
* api-change:``evs``: Amazon Elastic VMware Service (Amazon EVS) allows you to run VMware Cloud Foundation (VCF) directly within your Amazon VPC including simplified self-managed migration experience with guided workflow in AWS console or via AWS CLI, get full access to their VCF deployment and VCF license portability.
* api-change:``invoicing``: Added new Invoicing ListInvoiceSummaries API Operation
* api-change:``network-firewall``: You can now monitor flow and alert log metrics from the Network Firewall console.
* api-change:``mediaconvert``: This release includes support for embedding and signing C2PA content credentials in MP4 outputs.
* api-change:``transcribe``: AWS Healthscribe now supports new templates for the clinical note summary: BIRP, SIRP, DAP, BEHAVIORAL_SOAP, and PHYSICAL_SOAP


2.27.28
=======

* api-change:``apigatewayv2``: Adds support to create routing rules and set the routing mode for a custom domain name.
* api-change:``apigateway``: Adds support to set the routing mode for a custom domain name.
* api-change:``emr-serverless``: AWS EMR Serverless: Adds a new option in the CancelJobRun API in EMR 7.9.0+, to cancel a job with grace period. This feature is enabled by default with a 120-second grace period for streaming jobs and is not enabled by default for batch jobs.


2.27.27
=======

* api-change:``pcs``: Introduces SUSPENDING and SUSPENDED states for clusters, compute node groups, and queues.
* api-change:``bedrock-agent``: This release adds the Agent Lifecycle Paused State feature to Amazon Bedrock agents. By using an agent's alias, you can temporarily suspend agent operations during maintenance, updates, or other situations.
* api-change:``compute-optimizer``: This release enables AWS Compute Optimizer to analyze Amazon Aurora database clusters and generate Aurora I/O-Optimized recommendations.
* api-change:``synthetics``: Support for Java runtime handler pattern.
* api-change:``athena``: Add support for the managed query result in the workgroup APIs. The managed query result configuration enables users to store query results to Athena owned storage.
* api-change:``eks``: Add support for filtering ListInsights API calls on MISCONFIGURATION insight category
* api-change:``ecs``: Updates Amazon ECS documentation to include note for upcoming default log driver mode change.
* api-change:``cost-optimization-hub``: Support recommendations for Aurora instance and Aurora cluster storage.
* api-change:``entityresolution``: Add support for generating match IDs in near real-time.
* api-change:``backup``: You can now subscribe to Amazon SNS notifications and Amazon EventBridge events for backup indexing. You can now receive notifications when a backup index is created, deleted, or fails to create, enhancing your ability to monitor and track your backup operations.


2.27.26
=======

* api-change:``emr-serverless``: This release adds the capability for users to specify an optional Execution IAM policy in the StartJobRun action. The resulting permissions assumed by the job run is the intersection of the permissions in the Execution Role and the specified Execution IAM Policy.
* api-change:``sagemaker``: Release new parameter CapacityReservationConfig in ProductionVariant


2.27.25
=======

* api-change:``fsx``: FSx API changes to support the public launch of new Intelligent Tiering storage class on Amazon FSx for Lustre
* api-change:``datasync``: AgentArns field is made optional for Object Storage and Azure Blob location create requests. Location credentials are now managed via Secrets Manager, and may be encrypted with service managed or customer managed keys. Authentication is now optional for Azure Blob locations.
* api-change:``ivs-realtime``: IVS Real-Time now offers customers the participant replication that allow customers to copy a participant from one stage to another.
* api-change:``dataexchange``: This release adds Tag support for Event Action resource, through which customers can create event actions with Tags and retrieve event actions with Tags.
* api-change:``bcm-pricing-calculator``: Add AFTER_DISCOUNTS_AND_COMMITMENTS to Workload Estimate Rate Type. Set ListWorkLoadEstimateUsage maxResults range to minimum of 0 and maximum of 300.
* api-change:``autoscaling``: Add support for "apple" CpuManufacturer in ABIS
* api-change:``sagemaker``: Add maintenance status field to DescribeMlflowTrackingServer API response
* api-change:``connect``: Amazon Connect Service Feature: Email Recipient Limit Increase
* api-change:``mwaa``: Amazon MWAA now lets you choose a worker replacement strategy when updating an environment. This release adds two worker replacement strategies: FORCED (default), which stops workers immediately, and GRACEFUL, which allows workers to finish current tasks before shutting down.
* api-change:``s3``: Adding checksum support for S3 PutBucketOwnershipControls API.
* api-change:``amplify``: Add support for customizable build instance sizes. CreateApp and UpdateApp operations now accept a new JobConfig parameter composed of BuildComputeType.
* api-change:``cloudtrail``: CloudTrail Feature Release: Support for Enriched Events with Configurable Context for Event Data Store


2.27.24
=======

* api-change:``events``: Allow for more than 2 characters for location codes in EventBridge ARNs
* api-change:``cost-optimization-hub``: This release allows customers to modify their preferred commitment term and payment options.
* api-change:``synthetics``: Add support to change ephemeral storage. Add a new field "TestResult" under CanaryRunStatus.
* api-change:``ec2``: Enable the option to automatically delete underlying Amazon EBS snapshots when deregistering Amazon Machine Images (AMIs)
* api-change:``network-firewall``: You can now use VPC endpoint associations to create multiple firewall endpoints for a single firewall.


2.27.23
=======

* api-change:``ec2``: This release adds three features - option to store AWS Site-to-Site VPN pre-shared keys in AWS Secrets Manager, GetActiveVpnTunnelStatus API to check the in-use VPN algorithms, and SampleType option in GetVpnConnectionDeviceSampleConfiguration API to get recommended sample configs for VPN devices.
* api-change:``deadline``: AWS Deadline Cloud service-managed fleets now support storage profiles. With storage profiles, you can map file paths between a workstation and the worker hosts running the job.
* api-change:``ce``: This release introduces Cost Comparison feature (GetCostAndUsageComparisons, GetCostComparisonDrivers) allowing you find cost variations across multiple dimensions and identify key drivers of spending changes.


2.27.22
=======

* api-change:``security-ir``: Update PrincipalId pattern documentation to reflect what user should receive back from the API call
* api-change:``ec2``: This release adds support for the C7i-flex, M7i-flex, I7i, I7ie, I8g, P6-b200, Trn2, C8gd, M8gd and R8gd instances


2.27.21
=======

* api-change:``dsql``: Features: support for customer managed encryption keys
* api-change:``glue``: This release supports additional ConversionSpec parameter as part of IntegrationPartition Structure in CreateIntegrationTableProperty API. This parameter is referred to apply appropriate column transformation for columns that are used for timestamp based partitioning
* bugfix:s3transfer: Validate ETag of stored object during multipart downloads
* api-change:``auditmanager``: With this release, the AssessmentControl description field has been deprecated, as of May 19, 2025. Additionally, the UpdateAssessment API can now return a ServiceQuotaExceededException when applicable service quotas are exceeded.
* api-change:``amp``: Add QueryLoggingConfiguration APIs for Amazon Managed Prometheus


2.27.20
=======

* api-change:``ec2``: Release of Dualstack and Ipv6-only EC2 Public DNS hostnames
* api-change:``application-autoscaling``: Doc only update that addresses a customer reported issue.
* api-change:``bedrock-agent-runtime``: Amazon Bedrock introduces asynchronous flows (in preview), which let you run flows for longer durations and yield control so that your application can perform other tasks and you don't have to actively monitor the flow's progress.
* api-change:``cloudwatch``: Adds support for setting up Contributor Insight rules on logs transformed via Logs Transformation feature.
* api-change:``partnercentral-selling``: Modified validation to allow expectedCustomerSpend array with zero elements in Partner Opportunity operations.


2.27.19
=======

* api-change:``inspector2``: This release adds GetClustersForImage API and filter updates as part of the mapping of container images to running containers feature.
* api-change:``rds``: This release introduces the new DescribeDBMajorEngineVersions API for describing the properties of specific major versions of database engines.
* api-change:``privatenetworks``: The privatenetworks client has been removed following the deprecation of the service.
* api-change:``glue``: Enhanced AWS Glue ListConnectionTypes API Model with additional metadata fields.
* api-change:``oam``: Add IncludeTags field to GetLink, GetSink and UpdateLink API
* api-change:``datasync``: Remove Discovery APIs from the DataSync service
* api-change:``ec2``: This release expands the ModifyInstanceMaintenanceOptions API to enable or disable instance migration during customer-initiated reboots for EC2 Scheduled Reboot Events.


2.27.18
=======

* api-change:``dsql``: CreateMultiRegionCluster and DeleteMultiRegionCluster APIs removed
* api-change:``ec2``: This release includes new APIs for System Integrity Protection (SIP) configuration and automated root volume ownership delegation for EC2 Mac instances.
* api-change:``mediapackagev2``: This release adds support for DVB-DASH, EBU-TT-D subtitle format, and non-compacted manifests for DASH in MediaPackage v2 Origin Endpoints.


2.27.17
=======

* api-change:``glue``: Changes include (1) Excel as S3 Source type and XML and Tableau's Hyper as S3 Sink types, (2) targeted number of partitions parameter in S3 sinks and (3) new compression types in CSV/JSON and Parquet S3 sinks.
* api-change:``ecs``: This is an Amazon ECs documentation only release to support the change of the container exit "reason" field from 255 characters to 1024 characters.
* api-change:``service-quotas``: This release introduces CreateSupportCase operation to SDK.
* api-change:``bedrock-data-automation``: Add support for VIDEO modality to BlueprintType enum.
* api-change:``codepipeline``: CodePipeline now supports new API ListDeployActionExecutionTargets that lists the deployment target details for deploy action executions.
* api-change:``neptune``: This release adds Global Cluster Switchover capability which enables you to change your global cluster's primary AWS Region, the region that serves writes, while preserving the replication between all regions in the global cluster.
* api-change:``bedrock-data-automation-runtime``: Add AssetProcessingConfiguration for video segment to InputConfiguration
* api-change:``emr``: Added APIs for managing Application UIs: Access Persistent (serverless) UIs via CreatePersistentAppUI DescribePersistentAppUI & GetPersistentAppUIPresignedURL, and Cluster-based UIs through GetOnClusterAppUIPresignedURL. Supports Yarn, Spark History, and TEZ interfaces.


2.27.16
=======

* api-change:``workspaces``: Added the new AlwaysOn running mode for WorkSpaces Pools. Customers can now choose between AlwaysOn (for instant access, with hourly usage billing regardless of connection status), or AutoStop (to optimize cost, with a brief startup delay) for their pools.
* api-change:``codebuild``: AWS CodeBuild now supports Docker Server capability
* api-change:``pcs``: This release adds support for Slurm accounting. For more information, see the Slurm accounting topic in the AWS PCS User Guide. Slurm accounting is supported for Slurm 24.11 and later. This release also adds 24.11 as a valid value for the version parameter of the Scheduler data type.
* api-change:``bedrock-agent``: Amazon Bedrock Flows introduces DoWhile loops nodes, parallel node executions, and enhancements to knowledge base nodes.
* api-change:``controltower``: Updated the descriptions for the AWS Control Tower Baseline APIs to make them more intuitive.
* api-change:``dms``: Introduces Data Resync feature to describe-table-statistics and IAM database authentication for MariaDB, MySQL, and PostgreSQL.


2.27.15
=======

* api-change:``logs``: This release adds a new API "ListLogGroups" and an improvement in API "DescribeLogGroups"
* api-change:``firehose``: This release adds catalogARN support for s3 tables multi-catalog catalogARNs.
* api-change:``mediaconvert``: This update enables cropping for video overlays and adds a new STL to Teletext upconversion toggle to preserve styling.
* api-change:``cognito-idp``: Add exceptions to WebAuthn operations.


2.27.14
=======

* api-change:``bedrock-agent-runtime``: Changes for enhanced metadata in trace
* api-change:``dsql``: CreateMultiRegionClusters and DeleteMultiRegionClusters APIs marked as deprecated. Introduced new multi-Region clusters creation experience through multiRegionProperties parameter in CreateCluster API.
* api-change:``bedrock``: Enable cross-Region inference for Amazon Bedrock Guardrails by using the crossRegionConfig parameter when calling the CreateGuardrail or UpdateGuardrail operation.
* api-change:``controltower``: AWS Control Tower now reports the inheritance drift status for EnabledBaselines through the GetEnabledBaseline and ListEnabledBaselines APIs. You can now filter EnabledBaselines by their enablement and drift status using the ListEnabledBaselines API to view accounts and OUs that require attention.
* api-change:``ecs``: This release extends functionality for Amazon EBS volumes attached to Amazon ECS tasks by adding support for the new EBS volumeInitializationRate parameter in ECS RunTask/StartTask/CreateService/UpdateService APIs.
* api-change:``license-manager``: Add Tagging feature to resources in the Managed Entitlements service. License and Grant resources can now be tagged.


2.27.13
=======

* api-change:``supplychain``: Launch new AWS Supply Chain public APIs for DataIntegrationEvent, DataIntegrationFlowExecution and DatasetNamespace. Also add more capabilities to existing public APIs to support direct dataset event publish, data deduplication in DataIntegrationFlow, partition specification of custom datasets.
* api-change:``sagemaker``: No API changes from previous release. This release migrated the model to Smithy keeping all features unchanged.
* api-change:``iam``: Updating the endpoint list for the Identity and access management (IAM) service
* api-change:``deadline``: AWS Deadline Cloud service-managed fleets now support configuration scripts. Configuration scripts make it easy to install additional software, like plugins and packages, onto a worker.
* api-change:``ec2``: EC2 - Adding support for AvailabilityZoneId
* api-change:``medialive``: Add support to the AV1 rate control mode
* api-change:``s3control``: Updates to support S3 Express zonal endpoints for directory buckets in AWS CLI
* api-change:``mediatailor``: Documenting that EnabledLoggingStrategies is always present in responses of PlaybackConfiguration read operations.


2.27.12
=======

* api-change:``athena``: Minor API documentation updates
* api-change:``logs``: We are pleased to announce limit increases to our grok processor logs transformation feature. Now you can define 20 Grok patterns in their configurations, with an expanded total pattern matching limit of 512 characters.
* api-change:``synthetics``: Add support to retry a canary automatically after schedule run failures. Users can enable this feature by configuring the RetryConfig field when calling the CreateCanary or UpdateCanary API. Also includes changes in GetCanary and GetCanaryRuns to support retrieving retry configurations.
* api-change:``workspaces``: Remove parameter EnableWorkDocs from WorkSpacesServiceModel due to end of support of Amazon WorkDocs service.


2.27.11
=======

* api-change:``codepipeline``: Add support for Secrets Manager and Plaintext environment variable types in Commands action
* api-change:``sso-admin``: Update PutPermissionBoundaryToPermissionSet API's managedPolicyArn pattern to allow valid ARN only. Update ApplicationName to allow white spaces.
* api-change:``ec2``: Launching the feature to support ENA queues offering flexibility to support multiple queues per Enhanced Network Interface (ENI)
* enhancement:Python: Update bundled Python interpreter to 3.13.3
* api-change:``cloudfront``: Doc-only update for CloudFront. These changes include customer-reported issues.
* api-change:``guardduty``: Updated description of a data structure.
* api-change:``glue``: This new release supports customizable RefreshInterval for all Saas ZETL integrations from 15 minutes to 6 days.


2.27.10
=======

* api-change:``ec2``: This release adds API support for Path Component Exclusion (Filter Out ARN) for Reachability Analyzer
* api-change:``sagemaker``: SageMaker AI Studio users can now migrate to SageMaker Unified Studio, which offers a unified web-based development experience that integrates AWS data, analytics, artificial intelligence (AI), and machine learning (ML) services, as well as additional tools and resource
* api-change:``imagebuilder``: Updated the CreateImageRecipeRequest ParentImage description to include all valid values as updated with the SSM Parameters project.
* api-change:``medialive``: Enables Updating Anywhere Settings on a MediaLive Anywhere Channel.
* api-change:``synthetics``: Add support to test a canary update by invoking a dry run of a canary. This behavior can be used via the new StartCanaryDryRun API along with new fields in UpdateCanary to apply dry run changes. Also includes changes in GetCanary and GetCanaryRuns to support retrieving dry run configurations.


2.27.9
======

* api-change:``servicecatalog``: ServiceCatalog's APIs (DeleteServiceAction, DisassociateServiceActionFromProvisioningArtifact, AssociateServiceActionWithProvisioningArtifact) now throw InvalidParametersException when IdempotencyToken is invalid.
* api-change:``timestream-write``: Add dualstack endpoints support.
* api-change:``ec2``: This release adds support for Amazon EBS Provisioned Rate for Volume Initialization, which lets you specify a volume initialization rate to ensure that your EBS volumes are initialized in a predictable amount of time.
* api-change:``timestream-query``: Add dualstack endpoints support and correct us-gov-west-1 FIPS endpoint.


2.27.8
======

* api-change:``devicefarm``: Add an optional parameter to the GetDevicePoolCompatibility API to pass in project information to check device pool compatibility.
* api-change:``ecs``: Add support to roll back an In_Progress ECS Service Deployment
* api-change:``ec2``: This update introduces API operations to manage and create local gateway VIF and VIF groups. It also includes API operations to describe Outpost LAGs and service link VIFs.
* api-change:``datazone``: This release adds a new authorization policy to control the usage of custom AssetType when creating an Asset. Customer can now add new grant(s) of policyType USE_ASSET_TYPE for custom AssetTypes to apply authorization policy to projects members and domain unit owners.
* api-change:``mediaconvert``: This release adds an optional sidecar per-frame video quality metrics report and an ALL_PCM option for audio selectors. It also changes the data type for Probe API response fields related to video and audio bitrate from integer to double.


2.27.7
======

* api-change:``ds``: Doc only update - fixed typos.
* api-change:``bedrock-data-automation``: Added support for Custom output and blueprints for AUDIO data types.
* api-change:``kinesis``: Marking ResourceARN as required for Amazon Kinesis Data Streams APIs TagResource, UntagResource, and ListTagsForResource.


2.27.6
======

* api-change:``sagemaker``: Feature - Adding support for Scheduled and Rolling Update Software in Sagemaker Hyperpod.
* api-change:``verifiedpermissions``: Amazon Verified Permissions / Features : Adds support for tagging policy stores.
* api-change:``appconfig``: Adding waiter support for deployments and environments; documentation updates
* api-change:``connect``: This release adds the following fields to DescribeContact: DisconnectReason, AgentInitiatedHoldDuration, AfterContactWorkStartTimestamp, AfterContactWorkEndTimestamp, AfterContactWorkDuration, StateTransitions, Recordings, ContactDetails, ContactEvaluations, Attributes


2.27.5
======

* api-change:``deadline``: Adds support for tag management on workers and tag inheritance from fleets to their associated workers.
* api-change:``bedrock-agent``: Features:    Add inline code node to prompt flow
* api-change:``bedrock-agent-runtime``: Support for Custom Orchestration within InlineAgents
* api-change:``cleanrooms``: This release adds support for ProtectedQuery results to be delivered to more than one collaboration member via the new distribute output configuration in StartProtectedQuery.
* api-change:``ecr``: Adds dualstack support for Amazon Elastic Container Registry (Amazon ECR).
* api-change:``ec2``: Launch of cost distribution feature for IPAM owners to distribute costs to internal teams.
* api-change:``mailmanager``: Introducing new RuleSet rule PublishToSns action, which allows customers to publish email notifications to an Amazon SNS topic. New PublishToSns action enables customers to easily integrate their email workflows via Amazon SNS, allowing them to notify other systems about important email events.
* api-change:``bedrock``: You can now specify a cross region inference profile as a teacher model for the CreateModelCustomizationJob API. Additionally, the GetModelCustomizationJob API has been enhanced to return the sub-task statuses of a customization job within the StatusDetails response field.
* api-change:``ecr-public``: Adds dualstack support for Amazon Elastic Container Registry Public (Amazon ECR Public).
* bugfix:socialmessaging: Renames the incorrectly named delete-whatsapp-media-message command to the correct name of delete-whatsapp-message-media
* api-change:``logs``: CloudWatch Logs supports "DELIVERY" log class. This log class is used only for delivering AWS Lambda logs to Amazon S3 or Amazon Data Firehose.


2.27.4
======

* api-change:``qbusiness``: Add support for anonymous user access for Q Business applications
* enhancement:awscrt: Update awscrt version requirement to 0.26.1
* api-change:``ssm``: This release adds support for just-In-time node access in AWS Systems Manager. Just-in-time node access enables customers to move towards zero standing privileges by requiring operators to request access and obtain approval before remotely connecting to nodes managed by the SSM Agent.
* api-change:``connectcases``: Introduces CustomEntity as part of the UserUnion data type. This field is used to indicate the entity who is performing the API action.
* api-change:``kinesis``: Amazon KDS now supports tagging and attribute-based access control (ABAC) for enhanced fan-out consumers.
* api-change:``sagemaker``: Introduced support for P5en instance types on SageMaker Studio for JupyterLab and CodeEditor applications.
* api-change:``sagemaker-metrics``: SageMaker Metrics Service now supports FIPS endpoint in all US and Canada Commercial regions.
* api-change:``pinpoint-sms-voice-v2``: AWS End User Messaging has added MONITOR and FILTER functionality to SMS Protect.
* enhancement:``cloudfront``: Replace cryptographic functions from ``cryptography`` with ``awscrt`` for the ``sign`` command. Fixes `#9258 <https://github.com/aws/aws-cli/issues/9258>`__.
* api-change:``ssm-guiconnect``: This release adds API support for the connection recording GUI Connect feature of AWS Systems Manager


2.27.3
======

* api-change:``imagebuilder``: Add integration with SSM Parameter Store to Image Builder.
* api-change:``acm``: Add support for file-based HTTP domain control validation, available through Amazon CloudFront.
* api-change:``cloudfront``: Add distribution tenant, connection group, and multi-tenant distribution APIs to the CloudFront SDK.
* api-change:``bedrock-runtime``: This release adds native h2 support for the bedrock runtime API, the support is only limited to SDKs that support h2 requests natively.
* api-change:``dynamodb``: Doc only update for GSI descriptions.


2.27.2
======

* api-change:``ecs``: Documentation only release for Amazon ECS.
* api-change:``bedrock-runtime``: You can now reference images and documents stored in Amazon S3 when using InvokeModel and Converse APIs with Amazon Nova Lite and Nova Pro. This enables direct integration of S3-stored multimedia assets in your model requests without manual downloading or base64 encoding.
* api-change:``marketplace-deployment``: Doc only update for the AWS Marketplace Deployment Service that fixes several customer-reported issues.


2.27.1
======

* api-change:``ecs``: Documentation only release for Amazon ECS
* api-change:``dynamodb``: Add support for ARN-sourced account endpoint generation for TransactWriteItems. This will generate account endpoints for DynamoDB TransactWriteItems requests using ARN-sourced account ID when available.
* api-change:``appsync``: Add data source support to Event APIs
* api-change:``pcs``: Documentation-only update: added valid values for the version property of the Scheduler and SchedulerRequest data types.
* api-change:``rds``: This Amazon RDS release adds support for managed master user passwords for Oracle CDBs.
* api-change:``codebuild``: Remove redundant validation check.
* api-change:``apprunner``: AWS App Runner adds Node.js 22 runtime.
* api-change:``bedrock-data-automation``: Added support for modality routing and modality enablement on CreateDataAutomationProject and UpdateDataAutomationProject APIs


2.27.0
======

* api-change:``imagebuilder``: Add all ``imagebuilder`` modeled paginators that are currently supported by AWS CLI v2.
* api-change:``ecs``: Add support to roll back an In_Progress ECS Service Deployment
* api-change:``codebuild``: Add support for custom instance type for reserved capacity fleets
* api-change:``resource-explorer-2``: Documentation-only update for CreateView option correction
* feature:``eks``: Add assume-role-arn option to update-kubeconfig command for cross-account access


2.26.7
======

* api-change:``mq``: You can now delete Amazon MQ broker configurations using the DeleteConfiguration API. For more information, see Configurations in the Amazon MQ API Reference.
* api-change:``s3control``: Fix endpoint resolution test cases
* api-change:``redshift-serverless``: Provides new and updated API members to support the Redshift Serverless reservations feature.
* api-change:``cognito-idp``: This release adds refresh token rotation.
* api-change:``ec2``: Added support for  ClientRouteEnforcementOptions flag in CreateClientVpnEndpoint and ModifyClientVpnEndpoint requests and DescribeClientVpnEndpoints responses
* api-change:``account``: AWS Account Management now supports account name update via IAM principals.
* api-change:``entityresolution``: To expand support for matching records using digital identifiers with TransUnion


2.26.6
======

* api-change:``firehose``: Documentation update regarding the number of streams you can create using the CreateDeliveryStream API.
* api-change:``qbusiness``: The CheckDocumentAccess API for Amazon Q Business is a self-service debugging API that allows administrators to verify document access permissions and review Access Control List (ACL) configurations.
* api-change:``arc-zonal-shift``: Updates to documentation and exception types for Zonal Autoshift
* api-change:``mediatailor``: Added support for Recurring Prefetch and Traffic Shaping on both Single and Recurring Prefetch. ListPrefetchSchedules now return single prefetchs by default and can be provided scheduleType of SINGLE, RECURRING, AND ALL.
* api-change:``budgets``: Releasing the new Budget FilterExpression and Metrics fields to support more granular filtering options. These new fields are intended to replace CostFilters and CostTypes, which are deprecated as of 2025/18/04.


2.26.5
======

* api-change:``qconnect``: This release adds support for the following capabilities: Chunking generative answer replies from Amazon Q in Connect. Integration support for the use of additional LLM models with Amazon Q in Connect.
* api-change:``service-quotas``: Add new optional SupportCaseAllowed query parameter to the RequestServiceQuotaIncrease API
* api-change:``sagemaker``: This release adds a new Neuron driver option in InferenceAmiVersion parameter for ProductionVariant. Additionally, it adds support for fetching model lifecycle status in the ListModelPackages API. Users can now use this API to view the lifecycle stage of models that have been shared with them.


2.26.4
======

* api-change:``bedrock``: With this release, Bedrock Evaluation will now support custom metrics for evaluation.
* api-change:``omics``: Add versioning for HealthOmics workflows
* api-change:``iotfleetwise``: We've added stricter parameter validations to AWS IoT FleetWise signal catalog, model manifest, and decoder manifest APIs.
* api-change:``amp``: Add Workspace Configuration APIs for Amazon Prometheus
* api-change:``connect``: This release adds following capabilities to Contact Lens Rules APIs 1/ 'ASSIGN_SLA' action and  '$.Case.TemplateId' comparison value for 'OnCaseCreate' and 'OnCaseUpdate' event sources 2/ 'OnSlaBreach' Cases event source which supports '$.RelatedItem.SlaConfiguration.Name' comparison value
* api-change:``memorydb``: Added support for IPv6 and dual stack for Valkey and Redis clusters. Customers can now launch new Valkey and Redis clusters with IPv6 and dual stack networking support.
* api-change:``accessanalyzer``: Added new resource types to evaluate for public access in resource policies and added support for S3 directory bucket access points.
* api-change:``ecs``: Adds a new AccountSetting - defaultLogDriverMode for ECS.
* api-change:``autoscaling``: Doc only update for EC2 Auto Scaling.


2.26.3
======

* api-change:``servicecatalog``: Updated default value for the access-level-filter in SearchProvisionedProducts API to Account. For access to userLevel or roleLevel, the user must provide access-level-filter parameter.
* api-change:``s3tables``: S3 Tables now supports setting encryption configurations on table buckets and tables. Encryption configurations can use server side encryption using AES256 or KMS customer-managed keys.
* api-change:``dsql``: Added GetClusterEndpointService API. The new API allows retrieving endpoint service name specific to a cluster.
* bugfix:Formatter: Update JSON formatter to encode raw bytes as UTF-8.
* api-change:``events``: Adding support for KmsKeyIdentifer in CreateConnection, UpdateConnection and DescribeConnection APIs
* api-change:``resource-groups``: Resource Groups: TagSyncTasks can be created with ResourceQuery
* api-change:``eks``: Added support for new AL2023 ARM64 NVIDIA AMIs to the supported AMITypes.
* api-change:``connectcases``: This feature provides capabilities to help track and meet service level agreements (SLAs) on cases programmatically. It allows configuring a new related item of type `Sla` on a case using CreateRelatedItem API and provides the ability to search for this new related item using SearchRelatedItems API.


2.26.2
======

* api-change:``taxsettings``: Indonesia SOR Tax Registration Launch
* api-change:``entityresolution``: This is to add new metrics to our GetIdMappingJob API and also update uniqueId naming for batchDeleteUniqueIds API to be more accurate


2.26.1
======

* api-change:``marketplace-entitlement``: Add support for Marketplace Entitlement Service dual-stack endpoints for CN and GOV regions
* api-change:``detective``: Add support for Detective DualStack endpoints
* api-change:``pcs``: Changed the minimum length of clusterIdentifier, computeNodeGroupIdentifier, and queueIdentifier to 3.
* api-change:``verifiedpermissions``: Adds deletion protection support to policy stores. Deletion protection is disabled by default, can be enabled via the CreatePolicyStore or UpdatePolicyStore APIs, and is visible in GetPolicyStore.
* api-change:``connect-contact-lens``: Making sentiment optional for ListRealtimeContactAnalysisSegments Response depending on conversational analytics configuration
* api-change:``dynamodb``: Doc only update for API descriptions.
* api-change:``datazone``: Raise hard limit of authorized principals per SubscriptionTarget from 10 to 20.
* api-change:``meteringmarketplace``: Add support for Marketplace Metering Service dual-stack endpoints for CN regions


2.26.0
======

* api-change:``elasticache``: AWS ElastiCache SDK now supports using MemcachedUpgradeConfig parameter with ModifyCacheCluster API to enable updating Memcached cache node types. Please refer to updated AWS ElastiCache public documentation for detailed information on API usage and implementation.
* api-change:``quicksight``: Add support to analysis and sheet level highlighting in QuickSight.
* api-change:``m2``: Introduce three new APIs: CreateDataSetExportTask, GetDataSetExportTask and ListDataSetExportHistory. Add support for batch restart for Blu Age applications.
* feature:Python: Drop support for Python 3.8
* enhancement:Python: Update bundled Python interpreter to 3.13.2
* api-change:``medialive``: AWS Elemental MediaLive / Features : Add support for CMAF Ingest CaptionLanguageMappings, TimedMetadataId3 settings, and Link InputResolution.
* api-change:``application-autoscaling``: Application Auto Scaling now supports horizontal scaling for Elasticache Memcached self-designed clusters using target tracking scaling policies and scheduled scaling.
* api-change:``qbusiness``: Adds functionality to enable/disable a new Q Business Hallucination Reduction feature. If enabled, Q Business will detect and attempt to remove Hallucinations from certain Chat requests.


2.25.14
=======

* api-change:``dynamodb``: Documentation update for secondary indexes and Create_Table.
* api-change:``transfer``: This launch includes 2 enhancements to SFTP connectors user-experience: 1) Customers can self-serve concurrent connections setting for their connectors, and 2) Customers can discover the public host key of remote servers using their SFTP connectors.
* api-change:``controlcatalog``: The GetControl API now surfaces a control's Severity, CreateTime, and Identifier for a control's Implementation. The ListControls API now surfaces a control's Behavior, Severity, CreateTime, and Identifier for a control's Implementation.
* api-change:``groundstation``: Support tagging Agents and adjust input field validations
* api-change:``glue``: The TableOptimizer APIs in AWS Glue now return the DpuHours field in each TableOptimizerRun, providing clients visibility to the DPU-hours used for billing in managed Apache Iceberg table compaction optimization.


2.25.13
=======

* api-change:``taxsettings``: Uzbekistan Launch on TaxSettings Page
* api-change:``securityhub``: Documentation updates for AWS Security Hub.
* api-change:``iotfleetwise``: This release adds the option to update the strategy of state templates already associated to a vehicle, without the need to remove and re-add them.
* api-change:``storagegateway``: Added new ActiveDirectoryStatus value, ListCacheReports paginator, and support for longer pagination tokens.
* api-change:``bedrock-runtime``: This release introduces our latest bedrock runtime API, InvokeModelWithBidirectionalStream. The API supports both input and output streams and is supported by only HTTP2.0.
* api-change:``cost-optimization-hub``: This release adds resource type "MemoryDbReservedInstances" and resource type "DynamoDbReservedCapacity" to the GetRecommendation, ListRecommendations, and ListRecommendationSummaries APIs to support new MemoryDB and DynamoDB RI recommendations.
* api-change:``ce``: This release supports Pagination traits on Cost Anomaly Detection APIs.


2.25.12
=======

* api-change:``medialive``: AWS Elemental MediaLive now supports SDI inputs to MediaLive Anywhere Channels in workflows that use AWS SDKs.
* api-change:``glue``: Add input validations for multiple Glue APIs
* api-change:``bedrock-runtime``: New options for how to handle harmful content detected by Amazon Bedrock Guardrails.
* api-change:``codebuild``: AWS CodeBuild now offers an enhanced debugging experience.
* api-change:``personalize``: Add support for eventsConfig for CreateSolution, UpdateSolution, DescribeSolution, DescribeSolutionVersion. Add support for GetSolutionMetrics to return weighted NDCG metrics when eventsConfig is enabled for the solution.
* api-change:``transfer``: This launch enables customers to manage contents of their remote directories, by deleting old files or moving files to archive folders in remote servers once they have been retrieved. Customers will be able to automate the process using event-driven architecture.
* api-change:``bedrock``: New options for how to handle harmful content detected by Amazon Bedrock Guardrails.


2.25.11
=======

* api-change:``ds-data``: Doc only update - fixed broken links.
* api-change:``s3control``: Updated max size of Prefixes parameter of Scope data type.
* api-change:``ec2``: Doc-only updates for Amazon EC2
* api-change:``events``: Amazon EventBridge adds support for customer-managed keys on Archives and validations for two fields: eventSourceArn and kmsKeyIdentifier.


2.25.10
=======

* api-change:``route53``: Added us-gov-east-1 and us-gov-west-1 as valid Latency Based Routing regions for change-resource-record-sets.
* api-change:``sagemaker``: Adds support for i3en, m7i, r7i instance types for SageMaker Hyperpod
* api-change:``bedrock-agent``: Added optional "customMetadataField" for Amazon Aurora knowledge bases, allowing single-column metadata. Also added optional "textIndexName" for MongoDB Atlas knowledge bases, enabling hybrid search support.
* api-change:``opensearch``: Improve descriptions for various API commands and data types.
* api-change:``chime-sdk-voice``: Added FOC date as an attribute of PhoneNumberOrder, added AccessDeniedException as a possible return type of ValidateE911Address
* api-change:``transcribe``: This Feature Adds Support for the "zh-HK" Locale for Batch Operations
* api-change:``mailmanager``: Add support for Dual_Stack and PrivateLink types of IngressPoint. For configuration requests, SES Mail Manager will now accept both IPv4/IPv6 dual-stack endpoints and AWS PrivateLink VPC endpoints for email receiving.
* api-change:``sesv2``: This release enables customers to provide attachments in the SESv2 SendEmail and SendBulkEmail APIs.


2.25.9
======

* api-change:``ecs``: This is an Amazon ECS documentation only update to address various tickets.
* api-change:``codebuild``: This release adds support for environment type WINDOWS_SERVER_2022_CONTAINER in ProjectEnvironment
* api-change:``ecr``: Fix for customer issues related to AWS account ID and size limitation for token.
* api-change:``medialive``: Added support for SMPTE 2110 inputs when running a channel in a MediaLive Anywhere cluster. This feature enables ingestion of SMPTE 2110-compliant video, audio, and ancillary streams by reading SDP files that AWS Elemental MediaLive can retrieve from a network source.
* api-change:``lexv2-models``: Release feature of errorlogging for lex bot, customer can config this feature in bot version to generate log for error exception which helps debug
* enhancement:``ec2instanceconnect``: Replace cryptographic functions from ``cryptography`` with ``awscrt`` for the ``ssh`` command.
* api-change:``application-signals``: Application Signals now supports creating Service Level Objectives on service dependencies. Users can now create or update SLOs on discovered service dependencies to monitor their standard application metrics.
* enhancement:awscrt: Update awscrt version requirement to 0.25.4


2.25.8
======

* api-change:``sagemaker``: Added tagging support for SageMaker notebook instance lifecycle configurations
* api-change:``cleanrooms``: This release adds support for updating the analytics engine of a collaboration.


2.25.7
======

* api-change:``ec2``: Release VPC Route Server, a new feature allowing dynamic routing in VPCs.
* api-change:``eks``: Add support for updating RemoteNetworkConfig for hybrid nodes on EKS UpdateClusterConfig API
* api-change:``outposts``: Enabling Asset Level Capacity Management feature, which allows customers to create a Capacity Task for a single Asset on their active Outpost.
* api-change:``sesv2``: Add dual-stack support to global endpoints.
* api-change:``deadline``: With this release you can use a new field to specify the search term match type. Search term match types currently support fuzzy and contains matching.
* api-change:``s3``: Amazon S3 adds support for S3 Access Points for directory buckets in AWS Dedicated Local Zones
* api-change:``marketplace-entitlement``: Add support for Marketplace Entitlement Service dual-stack endpoints.
* api-change:``transfer``: Add WebAppEndpointPolicy support for WebApps
* api-change:``s3control``: Amazon S3 adds support for S3 Access Points for directory buckets in AWS Dedicated Local Zones
* api-change:``bedrock-runtime``: Add Prompt Caching support to Converse and ConverseStream APIs


2.25.6
======

* api-change:``bedrock-runtime``: Launching Multi-modality Content Filter for Amazon Bedrock Guardrails.
* api-change:``apigateway``: Adds support for setting the IP address type to allow dual-stack or IPv4 address types to invoke your APIs or domain names.
* api-change:``sagemaker``: TransformAmiVersion for Batch Transform and SageMaker Search Service Aggregate Search API Extension
* api-change:``payment-cryptography``: The service adds support for transferring AES-256 and other keys between the service and other service providers and HSMs. This feature uses ECDH to derive a one-time key transport key to enable these secure key exchanges.
* api-change:``apigatewayv2``: Adds support for setting the IP address type to allow dual-stack or IPv4 address types to invoke your APIs or domain names.
* api-change:``networkmanager``: Add support for NetworkManager Dualstack endpoints.
* api-change:``meteringmarketplace``: Add support for Marketplace Metering Service dual-stack endpoints.
* api-change:``codebuild``: This release adds support for cacheNamespace in ProjectCache
* api-change:``ecs``: This is an Amazon ECS documentation only release that addresses tickets.
* api-change:``quicksight``: RLS permission dataset with userAs: RLS_RULES flag, Q in QuickSight/Threshold Alerts/Schedules/Snapshots in QS embedding, toggle dataset refresh email alerts via API, transposed table with options: column width, type and index, toggle Q&A on dashboards, Oracle Service Name when creating data source.


2.25.5
======

* api-change:``gamelift``: Amazon GameLift Servers add support for additional instance types.
* api-change:``sagemaker``: add: recovery mode for SageMaker Studio apps
* api-change:``iam``: Update IAM dual-stack endpoints for BJS, IAD and PDT partitions
* api-change:``bedrock-agent-runtime``: bedrock flow now support node action trace.
* api-change:``cloudformation``: Adding support for the new parameter "ScanFilters" in the CloudFormation StartResourceScan API. When this parameter is included, the StartResourceScan API will initiate a scan limited to the resource types specified by the parameter.
* api-change:``datazone``: This release adds new action type of Create Listing Changeset for the Metadata Enforcement Rule feature.
* api-change:``sso-oidc``: This release adds AwsAdditionalDetails in the CreateTokenWithIAM API response.
* api-change:``eks``: Added support for BOTTLEROCKET FIPS AMIs to AMI types in US regions.
* api-change:``bcm-pricing-calculator``: Added standaloneAccountRateTypeSelections for GetPreferences and UpdatePreferences APIs. Added STALE enum value to status attribute in GetBillScenario and UpdateBillScenario APIs.
* api-change:``batch``: This release will enable two features: Firelens log driver, and Execute Command on Batch jobs on ECS. Both features will be passed through to ECS.


2.25.4
======

* api-change:``arc-zonal-shift``: Add new shiftType field for ARC zonal shifts.
* api-change:``rds``: Add note about the Availability Zone where RDS restores the DB cluster for the RestoreDBClusterToPointInTime operation.
* api-change:``directconnect``: With this release, AWS Direct Connect allows you to tag your Direct Connect gateways. Tags are metadata that you can create and use to manage your Direct Connect gateways. For more information about tagging, see AWS Tagging Strategies.
* api-change:``wafv2``: This release adds the ability to associate an AWS WAF v2 web ACL with an AWS Amplify App.
* api-change:``mediatailor``: Add support for log filtering which allow customers to filter out selected event types from logs.
* api-change:``mediaconvert``: This release adds a configurable Quality Level setting for the top rendition of Auto ABR jobs
* api-change:``polly``: Added support for the new voice - Jihye (ko-KR). Jihye is available as a Neural voice only.


2.25.3
======

* api-change:``workspaces-thin-client``: Deprecate tags field in Get API responses
* api-change:``eks``: Added support to override upgrade-blocking readiness checks via force flag when updating a cluster.
* api-change:``gameliftstreams``: Minor updates to improve developer experience.
* api-change:``bedrock-agent``: Adding support for Amazon OpenSearch Managed clusters as a vector database in Knowledge Bases for Amazon Bedrock
* api-change:``marketplace-entitlement``: This release enhances the GetEntitlements API to support new filter CUSTOMER_AWS_ACCOUNT_ID in request and CustomerAWSAccountId field in response.
* api-change:``keyspaces``: Removing replication region limitation for Amazon Keyspaces Multi-Region Replication APIs.
* enhancement:``sso``: Updates legacy token auth flow to check if cached legacy tokens are expired according to the local clock. If expired, it will raise an ``UnauthorizedSSOTokenError`` instead of sending an expired token to Identity Center's ``GetRoleCredentials`` API.
* api-change:``sagemaker``: This release adds support for customer-managed KMS keys in Amazon SageMaker Partner AI Apps
* api-change:``meteringmarketplace``: This release enhances the BatchMeterUsage API to support new field CustomerAWSAccountId in request and response and making CustomerIdentifier optional. CustomerAWSAccountId or CustomerIdentifier must be provided in request but not both.


2.25.2
======

* api-change:``pcs``: ClusterName/ClusterIdentifier, ComputeNodeGroupName/ComputeNodeGroupIdentifier, and QueueName/QueueIdentifier can now have 10 characters, and a minimum of 3 characters. The TagResource API action can now return ServiceQuotaExceededException.
* api-change:``iotwireless``: Mark EutranCid under LteNmr optional.
* bugfix:dependency: Relax symlink verification when building MacOS executables
* api-change:``ssm``: This release adds the AvailableSecurityUpdatesComplianceStatus field to patch baseline operations, as well as the AvailableSecurityUpdateCount and InstancesWithAvailableSecurityUpdates to patch state operations. Applies to Windows Server managed nodes only.
* api-change:``qconnect``: Provides the correct value for supported model ID.


2.25.1
======

* api-change:``datazone``: Add support for overriding selection of default AWS IAM Identity Center instance as part of Amazon DataZone domain APIs.
* api-change:``sagemaker``: This release does the following: 1.) Adds DurationHours as a required field to the SearchTrainingPlanOfferings action in the SageMaker AI API; 2.) Adds support for G6e instance types for SageMaker AI inference optimization jobs.
* enhancement:Protocol: Adds support for the smithy-rpc-v2-cbor protocol.  If a service supports smithy-rpc-v2-cbor, this protocol will automatically be used.  For more information, see https://smithy.io/2.0/additional-specs/protocols/smithy-rpc-v2.html
* api-change:``route53-recovery-control-config``: Adds dual-stack (IPv4 and IPv6) endpoint support for route53-recovery-control-config operations, opt-in dual-stack addresses for cluster endpoints, and UpdateCluster API to update the network-type of clusters between IPv4 and dual-stack.
* api-change:``bedrock``: A CustomModelUnit(CMU) is an abstract view of the hardware utilization that Bedrock needs to host a a single copy of your custom imported model. Bedrock determines the number of CMUs that a model copy needs when you import the custom model. You can use CMUs to estimate the cost of Inference's.


2.25.0
======

* feature:Endpoints: Generate and use AWS-account-based endpoints for compatible services when the account ID is available. At launch, DynamoDB is the first and only compatible service. The new endpoint URL pattern will be ``https://<account-id>.ddb.<region>.amazonaws.com``. Additional services may be added in the future. See the documentation for details: https://docs.aws.amazon.com/sdkref/latest/guide/feature-account-endpoints.html
* enhancement:dependency: Upgrade pyinstaller from 5.13.2 to 6.11.1.
* api-change:``controlcatalog``: Add ExemptAssumeRoot parameter to adapt for new AWS AssumeRoot capability.
* api-change:``network-firewall``: You can now use flow operations to either flush or capture traffic monitored in your firewall's flow table.
* api-change:``bedrock``: With this release, Bedrock Evaluation will now support bring your own inference responses.
* enhancement:dependency: Set ``PYINSTALLER_RESET_ENVIRONMENT`` if not already set when starting child processes. This supports using the CLI as a credential process for itself.
* api-change:``mailmanager``: Amazon SES Mail Manager. Extended rule string and boolean expressions to support analysis in condition evaluation. Extended ingress point string expression to support analysis in condition evaluation
* api-change:``amplify``: Added appId field to Webhook responses


2.24.27
=======

* api-change:``mediaconnect``: This release adds support for NDI flow outputs in AWS Elemental MediaConnect. You can now send content from your MediaConnect transport streams directly to your NDI environment using the new NDI output type.
* api-change:``neptune-graph``: Update IAM Role ARN Validation to Support Role Paths
* api-change:``lambda``: Add Ruby 3.4 (ruby3.4) support to AWS Lambda.
* api-change:``bedrock``: Support custom prompt routers for evaluation jobs
* api-change:``ec2``: Doc-only updates for EC2 for March 2025.
* api-change:``sagemaker``: Added support for g6, g6e, m6i, c6i instance types in SageMaker Processing Jobs.


2.24.26
=======

* api-change:``mediaconvert``: This release adds support for AVC passthrough, the ability to specify PTS offset without padding, and an A/V segment matching feature.
* api-change:``route53``: Amazon Route 53 now supports the iso-f regions for private DNS Amazon VPCs and cloudwatch healthchecks.
* api-change:``appsync``: Providing Tagging support for DomainName in AppSync
* api-change:``cleanrooms``: This release adds support for PySpark jobs. Customers can now analyze data by running jobs using approved PySpark analysis templates.


2.24.25
=======

* api-change:``wafv2``: AWS WAF now lets you inspect fragments of request URIs. You can specify the scope of the URI to inspect and narrow the set of URI fragments.
* api-change:``geo-maps``: Provide support for vector map styles in the GetStaticMap operation.
* api-change:``application-signals``: This release adds support for adding, removing, and listing SLO time exclusion windows with the BatchUpdateExclusionWindows and ListServiceLevelObjectiveExclusionWindows APIs.
* api-change:``rum``: CloudWatch RUM now supports unminification of JS error stack traces.
* api-change:``taxsettings``: Adjust Vietnam PaymentVoucherNumber regex and minor API change.


2.24.24
=======

* api-change:``lakeformation``: This release added "condition" to LakeFormation OptIn APIs, also added WithPrivilegedAccess flag to RegisterResource and DescribeResource.
* api-change:``cognito-idp``: Minor description updates to API parameters
* api-change:``glue``: This release added AllowFullTableExternalDataAccess to glue catalog resource.
* api-change:``cognito-identity``: Updated API model build artifacts for identity pools
* bugfix:parser: Fixes bug when trying to parse an integer in the `code` part of the response body.


2.24.23
=======

* api-change:``s3control``: Updating GetDataAccess response for S3 Access Grants to include the matched Grantee for the requested prefix
* api-change:``logs``: Updated CreateLogAnomalyDetector to accept only kms key arn
* api-change:``amplify``: Introduced support for Skew Protection. Added enableSkewProtection field to createBranch and updateBranch API.
* api-change:``acm-pca``: Private Certificate Authority service now supports P521 and RSA3072 key algorithms.
* api-change:``ivs-realtime``: IVS Real-Time now offers customers the ability to adjust the participant & composition recording segment duration
* enhancement:parsers: Minor Parser updates to support the new smithy-generated protocol tests.
* api-change:``codebuild``: AWS CodeBuild now supports webhook filtering by organization name
* api-change:``ec2``: This release changes the CreateLaunchTemplate, CreateLaunchTemplateVersion, ModifyLaunchTemplate CLI and SDKs such that if you do not specify a client token, a randomly generated token is used for the request to ensure idempotency.
* enhancement:parsers: Adds support for parsing int/long types in rest-json response headers.
* api-change:``mediapackagev2``: This release adds the ResetChannelState and ResetOriginEndpointState operation to reset MediaPackage V2 channel and origin endpoint. This release also adds a new field, UrlEncodeChildManifest, for HLS/LL-HLS to allow URL-encoding child manifest query string based on the requirements of AWS SigV4.
* api-change:``dynamodb``: Generate account endpoints for DynamoDB requests using ARN-sourced account ID when available
* api-change:``datazone``: This release adds support to update projects and environments


2.24.22
=======

* api-change:``ec2``: This release adds the GroupLongName field to the response of the DescribeAvailabilityZones API.
* api-change:``medialive``: Add an enum option DISABLED for Output Locking Mode under Global Configuration.
* api-change:``ecr``: This release adds Amazon ECR to Amazon ECR pull through cache rules support.
* api-change:``ecs``: This is a documentation only update for Amazon ECS to address various tickets.
* api-change:``inspector2``: Adding componentArn to network reachability details


2.24.21
=======

* api-change:``ce``: Releasing minor partition endpoint updates.
* api-change:``bedrock-agent-runtime``: Add support for computer use tools
* api-change:``connect``: Add support for contact transfers in external voice systems.
* api-change:``pca-connector-ad``: PrivateCA Connector for Active Directory now supports dual stack endpoints. This release adds the IpAddressType option to the VpcInformation on a Connector which determines whether the endpoint supports IPv4 only or IPv4 and IPv6 traffic.
* api-change:``timestream-influxdb``: This release updates the default value of pprof-disabled from false to true.
* api-change:``medialive``: Adds defaultFontSize and defaultLineHeight as options in the EbuTtDDestinationSettings within the caption descriptions for an output stream.
* api-change:``bedrock-agent``: Add support for computer use tools
* api-change:``securityhub``: This release adds new StandardsControlsUpdatable field to the StandardsSubscription resource


2.24.20
=======

* api-change:``neptune-graph``: Several small updates to resolve customer requests.
* api-change:``cloudfront``: Documentation updates for Amazon CloudFront.
* api-change:``bedrock-agent``: Introduces support for Neptune Analytics as a vector data store and adds Context Enrichment Configurations, enabling use cases such as GraphRAG.
* api-change:``ec2``: Add serviceManaged field to DescribeAddresses API response.
* api-change:``elbv2``: This release adds support for assigning IP addresses to Application Load Balancers from VPC IP Address Manager pools.
* api-change:``bedrock-agent-runtime``: Support Multi Agent Collaboration within Inline Agents


2.24.19
=======

* api-change:``wafv2``: You can now perform an exact match or rate limit aggregation against the web request's JA4 fingerprint.
* api-change:``bedrock``: This releases adds support for Custom Prompt Router
* api-change:``workspaces``: Added a new ModifyEndpointEncryptionMode API for managing endpoint encryption settings.
* api-change:``ivs-realtime``: IVS Real-Time now offers customers the ability to merge fragmented recordings in the event of a participant disconnect.
* api-change:``networkflowmonitor``: This release contains 2 changes. 1: DeleteScope/GetScope/UpdateScope operations now return 404 instead of 500 when the resource does not exist. 2: Expected string format for clientToken fields of CreateMonitorInput/CreateScopeInput/UpdateMonitorInput have been updated to be an UUID based string.
* api-change:``redshift-data``: This release adds support for ListStatements API to filter statements by ClusterIdentifier, WorkgroupName, and Database.
* api-change:``cloudtrail``: Doc-only update for CloudTrail.


2.24.18
=======

* api-change:``iotfleetwise``: This release adds floating point support for CAN/OBD signals and adds support for signed OBD signals.
* api-change:``datasync``: AWS DataSync now supports modifying ServerHostname while updating locations SMB, NFS, and ObjectStorage.
* api-change:``workspaces``: Added DeviceTypeWorkSpacesThinClient type to allow users to access their WorkSpaces through a WorkSpaces Thin Client.
* api-change:``gameliftstreams``: New Service: Amazon GameLift Streams delivers low-latency game streaming from AWS global infrastructure to virtually any device with a browser at up to 1080p resolution and 60 fps.
* api-change:``bedrock-runtime``: This releases adds support for Custom Prompt Router ARN


2.24.17
=======

* api-change:``iotsitewise``: AWS IoT SiteWise now supports MQTT-enabled, V3 gateways. Configure data destinations for real-time ingestion into AWS IoT SiteWise or buffered ingestion using Amazon S3 storage. You can also use path filters for precise data collection from specific MQTT topics.
* api-change:``elasticache``: Doc only update, listing 'valkey7' and 'valkey8' as engine options for parameter groups.
* api-change:``rds``: Note support for Database Insights for Amazon RDS.
* enhancement:useragent: Update user agent string to include client feature use.
* api-change:``iot-managed-integrations``: Adding managed integrations APIs for IoT Device Management to setup and control devices across different manufacturers and connectivity protocols. APIs include managedthing operations, credential and provisioning profile management, notification configuration, and OTA update.


2.24.16
=======

* enhancement:configuration: Add support for disabling host prefix injection via the ``AWS_DISABLE_HOST_PREFIX_INJECTION`` environment variable or the ``disable_host_prefix_injection`` parameter in the shared aws configuration file.
* api-change:``sagemaker``: Add DomainId to CreateDomainResponse
* api-change:``qbusiness``: Adds support for the ingestion of audio and video files by Q Business, which can be configured with the mediaExtractionConfiguration parameter.
* api-change:``cognito-idp``: Added the capacity to return available challenges in admin authentication and to set version 3 of the pre token generation event for M2M ATC.
* bugfix:``awscrt``: Fix urlencoding issues for request signing with the awscrt.
* api-change:``rum``: Add support for PutResourcePolicy, GetResourcePolicy and DeleteResourcePolicy to support resource based policies for AWS CloudWatch RUM
* api-change:``transcribe``: Updating documentation for post call analytics job queueing.
* api-change:``ec2``: Update the DescribeVpcs response


2.24.15
=======

* api-change:``pricing``: Update GetProducts and DescribeServices API request input validations.
* api-change:``bedrock-data-automation``: Renamed and added new StandardConfiguration enums. Added support to update EncryptionConfiguration in UpdateBlueprint and UpdateDataAutomation APIs. Changed HttpStatus code for DeleteBlueprint and DeleteDataAutomationProject APIs to 200 from 204. Added APIs to support tagging.
* api-change:``dms``: Add skipped status to the Result Statistics of an Assessment Run
* api-change:``ssm``: Systems Manager doc-only updates for Feb. 2025.
* api-change:``bedrock-data-automation-runtime``: Added a mandatory parameter DataAutomationProfileArn to support for cross region inference for InvokeDataAutomationAsync API. Renamed DataAutomationArn to DataAutomationProjectArn. Added APIs to support tagging.
* api-change:``eks``: Adding licenses to EKS Anywhere Subscription operations response.
* bugfix:dependency: Revert PyInstaller from 6.11.1 back to 5.13.2 due to `#9331 <https://github.com/aws/aws-cli/issues/9331>`__.
* api-change:``bedrock-agent``: This release lets Amazon Bedrock Flows support newer models by increasing the maximum length of output in a prompt configuration. This release also increases the maximum number of prompt variables to 20 and the maximum number of node inputs to 20.
* api-change:``mediaconvert``: The AWS MediaConvert Probe API allows you to analyze media files and retrieve detailed metadata about their content, format, and structure.


2.24.14
=======

* api-change:``emr``: Definition update for EbsConfiguration.
* api-change:``storagegateway``: This release adds support to invoke a process that cleans the specified file share's cache of file entries that are failing upload to Amazon S3.
* api-change:``qbusiness``: This release supports deleting attachments from conversations.
* enhancement:dependency: Upgrade pyinstaller from 5.13.2 to 6.11.1.
* enhancement:encoding: Adds support for the ``AWS_CLI_OUTPUT_ENCODING`` environment variable, which can be used to override the locale's preferred encoding when the CLI is writing output.
* api-change:``bedrock-agent-runtime``: Introduces Sessions (preview) to enable stateful conversations in GenAI applications.
* api-change:``redshift-serverless``: Add track support for Redshift Serverless workgroup.
* api-change:``sagemaker``: SageMaker HubService is introducing support for creating Training Jobs in Curated Hub (Private Hub). Additionally, it is introducing two new APIs: UpdateHubContent and UpdateHubContentReference.


2.24.13
=======

* api-change:``cloudfront``: Documentation update for VPC origin config.
* api-change:``oam``: This release adds support for sharing AWS::ApplicationSignals::Service and AWS::ApplicationSignals::ServiceLevelObjective resources.
* enhancement:configure: Clarify prompt titles and default values in the ``aws configure sso`` wizard
* api-change:``iotfleetwise``: This release adds an optional listResponseScope request parameter in certain list API requests to limit the response to metadata only.
* api-change:``chime``: Removes the Amazon Chime SDK APIs from the "chime" namespace.  Amazon Chime SDK APIs continue to be available in the AWS SDK via the dedicated Amazon Chime SDK namespaces: chime-sdk-identity, chime-sdk-mediapipelines, chime-sdk-meetings, chime-sdk-messaging, and chime-sdk-voice.
* api-change:``batch``: AWS Batch: Resource Aware Scheduling feature support
* api-change:``sagemaker``: AWS SageMaker InferenceComponents now support rolling update deployments for Inference Components.
* api-change:``ec2``: Amazon EC2 Fleet customers can now override the Block Device Mapping specified in the Launch Template when creating a new Fleet request, saving the effort of creating and associating new Launch Templates to customize the Block Device Mapping.
* api-change:``application-signals``: This release adds API support for reading Service Level Objectives and Services from monitoring accounts, from SLO and Service-scoped operations, including ListServices and ListServiceLevelObjectives.


2.24.12
=======

* api-change:``iot``: AWS IoT - AWS IoT Device Defender adds support for a new Device Defender Audit Check that monitors device certificate age and custom threshold configurations for both the new device certificate age check and existing device certificate expiry check.
* api-change:``codebuild``: Adding "reportArns" field in output of BatchGetBuildBatches API. "reportArns" is an array that contains the ARNs of reports created by merging reports from builds associated with the batch build.
* api-change:``devicefarm``: Add an optional configuration to the ScheduleRun and CreateRemoteAccessSession API to set a device level http/s proxy.
* enhancement:openssl: Update bundled OpenSSL version to 1.1.1zb for Linux installers
* api-change:``taxsettings``: PutTaxRegistration API changes for Egypt, Greece, Vietnam countries
* api-change:``ec2``: Adds support for time-based EBS-backed AMI copy operations. Time-based copy ensures that EBS-backed AMIs are copied within and across Regions in a specified timeframe.


2.24.11
=======

* api-change:``elasticache``: Documentation update, adding clarity and rephrasing.
* api-change:``bedrock-runtime``: This release adds Reasoning Content support to Converse and ConverseStream APIs
* api-change:``bedrock-agent``: This release improves support for newer models in Amazon Bedrock Flows.
* api-change:``bedrock-agent-runtime``: Adding support for ReasoningContent fields in Pre-Processing, Post-Processing and Orchestration Trace outputs.
* api-change:``elastic-inference``: The elastic-inference client has been removed following the deprecation of the service.


2.24.10
=======

* api-change:``bedrock-agent``: Introduce a new parameter which represents the user-agent header value used by the Bedrock Knowledge Base Web Connector.
* enhancement:Python: Update bundled Python interpreter version to 3.12.9
* api-change:``appstream``: Added support for Certificate-Based Authentication on AppStream 2.0 multi-session fleets.


2.24.9
======

* api-change:``rds``: CloudWatch Database Insights now supports Amazon RDS.
* api-change:``workspaces-web``: Add support for toolbar configuration under user settings.
* api-change:``codebuild``: Add webhook status and status message to AWS CodeBuild webhooks
* api-change:``sagemaker``: Added new capability in the UpdateCluster operation to remove instance groups from your SageMaker HyperPod cluster.
* api-change:``license-manager-user-subscriptions``: Updates entity to include Microsoft RDS SAL as a valid type of user subscription.
* api-change:``guardduty``: Reduce the minimum number of required attack sequence signals from 2 to 1


2.24.8
======

* api-change:``location``: Adds support for larger property maps for tracking and geofence positions changes. It increases the maximum number of items from 3 to 4, and the maximum value length from 40 to 150.
* api-change:``network-firewall``: This release introduces Network Firewall's Automated Domain List feature. New APIs include UpdateFirewallAnalysisSettings, StartAnalysisReport, GetAnalysisReportResults, and ListAnalysisReports. These allow customers to enable analysis on firewalls to identify and report frequently accessed domain.
* api-change:``sesv2``: This release adds the ability for outbound email sent with SES to preserve emails to a Mail Manager archive.
* api-change:``ecs``: This is a documentation only release for Amazon ECS that supports the CPU task limit increase.
* api-change:``lightsail``: Documentation updates for Amazon Lightsail.
* api-change:``sagemaker``: Adds r8g instance type support to SageMaker Realtime Endpoints
* api-change:``mailmanager``: This release adds additional metadata fields in Mail Manager archive searches to show email source and details about emails that were archived when being sent with SES.
* api-change:``codepipeline``: Add environment variables to codepipeline action declaration.


2.24.7
======

* enhancement:protocols: Added support for multiple protocols within a service based on performance priority.
* api-change:``batch``: This documentation-only update corrects some typos.
* api-change:``medialive``: Adds support for creating CloudWatchAlarmTemplates for AWS Elemental MediaTailor Playback Configuration resources.
* api-change:``emr-containers``: EMR on EKS StartJobRun Api will be supporting the configuration of log storage in AWS by using "managedLogs" under "MonitoringConfiguration".
* enhancement:protocol: The CLI no longer validates payload size for event streams. This is to facilitate varying payload requirements across AWS services.


2.24.6
======

* api-change:``dms``: Support replicationConfigArn in DMS DescribeApplicableIndividualAssessments API.
* api-change:``timestream-influxdb``: This release introduces APIs to manage DbClusters and adds support for read replicas
* api-change:``amplify``: Add ComputeRoleArn to CreateApp, UpdateApp, CreateBranch, and UpdateBranch, allowing caller to specify a role to be assumed by Amplify Hosting for server-side rendered applications.


2.24.5
======

* api-change:``codebuild``: Added test suite names to test case metadata
* api-change:``connect``: Release Notes: 1) Analytics API enhancements: Added new ListAnalyticsDataLakeDataSets API. 2)  Onboarding API Idempotency: Adds ClientToken to instance creation and management APIs to support idempotency.
* api-change:``workspaces-thin-client``: Update Environment and Device name field definitions
* api-change:``rds-data``: Add support for Stop DB feature.
* api-change:``dms``: Introduces premigration assessment feature to DMS Serverless API for start-replication and describe-replications
* api-change:``s3``: Added support for Content-Range header in HeadObject response.
* api-change:``wafv2``: The WAFv2 API now supports configuring data protection in webACLs.


2.24.4
======

* api-change:``acm-pca``: Private Certificate Authority (PCA) documentation updates
* api-change:``ecs``: This is a documentation only release to support migrating Amazon ECS service ARNs to the long ARN format.
* api-change:``sagemaker``: Adds additional values to the InferenceAmiVersion parameter in the ProductionVariant data type.
* api-change:``fis``: Adds auto-pagination for the following operations: ListActions, ListExperimentTemplates, ListTargetAccountConfigurations, ListExperiments, ListExperimentResolvedTargets, ListTargetResourceTypes. Reduces length constraints of prefixes for logConfiguration and experimentReportConfiguration.
* api-change:``accessanalyzer``: This release introduces the getFindingsStatistics API, enabling users to retrieve aggregated finding statistics for IAM Access Analyzer's external access and unused access analysis features. Updated service API and documentation.
* api-change:``storagegateway``: This release adds support for generating cache reports on S3 File Gateways for files that fail to upload.


2.24.3
======

* api-change:``fsx``: Support for in-place Lustre version upgrades
* api-change:``b2bi``: Allow spaces in the following fields in the Partnership resource: ISA 06 - Sender ID, ISA 08 - Receiver ID, GS 02 - Application Sender Code, GS 03 - Application Receiver Code
* api-change:``polly``: Added support for the new voice - Jasmine (en-SG). Jasmine is available as a Neural voice only.
* api-change:``bedrock-agent-runtime``: This releases adds the additionalModelRequestFields field to the InvokeInlineAgent operation. Use additionalModelRequestFields to specify  additional inference parameters for a model beyond the base inference parameters.
* api-change:``bedrock-agent``: This releases adds the additionalModelRequestFields field to the CreateAgent and UpdateAgent operations. Use additionalModelRequestFields to specify  additional inference parameters for a model beyond the base inference parameters.
* api-change:``opensearchserverless``: Custom OpenSearchServerless Entity ID for SAML Config.
* api-change:``codebuild``: Add note for the RUNNER_BUILDKITE_BUILD buildType.
* api-change:``medialive``: Adds a RequestId parameter to all MediaLive Workflow Monitor create operations.  The RequestId parameter allows idempotent operations.


2.24.2
======

* api-change:``pi``: Documentation only update for RDS Performance Insights dimensions for execution plans and locking analysis.
* api-change:``acm-pca``: Private Certificate Authority service now supports Partitioned CRL as a revocation configuration option.
* api-change:``appsync``: Add support for operation level caching
* api-change:``ec2``: Adding support for the new fullSnapshotSizeInBytes field in the response of the EC2 EBS DescribeSnapshots API. This field represents the size of all the blocks that were written to the source volume at the time the snapshot was created.


2.24.1
======

* api-change:``connect``: Updated the CreateContact API documentation to indicate that it only applies to EMAIL contacts.
* api-change:``apigatewayv2``: Documentation updates for Amazon API Gateway
* api-change:``cloudfront``: Doc-only update that adds defaults for CloudFront VpcOriginEndpointConfig values.
* api-change:``dms``: New vendors for DMS Data Providers: DB2 LUW and DB2 for z/OS


2.24.0
======

* api-change:``ecr``: Adds support to handle the new basic scanning daily quota.
* api-change:``pi``: Adds documentation for dimension groups and dimensions to analyze locks for Database Insights.
* api-change:``eks``: Introduce versionStatus field to take place of status field in EKS DescribeClusterVersions API
* api-change:``transcribe``: This release adds support for the Clinical Note Template Customization feature for the AWS HealthScribe APIs within Amazon Transcribe.
* feature:``emr-containers``: Add custom ``create-role-associations`` and ``delete-role-associations`` commands to create/delete role associations for EMR service accounts and provided IAM role.
* api-change:``mediaconvert``: This release adds support for Animated GIF output, forced chroma sample positioning metadata, and Extensible Wave Container format


2.23.15
=======

* api-change:``cost-optimization-hub``: This release enables AWS Cost Optimization Hub to show cost optimization recommendations for Amazon Auto Scaling Groups, including those with single and mixed instance types.
* api-change:``s3``: Updated list of the valid AWS Region values for the LocationConstraint parameter for general purpose buckets.
* api-change:``connectcases``: This release adds the ability to conditionally require fields on a template. Check public documentation for more information.
* api-change:``cloudformation``: We added 5 new stack refactoring APIs: CreateStackRefactor, ExecuteStackRefactor, ListStackRefactors, DescribeStackRefactor, ListStackRefactorActions.


2.23.14
=======

* api-change:``rds``: Documentation updates to clarify the description for the parameter AllocatedStorage for the DB cluster data type, the description for the parameter DeleteAutomatedBackups for the DeleteDBCluster API operation, and removing an outdated note for the CreateDBParameterGroup API operation.


2.23.13
=======

* api-change:``neptune-graph``: Added argument to `list-export` to filter by graph ID
* api-change:``iam``: This release adds support for accepting encrypted SAML assertions. Customers can now configure their identity provider to encrypt the SAML assertions it sends to IAM.
* api-change:``qbusiness``: Adds functionality to enable/disable a new Q Business Chat orchestration feature. If enabled, Q Business can orchestrate over datasources and plugins without the need for customers to select specific chat modes.
* api-change:``sagemaker``: IPv6 support for Hyperpod clusters
* api-change:``dms``: Introduces TargetDataSettings with the TablePreparationMode option available for data migrations.
* api-change:``datasync``: Doc-only update to provide more information on using Kerberos authentication with SMB locations.


2.23.12
=======

* api-change:``mediatailor``: Add support for CloudWatch Vended Logs which allows for delivery of customer logs to CloudWatch Logs, S3, or Firehose.


2.23.11
=======

* api-change:``codebuild``: Added support for CodeBuild self-hosted Buildkite runner builds
* api-change:``rds``: Updates to Aurora MySQL and Aurora PostgreSQL API pages with instance log type in the create and modify DB Cluster.
* api-change:``bedrock-agent-runtime``: This change is to deprecate the existing citation field under RetrieveAndGenerateStream API response in lieu of GeneratedResponsePart and RetrievedReferences
* api-change:``amp``: Add support for sending metrics to cross account and CMCK AMP workspaces through RoleConfiguration on Create/Update Scraper.
* api-change:``geo-routes``: The OptimizeWaypoints API now supports 50 waypoints per request (20 with constraints like AccessHours or AppointmentTime). It adds waypoint clustering via Clustering and ClusteringIndex for better optimization. Also, total distance validation is removed for greater flexibility.
* api-change:``sagemaker``: This release introduces a new valid value in InstanceType parameter: p5en.48xlarge, in ProductionVariant.


2.23.10
=======

* enhancement:awscrt: Update awscrt version requirement to 0.23.8
* api-change:``ecr-public``: Temporarily updating dualstack endpoint support
* api-change:``s3tables``: You can now use the CreateTable API operation to create tables with schemas by adding an optional metadata argument.
* api-change:``ecr``: Temporarily updating dualstack endpoint support
* api-change:``mediatailor``: Adds options for configuring how MediaTailor conditions ads before inserting them into the content stream. Based on the new settings, MediaTailor will either transcode ads to match the content stream as it has in the past, or it will insert ads without first transcoding them.
* api-change:``bedrock-agent-runtime``: Add a 'reason' field to InternalServerException
* api-change:``qbusiness``: Added APIs to manage QBusiness user subscriptions
* api-change:``appstream``: Add support for managing admin consent requirement on selected domains for OneDrive Storage Connectors in AppStream2.0.
* api-change:``verifiedpermissions``: Adds Cedar JSON format support for entities and context data in authorization requests


2.23.9
======

* api-change:``ecr``: Add support for Dualstack and Dualstack-with-FIPS Endpoints
* api-change:``bcm-pricing-calculator``: Added ConflictException error type in DeleteBillScenario, BatchDeleteBillScenarioCommitmentModification, BatchDeleteBillScenarioUsageModification, BatchUpdateBillScenarioUsageModification, and BatchUpdateBillScenarioCommitmentModification API operations.
* api-change:``ecr-public``: Add support for Dualstack Endpoints
* api-change:``s3``: Change the type of MpuObjectSize in CompleteMultipartUploadRequest from int to long.
* api-change:``mailmanager``: This release includes a new feature for Amazon SES Mail Manager which allows customers to specify known addresses and domains and make use of those in traffic policies and rules actions to distinguish between known and unknown entries.


2.23.8
======

* api-change:``firehose``: For AppendOnly streams, Firehose will automatically scale to match your throughput.
* api-change:``deadline``: feature: Deadline: Add support for limiting the concurrent usage of external resources, like floating licenses, using limits and the ability to constrain the maximum number of workers that work on a job
* api-change:``appsync``: Add stash and outErrors to EvaluateCode/EvaluateMappingTemplate response
* api-change:``ec2``: This release changes the CreateFleet CLI and SDK's such that if you do not specify a client token, a randomly generated token is used for the request to ensure idempotency.
* api-change:``timestream-influxdb``: Adds 'allocatedStorage' parameter to UpdateDbInstance API that allows increasing the database instance storage size and 'dbStorageType' parameter to UpdateDbInstance API that allows changing the storage type of the database instance
* api-change:``datasync``: AWS DataSync now supports the Kerberos authentication protocol for SMB locations.


2.23.7
======

* api-change:``iot``: Raised the documentParameters size limit to 30 KB for AWS IoT Device Management - Jobs.
* api-change:``mediaconvert``: This release adds support for dynamic audio configuration and the ability to disable the deblocking filter for h265 encodes.
* bugfix:Signing: No longer sign transfer-encoding header for SigV4
* api-change:``bedrock-agent``: Add support for the prompt caching feature for Bedrock Prompt Management
* api-change:``s3control``: Minor fix to ARN validation for Lambda functions passed to S3 Batch Operations


2.23.6
======

* api-change:``sso-oidc``: Fixed typos in the descriptions.
* api-change:``healthlake``: Added new authorization strategy value 'SMART_ON_FHIR' for CreateFHIRDatastore API to support Smart App 2.0
* api-change:``cloudtrail``: This release introduces the SearchSampleQueries API that allows users to search for CloudTrail Lake sample queries.
* api-change:``eks``: Adds support for UpdateStrategies in EKS Managed Node Groups.
* api-change:``ssm``: Systems Manager doc-only update for January, 2025.
* api-change:``transfer``: Added CustomDirectories as a new directory option for storing inbound AS2 messages, MDN files and Status files.


2.23.5
======

* api-change:``ec2``: Added "future" allocation type for future dated capacity reservation


2.23.4
======

* api-change:``workspaces-thin-client``: Rename WorkSpaces Web to WorkSpaces Secure Browser
* api-change:``bedrock-agent-runtime``: Adds multi-turn input support for an Agent node in an Amazon Bedrock Flow
* api-change:``medialive``: AWS Elemental MediaLive adds a new feature, ID3 segment tagging, in CMAF Ingest output groups. It allows customers to insert ID3 tags into every output segment, controlled by a newly added channel schedule action Id3SegmentTagging.
* api-change:``glue``: Docs Update for timeout changes


2.23.3
======

* api-change:``quicksight``: Added `DigitGroupingStyle` in ThousandsSeparator to allow grouping by `LAKH`( Indian Grouping system ) currency. Support LAKH and `CRORE` currency types in Column Formatting.
* api-change:``connect``: Added DeleteContactFlowVersion API and the CAMPAIGN flow type
* api-change:``batch``: Documentation-only update: clarified the description of the shareDecaySeconds parameter of the FairsharePolicy data type, clarified the description of the priority parameter of the JobQueueDetail data type.
* api-change:``cognito-idp``: corrects the dual-stack endpoint configuration for cognitoidp
* api-change:``iotsitewise``: AWS IoT SiteWise now supports ingestion and querying of Null (all data types) and NaN (double type) values of bad or uncertain data quality. New partial error handling prevents data loss during ingestion. Enabled by default for new customers; existing customers can opt-in.
* api-change:``logs``: Documentation-only update to address doc errors
* api-change:``sns``: This release adds support for the topic attribute FifoThroughputScope for SNS FIFO topics. For details, see the documentation history in the Amazon Simple Notification Service Developer Guide.
* api-change:``emr-serverless``: Increasing entryPoint in SparkSubmit to accept longer script paths. New limit is 4kb.


2.23.2
======

* api-change:``bedrock-runtime``: Allow hyphens in tool name for Converse and ConverseStream APIs
* api-change:``sagemaker``: Correction of docs for  "Added support for ml.trn1.32xlarge instance type in Reserved Capacity Offering"
* api-change:``notifications``: Added support for Managed Notifications, integration with AWS Organization and added aggregation summaries for Aggregate Notifications
* api-change:``detective``: Doc only update for Detective documentation.
* api-change:``ec2``: Release u7i-6tb.112xlarge, u7i-8tb.112xlarge, u7inh-32tb.480xlarge, p5e.48xlarge, p5en.48xlarge, f2.12xlarge, f2.48xlarge, trn2.48xlarge instance types.


2.23.1
======

* api-change:``ecs``: The release addresses Amazon ECS documentation tickets.
* api-change:``sagemaker``: Added support for ml.trn1.32xlarge instance type in Reserved Capacity Offering


2.23.0
======

* api-change:``apigateway``: Documentation updates for Amazon API Gateway
* api-change:``workspaces-thin-client``: Mark type in MaintenanceWindow as required.
* api-change:``workspaces``: Added GeneralPurpose.4xlarge & GeneralPurpose.8xlarge ComputeTypes.
* api-change:``security-ir``: Increase minimum length of Threat Actor IP 'userAgent' to 1.
* api-change:``cognito-identity``: corrects the dual-stack endpoint configuration
* feature:``s3``: The S3 client attempts to validate response checksums for all S3 API operations that support checksums. However, if the SDK has not implemented the specified checksum algorithm then this validation is skipped. Checksum validation behavior can be configured using the ``when_supported`` and ``when_required`` options - in the shared AWS config file using ``response_checksum_validation``, and as an env variable using ``AWS_RESPONSE_CHECKSUM_VALIDATION``.
* feature:``s3``: S3 client behavior is updated to always calculate CRC64NVME checksum by default for operations that support it, such as PutObject or UploadPart, or require it, such as DeleteObjects. Checksum behavior can be configured using the ``when_supported`` and ``when_required`` options - in the shared AWS config file using ``request_checksum_calculation`` and as an env variable using ``AWS_REQUEST_CHECKSUM_CALCULATION``. Note: AWS CLI will no longer automatically compute and populate the Content-MD5 header.
* api-change:``sesv2``: This release introduces a new recommendation in Virtual Deliverability Manager Advisor, which detects elevated complaint rates for customer sending identities.
* api-change:``s3``: This change enhances integrity protections for new SDK requests to S3. S3 SDKs now support the CRC64NVME checksum algorithm, full object checksums for multipart S3 objects, and new default integrity protections for S3 requests.
* feature:``s3``: Added support for the CRC64NVME checksum algorithm in the S3 CRT-based client.
* api-change:``bedrock-agent-runtime``: Now supports streaming for inline agents.
* api-change:``partnercentral-selling``: Add Tagging support for ResourceSnapshotJob resources


2.22.35
=======

* api-change:``route53``: Amazon Route 53 now supports the Mexico (Central) Region (mx-central-1) for latency records, geoproximity records, and private DNS for Amazon VPCs in that region
* api-change:``gamelift``: Amazon GameLift releases a new game session placement feature: PriorityConfigurationOverride. You can now override how a game session queue prioritizes placement locations for a single StartGameSessionPlacement request.


2.22.34
=======

* api-change:``ec2``: Add support for DisconnectOnSessionTimeout flag in CreateClientVpnEndpoint and ModifyClientVpnEndpoint requests and DescribeClientVpnEndpoints responses
* api-change:``bedrock``: With this release, Bedrock Evaluation will now support latency-optimized inference for foundation models.
* api-change:``kafkaconnect``: Support updating connector configuration via UpdateConnector API. Release Operations API to monitor the status of the connector operation.
* api-change:``artifact``: Support resolving regional API calls to partition's leader region endpoint.
* api-change:``transcribe``: This update provides tagging support for Transcribe's Call Analytics Jobs and Call Analytics Categories.


2.22.33
=======

* api-change:``sts``: Fixed typos in the descriptions.
* api-change:``redshift``: Additions to the PubliclyAccessible and Encrypted parameters clarifying what the defaults are.
* api-change:``securitylake``: Doc only update for ServiceName that fixes several customer-reported issues


2.22.32
=======

* api-change:``codebuild``: AWS CodeBuild Now Supports BuildBatch in Reserved Capacity and Lambda
* api-change:``compute-optimizer``: This release expands AWS Compute Optimizer rightsizing recommendation support for Amazon EC2 Auto Scaling groups to include those with scaling policies and multiple instance types.
* api-change:``fms``: AWS Firewall Manager now lets you combine multiple resource tags using the logical AND operator or the logical OR operator.


2.22.31
=======

* api-change:``sagemaker``: Adds support for IPv6 for SageMaker HyperPod cluster nodes.
* api-change:``route53``: Amazon Route 53 now supports the Asia Pacific (Thailand) Region (ap-southeast-7) for latency records, geoproximity records, and private DNS for Amazon VPCs in that region
* api-change:``rds``: Updates Amazon RDS documentation to clarify the RestoreDBClusterToPointInTime description.


2.22.30
=======

* enhancement:``s3 ls``: Expose low-level ``ListBuckets` parameters ``Prefix`` and ``BucketRegion`` to high-level ``s3 ls`` command as ``--bucket-name-prefix`` and ``--bucket-region``.
* api-change:``dynamodb``: This release makes Amazon DynamoDB point-in-time-recovery (PITR) to be configurable. You can set PITR recovery period for each table individually to between 1 and 35 days.
* api-change:``imagebuilder``: This release adds support for importing images from ISO disk files. Added new ImportDiskImage API operation.
* api-change:``cloudhsmv2``: Adds support to ModifyCluster for modifying a Cluster's Hsm Type.


2.22.29
=======

* api-change:``supplychain``: Allow vanity DNS domain when creating a new ASC instance
* api-change:``iotsecuretunneling``: Adds dualstack endpoint support for IoT Secure Tunneling


2.22.28
=======

* api-change:``s3``: This change is only for updating the model regexp of CopySource which is not for validation but only for documentation and user guide change.
* api-change:``route53domains``: Doc only update for Route 53 Domains that fixes several customer-reported issues
* api-change:``ecs``: Adding SDK reference examples for Amazon ECS operations.


2.22.27
=======

* api-change:``appsync``: Modify UpdateGraphQLAPI operation and flag authenticationType as required.
* api-change:``organizations``: Added ALL_FEATURES_MIGRATION_ORGANIZATION_SIZE_LIMIT_EXCEEDED to ConstraintViolationException for the EnableAllFeatures operation.
* api-change:``sagemaker``: Adding ETag information with Model Artifacts for Model Registry
* api-change:``gamelift``: Amazon GameLift releases a new game session shutdown feature. Use the Amazon GameLift console or AWS CLI to terminate an in-progress game session that's entered a bad state or is no longer needed.
* api-change:``mediaconnect``: AWS Elemental MediaConnect now supports Content Quality Analysis for enhanced source stream monitoring. This enables you to track specific audio and video metrics in transport stream source flows, ensuring your content meets quality standards.
* api-change:``sqs``: In-flight message typo fix from 20k to 120k.
* api-change:``mediaconvert``: This release adds support for the AVC3 codec and fixes an alignment issue with Japanese vertical captions.


2.22.26
=======

* api-change:``ecr-public``: Restoring custom endpoint functionality for ECR Public
* api-change:``ecr``: Restoring custom endpoint functionality for ECR


2.22.25
=======

* api-change:``rds``: Updates Amazon RDS documentation to correct various descriptions.


2.22.24
=======

* api-change:``network-firewall``: Dual-stack endpoints are now supported.
* api-change:``bcm-pricing-calculator``: Added ConflictException to DeleteBillEstimate.
* api-change:``securityhub``: Documentation updates for AWS Security Hub
* api-change:``ecr``: Add support for Dualstack Endpoints


2.22.23
=======

* api-change:``ecr-public``: Add support for Dualstack endpoints
* api-change:``ecr``: Documentation update for ECR GetAccountSetting and PutAccountSetting APIs.
* api-change:``glue``: Add IncludeRoot parameters to GetCatalogs API to return root catalog.
* api-change:``eks``: This release adds support for DescribeClusterVersions API that provides important information about Kubernetes versions along with end of support dates


2.22.22
=======

* api-change:``connect``: This release supports adding NotAttributeCondition and Range to the RoutingCriteria object.
* api-change:``billing``: Added new API's for defining and fetching Billing Views.
* api-change:``ce``: Support for retrieving cost, usage, and forecast for billing view.
* enhancement:endpoints: Add support for ``stringArray`` parameters and the ``operationContextParams`` trait when resolving service endpoints.
* api-change:``sagemaker``: This release adds support for c6i, m6i and r6i instance on SageMaker Hyperpod and trn1 instances in batch
* api-change:``eks``: This release expands the catalog of upgrade insight checks
* api-change:``outposts``: Add CS8365C as a supported power connector for Outpost sites.
* api-change:``bedrock-agent``: Support for custom user agent and max web pages crawled for web connector. Support app only credentials for SharePoint connector. Increase agents memory duration limit to 365 days. Support to specify max number of session summaries to include in agent invocation context.
* api-change:``docdb``: Support AWS Secret Manager managed password for AWS DocumentDB instance-based cluster.
* api-change:``bedrock-data-automation``: Documentation update for Amazon Bedrock Data Automation
* api-change:``bedrock-data-automation-runtime``: Documentation update for Amazon Bedrock Data Automation Runtime
* api-change:``bedrock-agent-runtime``: bedrock agents now supports long term memory and performance configs. Invokeflow supports performance configs. RetrieveAndGenerate performance configs
* api-change:``macie2``: This release adds support for identifying S3 general purpose buckets that exceed the Amazon Macie quota for preventative control monitoring.


2.22.21
=======

* api-change:``workspaces``: Added AWS Global Accelerator (AGA) support for WorkSpaces Personal.
* api-change:``qconnect``: Amazon Q in Connect enables agents to ask Q for assistance in multiple languages and Q will provide answers and recommended step-by-step guides in those languages. Qs default language is English (United States) and you can switch this by setting the locale configuration on the AI Agent.
* api-change:``appstream``: Added support for Rocky Linux 8 on Amazon AppStream 2.0
* api-change:``mediaconvert``: This release adds support for inserting timecode tracks into MP4 container outputs.
* api-change:``ssm-sap``: AWS Systems Manager for SAP added support for registration and discovery of distributed ABAP applications
* api-change:``medialive``: MediaLive is releasing ListVersions api


2.22.20
=======

* api-change:``resiliencehub``: AWS Resilience Hub now automatically detects already configured CloudWatch alarms and FIS experiments as part of the assessment process and returns the discovered resources in the corresponding list API responses. It also allows you to include or exclude test recommendations for an AppComponent.
* enhancement:``ec2``: Replace cryptographic functions from ``cryptography`` with ``awscrt`` for the ``get-password-data`` command.
* api-change:``quicksight``: Add support for PerformanceConfiguration attribute to Dataset entity. Allow PerformanceConfiguration specification in CreateDataset and UpdateDataset APIs.
* api-change:``transfer``: Added AS2 agreement configurations to control filename preservation and message signing enforcement. Added AS2 connector configuration to preserve content type from S3 objects.
* api-change:``budgets``: Releasing minor partition endpoint updates
* api-change:``connect``: This release adds support for the UpdateParticipantAuthentication API used for customer authentication within Amazon Connect chats.
* enhancement:``cloudfront``: Replace cryptographic functions from ``cryptography`` with ``awscrt`` for the ``sign`` command.
* api-change:``datasync``: AWS DataSync introduces the ability to update attributes for in-cloud locations.
* api-change:``iot``: Release connectivity status query API which is a dedicated high throughput(TPS) API to query a specific device's most recent connectivity state and metadata.
* api-change:``amplify``: Added WAF Configuration to Amplify Apps
* enhancement:``cloudtrail``: Replace cryptographic functions from ``cryptography`` with ``awscrt`` for the ``validate-logs`` and ``verify-query-results`` commands.
* api-change:``connectparticipant``: This release adds support for the GetAuthenticationUrl and CancelParticipantAuthentication APIs used for customer authentication within Amazon Connect chats. There are also minor updates to the GetAttachment API.
* api-change:``mwaa``: Added support for Apache Airflow version 2.10.3 to MWAA.


2.22.19
=======

* api-change:``m2``: This release adds support for AWS Mainframe Modernization(M2) Service to allow specifying network type(ipv4, dual) for the environment instances. For dual network type, m2 environment applications will serve both IPv4 and IPv6 requests, whereas for ipv4 it will serve only IPv4 requests.
* api-change:``cloudfront``: Adds support for OriginReadTimeout and OriginKeepaliveTimeout to create CloudFront Distributions with VPC Origins.
* api-change:``batch``: This feature allows AWS Batch on Amazon EKS to support configuration of Pod Annotations, overriding Namespace on which the Batch job's Pod runs on, and allows Subpath and Persistent Volume claim to be set for AWS Batch on Amazon EKS jobs.
* api-change:``synthetics``: Add support to toggle outbound IPv6 traffic on canaries connected to dualstack subnets.  This behavior can be controlled via the new Ipv6AllowedForDualStack parameter of the VpcConfig input object in CreateCanary and UpdateCanary APIs.
* api-change:``cleanroomsml``: Add support for SQL compute configuration for StartAudienceGenerationJob API.
* api-change:``ecs``: Added support for enableFaultInjection task definition parameter which can be used to enable Fault Injection feature on ECS tasks.
* api-change:``backup``: Add Support for Backup Indexing
* api-change:``account``: Update endpoint configuration.
* api-change:``codepipeline``: AWS CodePipeline V2 type pipelines now support Managed Compute Rule.
* api-change:``backupsearch``: Add support for searching backups


2.22.18
=======

* api-change:``ec2``: This release adds support for EBS local snapshots in AWS Dedicated Local Zones, which allows you to store snapshots of EBS volumes locally in Dedicated Local Zones.
* api-change:``dlm``: This release adds support for Local Zones in Amazon Data Lifecycle Manager EBS snapshot lifecycle policies.
* api-change:``greengrassv2``: Add support for runtime in GetCoreDevice and ListCoreDevices APIs.
* api-change:``medialive``: AWS Elemental MediaLive adds three new features: MediaPackage v2 endpoint support for live stream delivery, KLV metadata passthrough in CMAF Ingest output groups, and Metadata Name Modifier in CMAF Ingest output groups for customizing metadata track names in output streams.
* api-change:``cloud9``: Added information about Ubuntu 18.04 will be removed from the available imageIds for Cloud9 because Ubuntu 18.04 has ended standard support on May 31, 2023.
* api-change:``rds``: This release adds support for the "MYSQL_CACHING_SHA2_PASSWORD" enum value for RDS Proxy ClientPasswordAuthType.


2.22.17
=======

* api-change:``mediaconnect``: AWS Elemental MediaConnect Gateway now supports Source Specific Multicast (SSM) for ingress bridges. This enables you to specify a source IP address in addition to a multicast IP when creating or updating an ingress bridge source.
* api-change:``networkmanager``: There was a sentence fragment in UpdateDirectConnectGatewayAttachment that was causing customer confusion as to whether it's an incomplete sentence or if it was a typo. Removed the fragment.
* api-change:``eks``: Add NodeRepairConfig in CreateNodegroupRequest and UpdateNodegroupConfigRequest
* api-change:``logs``: Limit PutIntegration IntegrationName and ListIntegrations IntegrationNamePrefix parameters to 50 characters
* api-change:``servicediscovery``: AWS Cloud Map now supports service-level attributes, allowing you to associate custom metadata directly with services. These attributes can be retrieved, updated, and deleted using the new GetServiceAttributes, UpdateServiceAttributes, and DeleteServiceAttributes API calls.
* api-change:``ec2``: This release adds GroupId to the response for DeleteSecurityGroup.
* api-change:``cloudhsmv2``: Add support for Dual-Stack hsm2m.medium clusters. The customers will now be able to create hsm2m.medium clusters having both IPv4 and IPv6 connection capabilities by specifying a new param called NetworkType=DUALSTACK during cluster creation.


2.22.16
=======

* api-change:``connect``: Configure holidays and other overrides to hours of operation in advance. During contact handling, Amazon Connect automatically checks for overrides and provides customers with an appropriate flow path. After an override period passes call center automatically reverts to standard hours of operation.
* api-change:``glue``: To support customer-managed encryption in Data Quality to allow customers encrypt data with their own KMS key, we will add a DataQualityEncryption field to the SecurityConfiguration API where customers can provide their KMS keys.
* api-change:``route53domains``: This release includes the following API updates: added the enumeration type RESTORE_DOMAIN to the OperationType; constrained the Price attribute to non-negative values; updated the LangCode to allow 2 or 3 alphabetical characters.
* enhancement:awscrt: Update awscrt version requirement to 0.23.4
* api-change:``dms``: Add parameters to support for kerberos authentication. Add parameter for disabling the Unicode source filter with PostgreSQL settings. Add parameter to use large integer value with Kinesis/Kafka settings.
* api-change:``guardduty``: Improved descriptions for certain APIs.


2.22.15
=======

* api-change:``cloudtrail``: Doc-only updates for CloudTrail.
* api-change:``cognito-idp``: Updated descriptions for some API operations and parameters, corrected some errors in Cognito user pools
* api-change:``artifact``: Add support for listing active customer agreements for the calling AWS Account.
* api-change:``timestream-influxdb``: Adds networkType parameter to CreateDbInstance API which allows IPv6 support to the InfluxDB endpoint
* api-change:``emr-serverless``: This release adds support for accessing system profile logs in Lake Formation-enabled jobs.
* api-change:``sesv2``: Introduces support for multi-region endpoint.
* api-change:``mgh``: API and documentation updates for AWS MigrationHub related to adding support for listing migration task updates and associating, disassociating and listing source resources
* api-change:``controlcatalog``: Minor documentation updates to the content of ImplementationDetails object part of the Control Catalog GetControl API


2.22.14
=======

* api-change:``sesv2``: Introduces support for creating DEED (Deterministic Easy-DKIM) identities.
* api-change:``finspace``: Update KxCommandLineArgument value parameter regex to allow for spaces and semicolons
* api-change:``application-autoscaling``: Doc only update for AAS Predictive Scaling policy configuration API.
* api-change:``connect``: Add support for Push Notifications for Amazon Connect chat. With Push Notifications enabled an alert could be sent to customers about new messages even when they aren't actively using the mobile application.
* api-change:``bcm-pricing-calculator``: Updated condition key inference from Workload Estimate, Bill Scenario, and Bill Estimate resources. Updated documentation links.
* api-change:``ivs-realtime``: IVS Real-Time now offers customers the ability to customize thumbnails recording mode and interval for both Individual Participant Recording (IPR) and Server-Side Compositions (SSC).


2.22.13
=======

* api-change:``keyspaces``: Amazon Keyspaces: adding the list of IAM actions required by the UpdateKeyspace API.
* bugfix:``sso``: Support the ``--ca-bundle`` and ``--no-verify-ssl`` options on SSO commands.
* api-change:``appsync``: Provides description of new Amazon Bedrock runtime datasource.
* api-change:``ec2``: This release includes a new API for modifying instance network-performance-options after launch.
* api-change:``medialive``: H265 outputs now support disabling the deblocking filter.
* bugfix:``s3``: Follow ``IllegalLocationConstraintException`` redirects for ``s3``.
* api-change:``ecs``: This is a documentation only update to address various tickets for Amazon ECS.
* api-change:``cognito-idp``: Change `CustomDomainConfig` from a required to an optional parameter for the `UpdateUserPoolDomain` operation.
* api-change:``workspaces``: Added text to clarify case-sensitivity


2.22.12
=======

* api-change:``qbusiness``: This release removes the deprecated UserId and UserGroups fields from SearchRelevantContent api's request parameters.
* api-change:``partnercentral-selling``: Introducing the preview of new partner central selling APIs designed to transform how AWS partners collaborate and co-sell with multiple partners. This enables multiple partners to seamlessly engage and jointly pursue customer opportunities, fostering a new era of collaborative selling.


2.22.11
=======

* api-change:``bedrock``: Introduced two APIs ListPromptRouters and GetPromptRouter for Intelligent Prompt Router feature. Add support for Bedrock Guardrails image content filter. New Bedrock Marketplace feature enabling a wider range of bedrock compatible models with self-hosted capability.
* api-change:``kendra``: This release adds GenAI Index in Amazon Kendra for Retrieval Augmented Generation (RAG) and intelligent search. With the Kendra GenAI Index, customers get high retrieval accuracy powered by the latest information retrieval technologies and semantic models.
* api-change:``sagemaker``: Amazon SageMaker HyperPod launched task governance to help customers maximize accelerator utilization for model development and flexible training plans to meet training timelines and budget while reducing weeks of training time. AI apps from AWS partner is now available in SageMaker.
* api-change:``bedrock-data-automation``: Release Bedrock Data Automation SDK
* api-change:``bedrock-runtime``: Added support for Intelligent Prompt Router in Invoke, InvokeStream, Converse and ConverseStream. Add support for Bedrock Guardrails image content filter. New Bedrock Marketplace feature enabling a wider range of bedrock compatible models with self-hosted capability.
* api-change:``bedrock-data-automation-runtime``: Release Bedrock Data Automation Runtime SDK
* api-change:``bedrock-agent-runtime``: This release introduces the ability to generate SQL using natural language, through a new GenerateQuery API (with native integration into Knowledge Bases); ability to ingest and retrieve images through Bedrock Data Automation; and ability to create a Knowledge Base backed by Kendra GenAI Index.
* api-change:``bedrock-agent``: This release introduces the ability to generate SQL using natural language, through a new GenerateQuery API (with native integration into Knowledge Bases); ability to ingest and retrieve images through Bedrock Data Automation; and ability to create a Knowledge Base backed by Kendra GenAI Index.


2.22.10
=======

* api-change:``bedrock``: Tagging support for Async Invoke resources. Added support for Distillation in CreateModelCustomizationJob API. Support for videoDataDeliveryEnabled flag in invocation logging.
* api-change:``s3tables``: Amazon S3 Tables deliver the first cloud object store with built-in open table format support, and the easiest way to store tabular data at scale.
* api-change:``dynamodb``: This change adds support for global tables with multi-Region strong consistency (in preview). The UpdateTable API now supports a new attribute MultiRegionConsistency to set consistency when creating global tables. The DescribeTable output now optionally includes the MultiRegionConsistency attribute.
* api-change:``cloudwatch``: Support for configuring AiOps investigation as alarm action
* api-change:``redshift-serverless``: Adds support for the ListManagedWorkgroups API to get an overview of existing managed workgroups.
* api-change:``dsql``: Add new API operations for Amazon Aurora DSQL. Amazon Aurora DSQL is a serverless, distributed SQL database with virtually unlimited scale, highest availability, and zero infrastructure management.
* api-change:``qapps``: Add support for 11 new plugins as action cards to help automate repetitive tasks and improve productivity.
* api-change:``bedrock-runtime``: Added support for Async Invoke Operations Start, List and Get. Support for invocation logs with `requestMetadata` field in Converse, ConverseStream, Invoke and InvokeStream. Video content blocks in Converse/ConverseStream accept raw bytes or S3 URI.
* api-change:``glue``: This release includes(1)Zero-ETL integration to ingest data from 3P SaaS and DynamoDB to Redshift/Redlake (2)new properties on Connections to enable reuse; new connection APIs for retrieve/preview metadata (3)support of CRUD operations for Multi-catalog (4)support of automatic statistics collections
* api-change:``bedrock-agent``: Releasing SDK for Multi-Agent Collaboration.
* api-change:``quicksight``: This release includes API needed to support for Unstructured Data in Q in QuickSight Q&A (IDC).
* api-change:``s3``: Amazon S3 Metadata stores object metadata in read-only, fully managed Apache Iceberg metadata tables that you can query. You can create metadata table configurations for S3 general purpose buckets.
* api-change:``athena``: Add FEDERATED type to CreateDataCatalog. This creates Athena Data Catalog, AWS Lambda connector, and AWS Glue connection. Create/DeleteDataCatalog returns DataCatalog. Add Status, ConnectionType, and Error to DataCatalog and DataCatalogSummary. Add DeleteCatalogOnly to delete Athena Catalog only.
* api-change:``redshift``: Adds support for Amazon Redshift RegisterNamespace and DeregisterNamespace APIs to share data to AWS Glue Data Catalog.
* api-change:``datazone``: Adds support for Connections, ProjectProfiles, and JobRuns APIs. Supports the new Lineage feature at GA. Adjusts optionality of a parameter for DataSource and SubscriptionTarget APIs which may adjust types in some clients.
* api-change:``bedrock-agent-runtime``: Releasing SDK for multi agent collaboration
* api-change:``lakeformation``: This release added two new LakeFormation Permissions (CREATE_CATALOG, SUPER_USER) and added Id field for CatalogResource. It also added new conditon and expression field.
* api-change:``qbusiness``: Amazon Q Business now supports customization options for your web experience, 11 new Plugins, and QuickSight support. Amazon Q index allows software providers to enrich their native generative AI experiences with their customer's enterprise knowledge and user context spanning multiple applications.


2.22.9
======

* api-change:``s3control``: It allows customers to pass CRC64NVME as a header in S3 Batch Operations copy requests
* api-change:``socialmessaging``: Added support for passing role arn corresponding to the supported event destination
* api-change:``bedrock-runtime``: Add an API parameter that allows customers to set performance configuration for invoking a model.


2.22.8
======

* api-change:``qbusiness``: Amazon Q Business now supports capabilities to extract insights and answer questions from visual elements embedded within documents, a browser extension for Google Chrome, Mozilla Firefox, and Microsoft Edge, and attachments across conversations.
* api-change:``fsx``: FSx API changes to support the public launch of the Amazon FSx Intelligent Tiering for OpenZFS storage class.
* api-change:``eks``: Added support for Auto Mode Clusters, Hybrid Nodes, and specifying computeTypes in the DescribeAddonVersions API.
* api-change:``customer-profiles``: This release introduces Event Trigger APIs as part of Amazon Connect Customer Profiles service.
* api-change:``ec2``: Adds support for declarative policies that allow you to enforce desired configuration across an AWS organization through configuring account attributes. Adds support for Allowed AMIs that allows you to limit the use of AMIs in AWS accounts. Adds support for connectivity over non-HTTP protocols.
* api-change:``guardduty``: Add new Multi Domain Correlation findings.
* api-change:``events``: Call private APIs by configuring Connections with VPC connectivity through PrivateLink and VPC Lattice
* api-change:``security-ir``: AWS Security Incident Response is a purpose-built security incident solution designed to help customers prepare for, respond to, and recover from security incidents.
* api-change:``s3control``: Amazon S3 introduces support for AWS Dedicated Local Zones
* api-change:``securityhub``: Add new Multi Domain Correlation findings.
* api-change:``organizations``: Add support for policy operations on the DECLARATIVE_POLICY_EC2 policy type.
* api-change:``imagebuilder``: Added support for EC2 Image Builder's integration with AWS Marketplace for Marketplace components.
* api-change:``vpc-lattice``: Lattice APIs that allow sharing and access of VPC resources across accounts.
* api-change:``connectcampaignsv2``: Amazon Connect Outbound Campaigns V2 / Features : Adds support for Event-Triggered Campaigns.
* api-change:``bedrock-agent-runtime``: This release introduces a new Rerank API to leverage reranking models (with integration into Knowledge Bases); APIs to upload documents directly into Knowledge Base; RetrieveAndGenerateStream API for streaming response; Guardrails on Retrieve API; and ability to automatically generate filters
* api-change:``memorydb``: Amazon MemoryDB SDK now supports all APIs for Multi-Region. Please refer to the updated Amazon MemoryDB public documentation for detailed information on API usage.
* api-change:``opensearch``: This feature introduces support for CRUDL APIs, enabling the creation and management of Connected data sources.
* api-change:``connect``: Adds support for WhatsApp Business messaging, IVR call recording, enabling Contact Lens for existing on-premise contact centers and telephony platforms, and enabling telephony and IVR migration to Amazon Connect independent of their contact center agents.
* api-change:``qconnect``: This release adds following capabilities: Configuring safeguards via AIGuardrails for Q in Connect inferencing, and APIs to support Q&A self-service use cases
* api-change:``bedrock-agent``: This release introduces APIs to upload documents directly into a Knowledge Base
* api-change:``networkflowmonitor``: This release adds documentation for a new feature in Amazon CloudWatch called Network Flow Monitor. You can use Network Flow Monitor to get near real-time metrics, including retransmissions and data transferred, for your actual workloads.
* api-change:``s3``: Amazon S3 introduces support for AWS Dedicated Local Zones
* api-change:``cleanrooms``: This release allows customers and their partners to easily collaborate with data stored in Snowflake and Amazon Athena, without having to move or share their underlying data among collaborators.
* api-change:``ecs``: This release adds support for Container Insights with Enhanced Observability for Amazon ECS.
* api-change:``bedrock``: Add support for Knowledge Base Evaluations & LLM as a judge
* api-change:``invoicing``: AWS Invoice Configuration allows you to receive separate AWS invoices based on your organizational needs. You can use the AWS SDKs to manage Invoice Units and programmatically fetch the information of the invoice receiver.
* api-change:``chime-sdk-voice``: This release adds supports for enterprises to integrate Amazon Connect with other voice systems. It supports directly transferring voice calls and metadata without using the public telephone network. It also supports real-time and post-call analytics.
* api-change:``transfer``: AWS Transfer Family now offers Web apps that enables simple and secure access to data stored in Amazon S3.
* api-change:``logs``: Adds PutIntegration, GetIntegration, ListIntegrations and DeleteIntegration APIs. Adds QueryLanguage support to StartQuery, GetQueryResults, DescribeQueries, DescribeQueryDefinitions, and PutQueryDefinition APIs.
* api-change:``rds``: Amazon RDS supports CloudWatch Database Insights. You can use the SDK to create, modify, and describe the DatabaseInsightsMode for your DB instances and clusters.


2.22.7
======

* api-change:``config``: AWS Config adds support for service-linked recorders, a new type of Config recorder managed by AWS services to record specific subsets of resource configuration data and functioning independently from customer managed AWS Config recorders.
* api-change:``fsx``: This release adds EFA support to increase FSx for Lustre file systems' throughput performance to a single client instance. This can be done by specifying EfaEnabled=true at the time of creation of Persistent_2 file systems.
* api-change:``observabilityadmin``: Amazon CloudWatch Observability Admin adds the ability to audit telemetry configuration for AWS resources in customers AWS Accounts and Organizations. The release introduces new APIs to turn on/off the new experience, which supports discovering supported AWS resources and their state of telemetry.
* api-change:``bedrock-agent``: Add support for specifying embeddingDataType, either FLOAT32 or BINARY


2.22.6
======

* api-change:``ec2``: Adds support for Time-based Copy for EBS Snapshots and Cross Region PrivateLink. Time-based Copy ensures that EBS Snapshots are copied within and across AWS Regions in a specified timeframe. Cross Region PrivateLink enables customers to connect to VPC endpoint services hosted in other AWS Regions.
* api-change:``connect``: Enables access to ValueMap and ValueInteger types for SegmentAttributes and fixes deserialization bug for DescribeContactFlow in AmazonConnect Public API
* api-change:``qapps``: Private sharing, file upload and data collection feature support for Q Apps
* api-change:``bedrock-agent-runtime``: Custom Orchestration and Streaming configurations API release for AWSBedrockAgents.
* api-change:``bedrock-agent``: Custom Orchestration API release for AWSBedrockAgents.


2.22.5
======

* api-change:``directconnect``: Update DescribeDirectConnectGatewayAssociations API to return associated core network information if a Direct Connect gateway is attached to a Cloud WAN core network.
* api-change:``s3``: Amazon Simple Storage Service / Features: Add support for ETag based conditional writes in PutObject and CompleteMultiPartUpload APIs to prevent unintended object modifications.
* api-change:``networkmanager``: This release adds native Direct Connect integration on Cloud WAN enabling customers to directly attach their Direct Connect gateways to Cloud WAN without the need for an intermediate Transit Gateway.


2.22.4
======

* api-change:``neptune-graph``: Add 4 new APIs to support new Export features, allowing Parquet and CSV formats. Add new arguments in Import APIs to support Parquet import. Add a new query "neptune.read" to run algorithms without loading data into database
* api-change:``autoscaling``: Now, Amazon EC2 Auto Scaling customers can enable target tracking policies to take quicker scaling decisions, enhancing their application performance and EC2 utilization. To get started, specify target tracking to monitor a metric that is available on Amazon CloudWatch at seconds-level interval.
* api-change:``omics``: This release adds support for resource policy based cross account S3 access to sequence store read sets.
* api-change:``chatbot``: Adds support for programmatic management of custom actions and aliases which can be associated with channel configurations.
* api-change:``stepfunctions``: Add support for variables and JSONata in TestState, GetExecutionHistory, DescribeStateMachine, and DescribeStateMachineForExecution
* api-change:``workspaces``: While integrating WSP-DCV rebrand, a few mentions were erroneously renamed from WSP to DCV. This release reverts those mentions back to WSP.
* api-change:``sagemaker``: This release adds APIs for new features for SageMaker endpoint to scale down to zero instances, native support for multi-adapter inference, and endpoint scaling improvements.
* api-change:``lambda``: Add ProvisionedPollerConfig to Lambda event-source-mapping API.
* api-change:``sns``: ArchivePolicy attribute added to Archive and Replay feature
* api-change:``bcm-pricing-calculator``: Initial release of the AWS Billing and Cost Management Pricing Calculator API.
* api-change:``mailmanager``: Added new "DeliverToQBusiness" rule action to MailManager RulesSet for ingesting email data into Amazon Q Business customer applications
* api-change:``bedrock-agent-runtime``: InvokeInlineAgent API release to help invoke runtime agents without any dependency on preconfigured agents.
* api-change:``ses``: This release adds support for starting email contacts in your Amazon Connect instance as an email receiving action.
* api-change:``codepipeline``: AWS CodePipeline V2 type pipelines now support ECRBuildAndPublish and InspectorScan actions.
* api-change:``emr``: Advanced Scaling in Amazon EMR Managed Scaling
* api-change:``connect``: Amazon Connect Service Feature: Add APIs for Amazon Connect Email Channel
* api-change:``ce``: This release adds the Impact field(contains Contribution field) to the GetAnomalies API response under RootCause
* api-change:``cognito-idp``: Add support for users to sign up and sign in without passwords, using email and SMS OTPs and Passkeys. Add support for Passkeys based on WebAuthn. Add support for enhanced branding customization for hosted authentication pages with Amazon Cognito Managed Login. Add feature tiers with new pricing.
* api-change:``inspector2``: Extend inspector2 service model to include ServiceQuotaExceededException.
* api-change:``quicksight``: This release includes: Update APIs to support Image, Layer Map, font customization, and Plugin Visual. Add Identity center related information in ListNamsespace API. Update API for restrictedFolder support in topics and add API for SearchTopics, Describe/Update DashboardsQA Configration.
* api-change:``elbv2``: This release adds support for advertising trusted CA certificate names in associated trust stores.


2.22.3
======

* api-change:``cloudfront``: Adds support for Origin Selection between EMPv2 origins based on media quality score.
* api-change:``resiliencehub``: AWS Resilience Hub's new summary view visually represents applications' resilience through charts, enabling efficient resilience management. It provides a consolidated view of the app portfolio's resilience state and allows data export for custom stakeholder reporting.
* api-change:``iotfleetwise``: AWS IoT FleetWise now includes campaign parameters to store and forward data, configure MQTT topic as a data destination, and collect diagnostic trouble code data. It includes APIs for network agnostic data collection using custom decoding interfaces, and monitoring the last known state of vehicles.
* api-change:``s3``: Add support for conditional deletes for the S3 DeleteObject and DeleteObjects APIs. Add support for write offset bytes option used to append to objects with the S3 PutObject API.
* api-change:``notifications``: This release adds support for AWS User Notifications. You can now configure and view notifications from AWS services in a central location using the AWS SDK.
* api-change:``lambda``: Adds support for metrics for event source mappings for AWS Lambda
* api-change:``ssm-quicksetup``: Add methods that retrieve details about deployed configurations: ListConfigurations, GetConfiguration
* api-change:``notificationscontacts``: This release adds support for AWS User Notifications Contacts. You can now configure and view email contacts for AWS User Notifications using the AWS SDK.
* api-change:``application-autoscaling``: Application Auto Scaling now supports Predictive Scaling to proactively increase the desired capacity ahead of predicted demand, ensuring improved availability and responsiveness for customers' applications. This feature is currently only made available for Amazon ECS Service scalable targets.
* api-change:``iot-jobs-data``: General Availability (GA) release of AWS IoT Device Management - Commands, to trigger light-weight remote actions on targeted devices
* api-change:``elasticache``: Added support to modify the engine type for existing ElastiCache Users and User Groups. Customers can now modify the engine type from redis to valkey.
* api-change:``xray``: AWS X-Ray introduces Transaction Search APIs, enabling span ingestion into CloudWatch Logs for high-scale trace data indexing. These APIs support span-level queries, trace graph generation, and metric correlation for deeper application insights.
* api-change:``iot``: General Availability (GA) release of AWS IoT Device Management - Commands, to trigger light-weight remote actions on targeted devices
* api-change:``cloudtrail``: This release introduces new APIs for creating and managing CloudTrail Lake dashboards. It also adds support for resource-based policies on CloudTrail EventDataStore and Dashboard resource.
* api-change:``ec2``: Adds support for requesting future-dated Capacity Reservations with a minimum commitment duration, enabling IPAM for organizational units within AWS Organizations, reserving EC2 Capacity Blocks that start in 30 minutes, and extending the end date of existing Capacity Blocks.
* api-change:``appsync``: Add support for the Amazon Bedrock Runtime.
* api-change:``logs``: Adds "Create field indexes to improve query performance and reduce scan volume" and "Transform logs during ingestion". Updates documentation for "PutLogEvents with Entity".
* api-change:``elbv2``: This feature adds support for enabling zonal shift on cross-zone enabled Application Load Balancer, as well as modifying HTTP request and response headers.
* api-change:``ssm``: Added support for providing high-level overviews of managed nodes and previewing the potential impact of a runbook execution.
* api-change:``apigateway``: Added support for custom domain names for private APIs.
* api-change:``ce``: This release introduces three new APIs that enable you to estimate the cost, coverage, and utilization impact of Savings Plans you plan to purchase. The three APIs are StartCommitmentPurchaseAnalysis, GetCommitmentPurchaseAnalysis, and ListCommitmentPurchaseAnalyses.
* api-change:``health``: Adds metadata property to an AffectedEntity.


2.22.2
======

* api-change:``bedrock-agent-runtime``: Releasing new Prompt Optimization to enhance your prompts for improved performance
* api-change:``ecs``: This release adds support for the Availability Zone rebalancing feature on Amazon ECS.
* api-change:``controltower``: Adds support for child enabled baselines which allow you to see the enabled baseline status for individual accounts.
* api-change:``mediaconvert``: This release adds the ability to reconfigure concurrent job settings for existing queues and create queues with custom concurrent job settings.
* enhancement:protocol: Added support for header enabling service migration off the AWS Query protocol.
* api-change:``omics``: Enabling call caching feature that allows customers to reuse previously computed results from a set of completed tasks in a new workflow run.
* api-change:``discovery``: Add support to import data from commercially available discovery tools without file manipulation.
* api-change:``lambda``: Add Node 22.x (node22.x) support to AWS Lambda
* api-change:``rds``: This release adds support for scale storage on the DB instance using a Blue/Green Deployment.
* api-change:``cost-optimization-hub``: This release adds action type "Delete" to the GetRecommendation, ListRecommendations and ListRecommendationSummaries APIs to support new EBS and ECS recommendations with action type "Delete".
* api-change:``compute-optimizer``: This release enables AWS Compute Optimizer to analyze and generate optimization recommendations for Amazon Aurora database instances. It also enables Compute Optimizer to identify idle Amazon EC2 instances, Amazon EBS volumes, Amazon ECS services running on Fargate, and Amazon RDS databases.
* api-change:``rbin``: This release adds support for exclusion tags for Recycle Bin, which allows you to identify resources that are to be excluded, or ignored, by a Region-level retention rule.
* api-change:``workspaces-web``: Added data protection settings with support for inline data redaction.
* api-change:``timestream-query``: This release adds support for Provisioning Timestream Compute Units (TCUs), a new feature that allows provisioning dedicated compute resources for your queries, providing predictable and cost-effective query performance.
* api-change:``elbv2``: This release adds support for configuring Load balancer Capacity Unit reservations
* api-change:``workspaces``: Added support for Rocky Linux 8 on Amazon WorkSpaces Personal.
* api-change:``cloudfront``: Add support for gRPC, VPC origins, and Anycast IP Lists. Allow LoggingConfig IncludeCookies to be set regardless of whether the LoggingConfig is enabled.
* api-change:``mediapackagev2``: MediaPackage v2 now supports the Media Quality Confidence Score (MQCS) published from MediaLive. Customers can control input switching based on the MQCS and publishing HTTP Headers for the MQCS via the API.
* api-change:``ec2``: With this release, customers can express their desire to launch instances only in an ODCR or ODCR group rather than OnDemand capacity. Customers can express their baseline instances' CPU-performance in attribute-based Instance Requirements configuration by referencing an instance family.
* bugfix:``configure``: Fixed ``aws configure sso`` to honor ``--use-device-code``.
* api-change:``datazone``: This release supports Metadata Enforcement Rule feature for Create Subscription Request action.
* api-change:``autoscaling``: With this release, customers can prioritize launching instances into ODCRs using targets from ASGs or Launch Templates. Customers can express their baseline instances' CPU-performance in attribute-based Instance Requirements configuration by referencing an instance family that meets their needs.


2.22.1
======

* api-change:``glue``: AWS Glue Data Catalog now enhances managed table optimizations of Apache Iceberg tables that can be accessed only from a specific Amazon Virtual Private Cloud (VPC) environment.
* api-change:``ecs``: This release introduces support for configuring the version consistency feature for individual containers defined within a task definition. The configuration allows to specify whether ECS should resolve the container image tag specified in the container definition to an image digest.
* api-change:``ec2``: This release adds VPC Block Public Access (VPC BPA), a new declarative control which blocks resources in VPCs and subnets that you own in a Region from reaching or being reached from the internet through internet gateways and egress-only internet gateways.
* api-change:``mwaa``: Amazon MWAA now supports a new environment class, mw1.micro, ideal for workloads requiring fewer resources than mw1.small. This class supports a single instance of each Airflow component: Scheduler, Worker, and Webserver.
* api-change:``efs``: Add support for the new parameters in EFS replication APIs
* api-change:``keyspaces``: Amazon Keyspaces Multi-Region Replication: Adds support to add new regions to multi and single-region keyspaces.
* api-change:``b2bi``: Add new X12 transactions sets and versions
* api-change:``taxsettings``: Release Tax Inheritance APIs,  Tax Exemption APIs, and functionality update for some existing Tax Registration APIs
* api-change:``workspaces``: Releasing new ErrorCodes for Image Validation failure during CreateWorkspaceImage process


2.22.0
======

* feature:``sso``: Add support and default to the OAuth 2.0 Authorization Code Flow with PKCE for ``aws sso login``.
* api-change:``cloudformation``: This release adds a new API, ListHookResults, that allows retrieving CloudFormation Hooks invocation results for hooks invoked during a create change set operation or Cloud Control API operation
* api-change:``autoscaling``: Amazon EC2 Auto Scaling now supports Amazon Application Recovery Controller (ARC) zonal shift and zonal autoshift to help you quickly recover an impaired application from failures in an Availability Zone (AZ).
* api-change:``customer-profiles``: This release introduces Segmentation APIs and new Calculated Attribute Event Filters as part of Amazon Connect Customer Profiles service.
* api-change:``rds-data``: Add support for the automatic pause/resume feature of Aurora Serverless v2.
* api-change:``appconfig``: AWS AppConfig has added a new extension action point, AT_DEPLOYMENT_TICK, to support third-party monitors to trigger an automatic rollback during a deployment.
* api-change:``ecs``: This release adds support for adding VPC Lattice configurations in ECS CreateService/UpdateService APIs. The configuration allows for associating VPC Lattice target groups with ECS Services.
* api-change:``iotsitewise``: The release introduces a generative AI Assistant in AWS IoT SiteWise. It includes: 1) InvokeAssistant API - Invoke the Assistant to get alarm summaries and ask questions. 2) Dataset APIs - Manage knowledge base configuration for the Assistant. 3) Portal APIs enhancement - Manage AI-aware dashboards.
* api-change:``ec2``: Adding request and response elements for managed resources.
* api-change:``connect``: Adds CreateContactFlowVersion and ListContactFlowVersions APIs to create and view the versions of a contact flow.
* api-change:``qconnect``: This release introduces MessageTemplate as a resource in Amazon Q in Connect, along with APIs to create, read, search, update, and delete MessageTemplate resources.
* api-change:``rds``: Add support for the automatic pause/resume feature of Aurora Serverless v2.


2.21.3
======

* api-change:``connectcampaignsv2``: Added Amazon Connect Outbound Campaigns V2 SDK.
* api-change:``datasync``: Doc-only updates and enhancements related to creating DataSync tasks and describing task executions.
* api-change:``pinpoint-sms-voice-v2``: Use rule overrides to always allow or always block messages to specific phone numbers. Use message feedback to monitor if a customer interacts with your message.
* api-change:``outposts``: You can now purchase AWS Outposts rack or server capacity for a 5-year term with one of  the following payment options: All Upfront, Partial Upfront, and No Upfront.
* api-change:``route53resolver``: Route 53 Resolver DNS Firewall Advanced Rules allows you to monitor and block suspicious DNS traffic based on anomalies detected in the queries, such as DNS tunneling and Domain Generation Algorithms (DGAs).
* api-change:``ec2``: Remove non-functional enum variants for FleetCapacityReservationUsageStrategy
* api-change:``iot``: This release allows AWS IoT Core users to enrich MQTT messages with propagating attributes, to associate a thing to a connection, and to enable Online Certificate Status Protocol (OCSP) stapling for TLS X.509 server certificates through private endpoints.
* api-change:``cloudwatch``: Adds support for adding related Entity information to metrics ingested through PutMetricData.


2.21.2
======

* api-change:``partnercentral-selling``: Announcing AWS Partner Central API for Selling: This service launch Introduces new APIs for co-selling opportunity management and related functions. Key features include notifications, a dynamic sandbox for testing, and streamlined validations.


2.21.1
======

* api-change:``quicksight``: This release adds APIs for Custom Permissions management in QuickSight, and APIs to support QuickSight Branding.
* api-change:``accessanalyzer``: Expand analyzer configuration capabilities for unused access analyzers. Unused access analyzer configurations now support the ability to exclude accounts and resource tags from analysis providing more granular control over the scope of analysis.
* api-change:``cloudcontrol``: Added support for CloudFormation Hooks with Cloud Control API. The GetResourceRequestStatus API response now includes an optional HooksProgressEvent and HooksRequestToken parameter for Hooks Invocation Progress as part of resource operation with Cloud Control.
* api-change:``sts``: This release introduces the new API 'AssumeRoot', which returns short-term credentials that you can use to perform privileged tasks.
* api-change:``partnercentral-selling``: Announcing AWS Partner Central API for Selling: This service launch Introduces new APIs for co-selling opportunity management and related functions. Key features include notifications, a dynamic sandbox for testing, and streamlined validations.
* api-change:``s3``: This release updates the ListBuckets API Reference documentation in support of the new 10,000 general purpose bucket default quota on all AWS accounts. To increase your bucket quota from 10,000 to up to 1 million buckets, simply request a quota increase via Service Quotas.
* api-change:``iam``: This release includes support for five new APIs and changes to existing APIs that give AWS Organizations customers the ability to use temporary root credentials, targeted to member accounts in the organization.
* api-change:``deadline``: Adds support for select GPU accelerated instance types when creating new service-managed fleets.
* bugfix:IMDS: Fixed ambiguous error raised when failing to resolve a region from IMDS.
* api-change:``sagemaker``: Add support for Neuron instance types [ trn1/trn1n/inf2 ] on SageMaker Notebook Instances Platform.
* api-change:``redshift``: Adds support for Amazon Redshift S3AccessGrants
* api-change:``ivs``: IVS now offers customers the ability to stream multitrack video to Channels.
* api-change:``license-manager-user-subscriptions``: New and updated API operations to support License Included User-based Subscription of Microsoft Remote Desktop Services (RDS).
* api-change:``iotwireless``: New FuotaTask resource type to enable logging for your FUOTA tasks. A ParticipatingGatewaysforMulticast parameter to choose the list of gateways to receive the multicast downlink message and the transmission interval between them. Descriptor field which will be sent to devices during FUOTA transfer.


2.21.0
======

* api-change:``cloudtrail``: This release adds a new API GenerateQuery that generates a query from a natural language prompt about the event data in your event data store. This operation uses generative artificial intelligence (generative AI) to produce a ready-to-use SQL query from the prompt.
* api-change:``mediaconvert``: This release adds support for ARN inputs in the Kantar credentials secrets name field and the MSPR field to the manifests for PlayReady DRM protected outputs.
* api-change:``billing``: Today, AWS announces the general availability of ListBillingViews API in the AWS SDKs, to enable AWS Billing Conductor (ABC) users to create proforma Cost and Usage Reports (CUR) programmatically.
* feature:macOS: End of support for macOS 10.15
* api-change:``accessanalyzer``: This release adds support for policy validation and external access findings for resource control policies (RCP). IAM Access Analyzer helps you author functional and secure RCPs and awareness that a RCP may restrict external access. Updated service API, documentation, and paginators.
* api-change:``application-signals``: Amazon CloudWatch Application Signals now supports creating Service Level Objectives with burn rates. Users can now create or update SLOs with burn rate configurations to meet their specific business requirements.
* api-change:``organizations``: Add support for policy operations on the Resource Control Polices.
* api-change:``dynamodb``: This release includes supports the new WarmThroughput feature for DynamoDB. You can now provide an optional WarmThroughput attribute for CreateTable or UpdateTable APIs to pre-warm your table or global secondary index. You can also use DescribeTable to see the latest WarmThroughput value.
* api-change:``b2bi``: This release adds a GenerateMapping API to allow generation of JSONata or XSLT transformer code based on input and output samples.
* api-change:``internetmonitor``: Add new query type Routing_Suggestions regarding querying interface
* api-change:``ec2``: This release adds the source AMI details in DescribeImages API


2.20.0
======

* api-change:``codebuild``: AWS CodeBuild now supports non-containerized Linux and Windows builds on Reserved Capacity.
* api-change:``payment-cryptography``: Updated ListAliases API with KeyArn filter.
* feature:shorthand: Adds support to shorthand syntax for loading parameters from files via the ``@=`` assignment operator.
* api-change:``controltower``: Added ResetEnabledControl API.
* api-change:``gamelift``: Amazon GameLift releases container fleets support for general availability. Deploy Linux-based containerized game server software for hosting on Amazon GameLift.
* api-change:``rds``: Updates Amazon RDS documentation for Amazon RDS Extended Support for Amazon Aurora MySQL.
* api-change:``fis``: This release adds support for generating experiment reports with the experiment report configuration


2.19.5
======

* api-change:``opensearch``: Adds Support for new AssociatePackages and DissociatePackages API in Amazon OpenSearch Service that allows association and dissociation operations to be carried out on multiple packages at the same time.
* api-change:``inspector2``: Adds support for filePath filter.
* api-change:``cloudfront``: No API changes from previous release. This release migrated the model to Smithy keeping all features unchanged.
* api-change:``lambda``: Add Python 3.13 (python3.13) support to AWS Lambda
* api-change:``outposts``: This release updates StartCapacityTask to allow an active Outpost to be modified. It also adds a new API to list all running EC2 instances on the Outpost.


2.19.4
======

* api-change:``firehose``: Amazon Data Firehose / Features : Adds support for a new DeliveryStreamType, DatabaseAsSource. DatabaseAsSource hoses allow customers to stream CDC events from their RDS and Amazon EC2 hosted databases, running MySQL and PostgreSQL database engines, to Iceberg Table destinations.
* api-change:``eks``: Adds new error code `Ec2InstanceTypeDoesNotExist` for Amazon EKS managed node groups
* api-change:``controlcatalog``: AWS Control Catalog GetControl public API returns additional data in output, including Implementation and Parameters
* api-change:``bedrock-agent-runtime``: This release adds trace functionality to Bedrock Prompt Flows
* api-change:``qbusiness``: Adds S3 path option to pass group member list for PutGroup API.
* api-change:``lambda``: This release adds support for using AWS KMS customer managed keys to encrypt AWS Lambda .zip deployment packages.
* api-change:``batch``: This feature allows override LaunchTemplates to be specified in an AWS Batch Compute Environment.
* api-change:``chime-sdk-media-pipelines``: Added support for Media Capture Pipeline and Media Concatenation Pipeline for customer managed server side encryption. Now Media Capture Pipeline can use IAM sink role to get access to KMS key and encrypt/decrypt recorded artifacts. KMS key ID can also be supplied with encryption context.
* enhancement:``s3``: Handle HTTP 200 responses with error information for all supported s3 operations.
* api-change:``pinpoint-sms-voice-v2``: Added the RequiresAuthenticationTimestamp field to the RegistrationVersionStatusHistory data type.


2.19.3
======

* api-change:``bedrock-runtime``: Add Prompt management support to Bedrock runtime APIs: Converse, ConverseStream, InvokeModel, InvokeModelWithStreamingResponse
* api-change:``bedrock-agent``: Add prompt support for chat template configuration and agent generative AI resource. Add support for configuring an optional guardrail in Prompt and Knowledge Base nodes in Prompt Flows. Add API to validate flow definition
* api-change:``cleanrooms``: This release introduces support for Custom Models in AWS Clean Rooms ML.
* api-change:``quicksight``: Add Client Credentials based OAuth support for Snowflake and Starburst
* api-change:``cleanroomsml``: This release introduces support for Custom Models in AWS Clean Rooms ML.
* api-change:``autoscaling``: Auto Scaling groups now support the ability to strictly balance instances across Availability Zones by configuring the AvailabilityZoneDistribution parameter. If balanced-only is configured for a group, launches will always be attempted in the under scaled Availability Zone even if it is unhealthy.
* api-change:``resource-explorer-2``: Add GetManagedView, ListManagedViews APIs.
* api-change:``synthetics``: Add support to toggle if a canary will automatically delete provisioned canary resources such as Lambda functions and layers when a canary is deleted.  This behavior can be controlled via the new ProvisionedResourceCleanup property exposed in the CreateCanary and UpdateCanary APIs.


2.19.2
======

* api-change:``lakeformation``: API changes for new named tag expressions feature.
* api-change:``codebuild``: AWS CodeBuild now adds additional compute types for reserved capacity fleet.
* api-change:``qapps``: Introduces category apis in AmazonQApps. Web experience users use Categories to tag and filter library items.
* api-change:``guardduty``: GuardDuty RDS Protection expands support for Amazon Aurora PostgreSQL Limitless Databases.
* api-change:``s3control``: Fix ListStorageLensConfigurations and ListStorageLensGroups deserialization for Smithy SDKs.
* api-change:``verifiedpermissions``: Adding BatchGetPolicy API which supports the retrieval of multiple policies across multiple policy stores within a single request.


2.19.1
======

* api-change:``taxsettings``: Add support for supplemental tax registrations via these new APIs: PutSupplementalTaxRegistration, ListSupplementalTaxRegistrations, and DeleteSupplementalTaxRegistration.
* api-change:``logs``: This release introduces an improvement in PutLogEvents
* api-change:``docdb-elastic``: Amazon DocumentDB Elastic Clusters adds support for pending maintenance actions feature with APIs GetPendingMaintenanceAction, ListPendingMaintenanceActions and ApplyPendingMaintenanceAction
* api-change:``bedrock-agent``: Amazon Bedrock Knowledge Bases now supports using application inference profiles to increase throughput and improve resilience.


2.19.0
======

* api-change:``glue``: Add schedule support for AWS Glue column statistics
* api-change:``autoscaling``: Adds bake time for Auto Scaling group Instance Refresh
* api-change:``sagemaker``: SageMaker HyperPod adds scale-down at instance level via BatchDeleteClusterNodes API and group level via UpdateCluster API. SageMaker Training exposes secondary job status in TrainingJobSummary from ListTrainingJobs API. SageMaker now supports G6, G6e, P5e instances for HyperPod and Training.
* feature:signing: Adds internal support for the new 'auth' trait to allow a priority list of auth types for a service or operation.
* api-change:``batch``: Add `podNamespace` to `EksAttemptDetail` and `containerID` to `EksAttemptContainerDetail`.
* api-change:``amp``: Added support for UpdateScraper API, to enable updating collector configuration in-place
* api-change:``sesv2``: This release enables customers to provide the email template content in the SESv2 SendEmail and SendBulkEmail APIs instead of the name or the ARN of a stored email template.
* api-change:``elbv2``: Add UDP support for AWS PrivateLink and dual-stack Network Load Balancers


2.18.18
=======

* api-change:``ecs``: This release supports service deployments and service revisions which provide a comprehensive view of your Amazon ECS service history.
* api-change:``redshift-serverless``: Adds and updates API members for the Redshift Serverless AI-driven scaling and optimization feature using the price-performance target setting.
* api-change:``opensearchserverless``: Neo Integration via IAM Identity Center (IdC)
* api-change:``geo-places``: Release of Amazon Location Places API. Places enables you to quickly search, display, and filter places, businesses, and locations based on proximity, category, and name
* api-change:``geo-routes``: Release of Amazon Location Routes API. Routes enables you to plan efficient routes and streamline deliveries by leveraging real-time traffic, vehicle restrictions, and turn-by-turn directions.
* api-change:``datasync``: AWS DataSync now supports Enhanced mode tasks. This task mode supports transfer of virtually unlimited numbers of objects with enhanced metrics, more detailed logs, and higher performance than Basic mode. This mode currently supports transfers between Amazon S3 locations.
* api-change:``appsync``: This release adds support for AppSync Event APIs.
* api-change:``redshift``: This release launches S3 event integrations to create and manage integrations from an Amazon S3 source into an Amazon Redshift database.
* api-change:``route53``: This release adds support for TLSA, SSHFP, SVCB, and HTTPS record types.
* api-change:``network-firewall``: AWS Network Firewall now supports configuring TCP idle timeout
* api-change:``sagemaker``: Added support for Model Registry Staging construct. Users can define series of stages that models can progress through for model workflows and lifecycle. This simplifies tracking and managing models as they transition through development, testing, and production stages.
* api-change:``workmail``: This release adds support for Multi-Factor Authentication (MFA) and Personal Access Tokens through integration with AWS IAM Identity Center.
* api-change:``opensearch``: This release introduces the new OpenSearch user interface (Dashboards), a new web-based application that can be associated with multiple data sources across OpenSearch managed clusters, serverless collections, and Amazon S3, so that users can gain a comprehensive insights in an unified interface.
* api-change:``geo-maps``: Release of Amazon Location Maps API. Maps enables you to build digital maps that showcase your locations, visualize your data, and unlock insights to drive your business
* api-change:``ec2``: This release adds two new capabilities to VPC Security Groups: Security Group VPC Associations and Shared Security Groups.
* api-change:``connect``: Updated the public documentation for the UserIdentityInfo object to accurately reflect the character limits for the FirstName and LastName fields, which were previously listed as 1-100 characters.
* api-change:``keyspaces``: Adds support for interacting with user-defined types (UDTs) through the following new operations: Create-Type, Delete-Type, List-Types, Get-Type.


2.18.17
=======

* api-change:``iotfleetwise``: Updated BatchCreateVehicle and BatchUpdateVehicle APIs: LimitExceededException has been added and the maximum number of vehicles in a batch has been set to 10 explicitly
* api-change:``bedrock``: Update Application Inference Profile
* api-change:``logs``: Added support for new optional baseline parameter in the UpdateAnomaly API. For UpdateAnomaly requests with baseline set to True, The anomaly behavior is then treated as baseline behavior. However, more severe occurrences of this behavior will still be reported as anomalies.
* api-change:``cleanrooms``: This release adds the option for customers to configure analytics engine when creating a collaboration, and introduces the new SPARK analytics engine type in addition to maintaining the legacy CLEAN_ROOMS_SQL engine type.
* api-change:``redshift-data``: Adding a new API GetStatementResultV2 that supports CSV formatted results from ExecuteStatement and BatchExecuteStatement calls.
* api-change:``sagemaker``: Adding `notebook-al2-v3` as allowed value to SageMaker NotebookInstance PlatformIdentifier attribute
* api-change:``bedrock-runtime``: Update Application Inference Profile


2.18.16
=======

* api-change:``mediapackagev2``: MediaPackage V2 Live to VOD Harvester is a MediaPackage V2 feature, which is used to export content from an origin endpoint to a S3 bucket.
* api-change:``storagegateway``: Documentation update: Amazon FSx File Gateway will no longer be available to new customers.
* api-change:``opensearch``: Adds support for provisioning dedicated coordinator nodes. Coordinator nodes can be specified using the new NodeOptions parameter in ClusterConfig.
* api-change:``rds``: This release adds support for Enhanced Monitoring and Performance Insights when restoring Aurora Limitless Database DB clusters. It also adds support for the os-upgrade pending maintenance action.


2.18.15
=======

* api-change:``codebuild``: AWS CodeBuild now supports automatically retrying failed builds
* api-change:``lambda``: Add TagsError field in Lambda GetFunctionResponse. The TagsError field contains details related to errors retrieving tags.
* api-change:``logs``: Adding inferred token name for dynamic tokens in Anomalies.
* api-change:``bedrock-agent``: Add support of new model types for Bedrock Agents, Adding inference profile support for Flows and Prompt Management, Adding new field to configure additional inference configurations for Flows and Prompt Management
* api-change:``supplychain``: API doc updates, and also support showing error message on a failed instance


2.18.14
=======

* api-change:``nimble``: The nimble client has been removed following the deprecation of the service.
* api-change:``ecs``: This release adds support for EBS volumes attached to Amazon ECS Windows tasks running on EC2 instances.
* api-change:``pcs``: Documentation update: added the default value of the Slurm configuration parameter scaleDownIdleTimeInSeconds to its description.
* api-change:``appconfig``: This release improves deployment safety by granting customers the ability to REVERT completed deployments, to the last known good state.In the StopDeployment API revert case the status of a COMPLETE deployment will be REVERTED. AppConfig only allows a revert within 72 hours of deployment completion.
* api-change:``ec2``: This release includes a new API to describe some details of the Amazon Machine Images (AMIs) that were used to launch EC2 instances, even if those AMIs are no longer available for use.
* bugfix:shorthand: Improve performance when parsing invalid shorthand syntax.
* api-change:``qbusiness``: Add a new field in chat response. This field can be used to support nested schemas in array fields


2.18.13
=======

* api-change:``payment-cryptography``: Add support for ECC P-256 and P-384 Keys.
* api-change:``ec2``: Amazon EC2 X8g, C8g and M8g instances are powered by AWS Graviton4 processors. X8g provide the lowest cost per GiB of memory among Graviton4 instances. C8g provide the best price performance for compute-intensive workloads. M8g provide the best price performance in for general purpose workloads.
* api-change:``mwaa``: Introducing InvokeRestApi which allows users to invoke the Apache Airflow REST API on the webserver with the specified inputs.
* api-change:``connect``: Amazon Connect Service Feature: Add support to start screen sharing for a web calling contact.
* api-change:``bedrock``: Doc updates for supporting converse
* api-change:``payment-cryptography-data``: Add ECDH support on PIN operations.


2.18.12
=======

* api-change:``bedrock-runtime``: Updating invoke regex to support imported models for converse API
* api-change:``m2``: Add AuthSecretsManagerArn optional parameter to batch job APIs, expand batch parameter limits, and introduce clientToken constraints.
* api-change:``imagebuilder``: Add macOS platform and instance placement options
* api-change:``repostspace``: Adds the BatchAddRole and BatchRemoveRole APIs.
* api-change:``rds``: Global clusters now expose the Endpoint attribute as one of its fields. It is a Read/Write endpoint for the global cluster which resolves to the Global Cluster writer instance.
* api-change:``timestream-query``: This release adds support for Query Insights, a feature that provides details of query execution, enabling users to identify areas for improvement to optimize their queries, resulting in improved query performance and lower query costs.


2.18.11
=======

* api-change:``fms``: Update AWS WAF policy - add the option to retrofit existing web ACLs instead of creating all new web ACLs.
* api-change:``application-insights``: This feature enables customers to specify SNS Topic ARN. CloudWatch Application Insights (CWAI) will utilize this ARN to send problem notifications.
* api-change:``dms``: Added support for tagging in StartReplicationTaskAssessmentRun API and introduced IsLatestTaskAssessmentRun and ResultStatistic fields for enhanced tracking and assessment result statistics.
* api-change:``autoscaling``: Adds support for removing the PlacementGroup setting on an Auto Scaling Group through the UpdateAutoScalingGroup API.
* api-change:``ec2``: Amazon EC2 now allows you to create network interfaces with just the EFA driver and no ENA driver by specifying the network interface type as efa-only.
* api-change:``bedrock-agent-runtime``: Knowledge Bases for Amazon Bedrock now supports custom prompts and model parameters in the orchestrationConfiguration of the RetrieveAndGenerate API. The modelArn field accepts Custom Models and Imported Models ARNs.
* api-change:``wafv2``: Add a property to WebACL to indicate whether it's been retrofitted by Firewall Manager.
* api-change:``payment-cryptography-data``: Adding new API to generate authenticated scripts for EMV pin change use cases.
* api-change:``eks``: This release adds support for Amazon Application Recovery Controller (ARC) zonal shift and zonal autoshift with EKS that enhances the resiliency of multi-AZ cluster environments


2.18.10
=======

* api-change:``bedrock``: Adding converse support to CMI API's
* api-change:``ec2``: RequestSpotInstances and RequestSpotFleet feature release.
* api-change:``bedrock-runtime``: Added converse support for custom imported models
* api-change:``athena``: Removing FEDERATED from Create/List/Delete/GetDataCatalog API
* api-change:``datazone``: Adding the following project member designations: PROJECT_CATALOG_VIEWER, PROJECT_CATALOG_CONSUMER and PROJECT_CATALOG_STEWARD in the CreateProjectMembership API and PROJECT_CATALOG_STEWARD designation in the AddPolicyGrant API.


2.18.9
======

* api-change:``ecs``: This is an Amazon ECS documentation only update to address tickets.
* api-change:``workspaces``: Updated the DomainName pattern for Active Directory
* api-change:``quicksight``: Add StartDashboardSnapshotJobSchedule API. RestoreAnalysis now supports restoring analysis to folders.
* api-change:``pinpoint-sms-voice-v2``: Added the registrations status of REQUIRES_AUTHENTICATION
* api-change:``bedrock-agent``: Removing support for topK property in PromptModelInferenceConfiguration object, Making PromptTemplateConfiguration property as required, Limiting the maximum PromptVariant to 1
* api-change:``rds``: Updates Amazon RDS documentation for TAZ IAM support
* api-change:``pipes``: This release adds validation to require specifying a SecurityGroup and Subnets in the Vpc object under PipesSourceSelfManagedKafkaParameters. It also adds support for iso-e, iso-f, and other non-commercial partitions in ARN parameters.
* api-change:``dataexchange``: This release adds Data Grant support, through which customers can programmatically create data grants to share with other AWS accounts and accept data grants from other AWS accounts.


2.18.8
======

* api-change:``s3``: Add support for the new optional bucket-region and prefix query parameters in the ListBuckets API. For ListBuckets requests that express pagination, Amazon S3 will now return both the bucket names and associated AWS regions in the response.


2.18.7
======

* api-change:``codebuild``: Enable proxy for reserved capacity fleet.
* api-change:``sesv2``: This release adds support for email maximum delivery seconds that allows senders to control the time within which their emails are attempted for delivery.
* api-change:``redshift``: This release launches the CreateIntegration, DeleteIntegration, DescribeIntegrations and ModifyIntegration APIs to create and manage Amazon Redshift Zero-ETL Integrations.
* api-change:``resiliencehub``: AWS Resilience Hub now integrates with the myApplications platform, enabling customers to easily assess the resilience of applications defined in myApplications. The new Resiliency widget provides visibility into application resilience and actionable recommendations for improvement.
* api-change:``ivs``: On a channel that you own, you can now replace an ongoing stream with a new stream by streaming up with the priority parameter appended to the stream key.
* api-change:``cloudformation``: Documentation update for AWS CloudFormation API Reference.
* api-change:``amplify``: Added sourceUrlType field to StartDeployment request
* enhancement:awscrt: Update awscrt version requirement to 0.22.0
* api-change:``qbusiness``: Amazon Q Business now supports embedding the Amazon Q Business web experience on third-party websites.


2.18.6
======

* api-change:``securitylake``: This release updates request validation regex for resource ARNs.
* api-change:``codepipeline``: AWS CodePipeline V2 type pipelines now support automatically retrying failed stages and skipping stage for failed entry conditions.
* api-change:``transfer``: This release enables customers using SFTP connectors to query the transfer status of their files to meet their monitoring needs as well as orchestrate post transfer actions.
* api-change:``mailmanager``: Mail Manager support for viewing and exporting metadata of archived messages.
* api-change:``supplychain``: This release adds AWS Supply Chain instance management functionality. Specifically adding CreateInstance, DeleteInstance, GetInstance, ListInstances, and UpdateInstance APIs.


2.18.5
======

* api-change:``elbv2``: Add zonal_shift.config.enabled attribute. Add new AdministrativeOverride construct in the describe-target-health API response to include information about the override status applied to a target.
* api-change:``robomaker``: Documentation update: added support notices to each API action.
* api-change:``emr``: This release provides new parameter "Context" in instance fleet clusters.
* api-change:``appflow``: Doc only updates for clarification around OAuth2GrantType for Salesforce.
* api-change:``guardduty``: Added a new field for network connection details.


2.18.4
======

* api-change:``neptune-graph``: Support for 16 m-NCU graphs available through account allowlisting
* api-change:``route53resolver``: Route 53 Resolver Forwarding Rules can now include a server name indication (SNI) in the target address for rules that use the DNS-over-HTTPS (DoH) protocol. When a DoH-enabled Outbound Resolver Endpoint forwards a request to a DoH server, it will provide the SNI in the TLS handshake.
* api-change:``iotfleetwise``: Refine campaign related API validations
* api-change:``dms``: Introduces DescribeDataMigrations, CreateDataMigration, ModifyDataMigration, DeleteDataMigration, StartDataMigration, StopDataMigration operations to SDK. Provides FailedDependencyFault error message.
* api-change:``elastic-inference``: Elastic Inference - Documentation update to add service shutdown notice.
* api-change:``acm-pca``: Documentation updates for AWS Private CA.
* api-change:``ec2``: This release adds support for assigning the billing of shared Amazon EC2 On-Demand Capacity Reservations.
* enhancement:cryptography: Update ``cryptography`` version range ceiling to 43.0.1
* api-change:``socialmessaging``: This release for AWS End User Messaging includes a public SDK, providing a suite of APIs that enable sending WhatsApp messages to end users.
* api-change:``outposts``: Adding new "DELIVERED" enum value for Outposts Order status
* api-change:``ecs``: This is a documentation only release that updates to documentation to let customers know that Amazon Elastic Inference is no longer available.
* api-change:``timestream-influxdb``: This release updates our regex based validation rules in regards to valid DbInstance and DbParameterGroup name.


2.18.3
======

* api-change:``codepipeline``: AWS CodePipeline introduces a Compute category


2.18.2
======

* api-change:``memorydb``: Amazon MemoryDB SDK now supports all APIs for newly launched Valkey engine. Please refer to the updated Amazon MemoryDB public documentation for detailed information on API usage.
* api-change:``elasticache``: AWS ElastiCache SDK now supports using APIs with newly launched Valkey engine. Please refer to updated AWS ElastiCache public documentation for detailed information on API usage.
* enhancement:``s3``: Adds logic to gracefully handle invalid timestamps returned in the Expires header.


2.18.1
======

* api-change:``marketplace-reporting``: Documentation-only update for AWS Marketplace Reporting API.
* api-change:``qconnect``: This release adds support for the following capabilities: Configuration of the Gen AI system via AIAgent and AIPrompts. Integration support for Bedrock Knowledge Base.
* api-change:``deadline``: Add support for using the template from a previous job during job creation and listing parameter definitions for a job.
* api-change:``redshift``: Add validation pattern to S3KeyPrefix on the EnableLogging API


2.18.0
======

* api-change:``iot-data``: Add v2 smoke tests and smithy smokeTests trait for SDK testing.
* feature:s3: Adds ``--checksum-mode`` and ``--checksum-algorithm`` parameters to high-level ``s3`` commands.
* api-change:``ec2``: Documentation updates for Amazon EC2.


2.17.65
=======

* api-change:``mediapackagev2``: Added support for ClipStartTime on the FilterConfiguration object on OriginEndpoint manifest settings objects. Added support for EXT-X-START tags on produced HLS child playlists.
* api-change:``quicksight``: QuickSight: Add support for exporting and importing folders in AssetBundle APIs
* api-change:``connect``: Public GetMetricDataV2 Grouping increase from 3 to 4
* api-change:``ec2``: This release includes a new API for modifying instance cpu-options after launch.
* api-change:``codepipeline``: AWS CodePipeline introduces Commands action that enables you to easily run shell commands as part of your pipeline execution.
* api-change:``iot``: This release adds support for Custom Authentication with X.509 Client Certificates, support for Custom Client Certificate validation, and support for selecting application protocol and authentication type without requiring TLS ALPN for customer's AWS IoT Domain Configurations.
* api-change:``marketplace-reporting``: The AWS Marketplace Reporting service introduces the GetBuyerDashboard API. This API returns a dashboard that provides visibility into your organization's AWS Marketplace agreements and associated spend across the AWS accounts in your organization.


2.17.64
=======

* api-change:``workspaces``: WSP is being rebranded to become DCV.
* api-change:``s3``: This release introduces a header representing the minimum object size limit for Lifecycle transitions.
* api-change:``sagemaker``: releasing builtinlcc to public
* api-change:``appstream``: Added support for Automatic Time Zone Redirection on Amazon AppStream 2.0
